Generation Framework

## org.eclipse.gmf.gmfgraph
Interface GMFGraphPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GMFGraphPackageImpl

    public interface GMFGraphPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `GMFGraphFactory`
** Generated **
Model:
  kind="package"

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ABSTRACT_FIGURE` The meta object id for the '`Abstract Figure`' class
`static int` `ABSTRACT_FIGURE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `ABSTRACT_FIGURE__BORDER` The feature id for the 'Border' containment reference
`static int` `ABSTRACT_FIGURE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `ABSTRACT_FIGURE__FONT` The feature id for the 'Font' containment reference
`static int` `ABSTRACT_FIGURE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `ABSTRACT_FIGURE__INSETS` The feature id for the 'Insets' containment reference
`static int` `ABSTRACT_FIGURE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `ABSTRACT_FIGURE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `ABSTRACT_FIGURE__LOCATION` The feature id for the 'Location' containment reference
`static int` `ABSTRACT_FIGURE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `ABSTRACT_FIGURE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `ABSTRACT_FIGURE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `ABSTRACT_FIGURE__SIZE` The feature id for the 'Size' containment reference
`static int` `ABSTRACT_FIGURE_FEATURE_COUNT` The number of structural features of the 'Abstract Figure' class
`static int` `ABSTRACT_NODE` The meta object id for the '`Abstract Node`' class
`static int` `ABSTRACT_NODE__FACETS` The feature id for the 'Facets' containment reference list
`static int` `ABSTRACT_NODE__FIGURE` The feature id for the 'Figure' reference
`static int` `ABSTRACT_NODE__NAME` The feature id for the 'Name' attribute
`static int` `ABSTRACT_NODE_FEATURE_COUNT` The number of structural features of the 'Abstract Node' class
`static int` `ALIGNMENT` The meta object id for the '`Alignment`' enum
`static int` `ALIGNMENT_FACET` The meta object id for the '`Alignment Facet`' class
`static int` `ALIGNMENT_FACET__ALIGNMENT` The feature id for the 'Alignment' attribute
`static int` `ALIGNMENT_FACET_FEATURE_COUNT` The number of structural features of the 'Alignment Facet' class
`static int` `BASIC_FONT` The meta object id for the '`Basic Font`' class
`static int` `BASIC_FONT__FACE_NAME` The feature id for the 'Face Name' attribute
`static int` `BASIC_FONT__HEIGHT` The feature id for the 'Height' attribute
`static int` `BASIC_FONT__STYLE` The feature id for the 'Style' attribute
`static int` `BASIC_FONT_FEATURE_COUNT` The number of structural features of the 'Basic Font' class
`static int` `BORDER` The meta object id for the '`Border`' class
`static int` `BORDER_FEATURE_COUNT` The number of structural features of the 'Border' class
`static int` `BORDER_LAYOUT` The meta object id for the '`Border Layout`' class
`static int` `BORDER_LAYOUT__SPACING` The feature id for the 'Spacing' containment reference
`static int` `BORDER_LAYOUT_DATA` The meta object id for the '`Border Layout Data`' class
`static int` `BORDER_LAYOUT_DATA__ALIGNMENT` The feature id for the 'Alignment' attribute
`static int` `BORDER_LAYOUT_DATA__OWNER` The feature id for the 'Owner' container reference
`static int` `BORDER_LAYOUT_DATA__VERTICAL` The feature id for the 'Vertical' attribute
`static int` `BORDER_LAYOUT_DATA_FEATURE_COUNT` The number of structural features of the 'Border Layout Data' class
`static int` `BORDER_LAYOUT_FEATURE_COUNT` The number of structural features of the 'Border Layout' class
`static int` `BORDER_REF` The meta object id for the '`Border Ref`' class
`static int` `BORDER_REF__ACTUAL` The feature id for the 'Actual' reference
`static int` `BORDER_REF_FEATURE_COUNT` The number of structural features of the 'Border Ref' class
`static int` `CANVAS` The meta object id for the '`Canvas`' class
`static int` `CANVAS__COMPARTMENTS` The feature id for the 'Compartments' containment reference list
`static int` `CANVAS__CONNECTIONS` The feature id for the 'Connections' containment reference list
`static int` `CANVAS__FIGURES` The feature id for the 'Figures' containment reference list
`static int` `CANVAS__LABELS` The feature id for the 'Labels' containment reference list
`static int` `CANVAS__NAME` The feature id for the 'Name' attribute
`static int` `CANVAS__NODES` The feature id for the 'Nodes' containment reference list
`static int` `CANVAS_FEATURE_COUNT` The number of structural features of the 'Canvas' class
`static int` `CHILD_ACCESS` The meta object id for the '`Child Access`' class
`static int` `CHILD_ACCESS__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `CHILD_ACCESS__FIGURE` The feature id for the 'Figure' reference
`static int` `CHILD_ACCESS__OWNER` The feature id for the 'Owner' container reference
`static int` `CHILD_ACCESS_FEATURE_COUNT` The number of structural features of the 'Child Access' class
`static int` `COLOR` The meta object id for the '`Color`' class
`static int` `COLOR_CONSTANTS` The meta object id for the '`Color Constants`' enum
`static int` `COLOR_FEATURE_COUNT` The number of structural features of the 'Color' class
`static int` `COMPARTMENT` The meta object id for the '`Compartment`' class
`static int` `COMPARTMENT__ACCESSOR` The feature id for the 'Accessor' reference
`static int` `COMPARTMENT__COLLAPSIBLE` The feature id for the 'Collapsible' attribute
`static int` `COMPARTMENT__FACETS` The feature id for the 'Facets' containment reference list
`static int` `COMPARTMENT__FIGURE` The feature id for the 'Figure' reference
`static int` `COMPARTMENT__NAME` The feature id for the 'Name' attribute
`static int` `COMPARTMENT__NEEDS_TITLE` The feature id for the 'Needs Title' attribute
`static int` `COMPARTMENT_FEATURE_COUNT` The number of structural features of the 'Compartment' class
`static int` `COMPOUND_BORDER` The meta object id for the '`Compound Border`' class
`static int` `COMPOUND_BORDER__INNER` The feature id for the 'Inner' containment reference
`static int` `COMPOUND_BORDER__OUTER` The feature id for the 'Outer' containment reference
`static int` `COMPOUND_BORDER_FEATURE_COUNT` The number of structural features of the 'Compound Border' class
`static int` `CONNECTION` The meta object id for the '`Connection`' class
`static int` `CONNECTION__FACETS` The feature id for the 'Facets' containment reference list
`static int` `CONNECTION__FIGURE` The feature id for the 'Figure' reference
`static int` `CONNECTION__NAME` The feature id for the 'Name' attribute
`static int` `CONNECTION_FEATURE_COUNT` The number of structural features of the 'Connection' class
`static int` `CONNECTION_FIGURE` The meta object id for the '`Connection Figure`' class
`static int` `CONNECTION_FIGURE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `CONNECTION_FIGURE__BORDER` The feature id for the 'Border' containment reference
`static int` `CONNECTION_FIGURE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `CONNECTION_FIGURE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `CONNECTION_FIGURE__FONT` The feature id for the 'Font' containment reference
`static int` `CONNECTION_FIGURE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `CONNECTION_FIGURE__INSETS` The feature id for the 'Insets' containment reference
`static int` `CONNECTION_FIGURE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `CONNECTION_FIGURE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `CONNECTION_FIGURE__LOCATION` The feature id for the 'Location' containment reference
`static int` `CONNECTION_FIGURE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `CONNECTION_FIGURE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `CONNECTION_FIGURE__NAME` The feature id for the 'Name' attribute
`static int` `CONNECTION_FIGURE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `CONNECTION_FIGURE__SIZE` The feature id for the 'Size' containment reference
`static int` `CONNECTION_FIGURE_FEATURE_COUNT` The number of structural features of the 'Connection Figure' class
`static int` `CONSTANT_COLOR` The meta object id for the '`Constant Color`' class
`static int` `CONSTANT_COLOR__VALUE` The feature id for the 'Value' attribute
`static int` `CONSTANT_COLOR_FEATURE_COUNT` The number of structural features of the 'Constant Color' class
`static int` `CUSTOM_ATTRIBUTE` The meta object id for the '`Custom Attribute`' class
`static int` `CUSTOM_ATTRIBUTE__DIRECT_ACCESS` The feature id for the 'Direct Access' attribute
`static int` `CUSTOM_ATTRIBUTE__MULTI_STATEMENT_VALUE` The feature id for the 'Multi Statement Value' attribute
`static int` `CUSTOM_ATTRIBUTE__NAME` The feature id for the 'Name' attribute
`static int` `CUSTOM_ATTRIBUTE__VALUE` The feature id for the 'Value' attribute
`static int` `CUSTOM_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Custom Attribute' class
`static int` `CUSTOM_BORDER` The meta object id for the '`Custom Border`' class
`static int` `CUSTOM_BORDER__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `CUSTOM_BORDER__QUALIFIED_CLASS_NAME` The feature id for the 'Qualified Class Name' attribute
`static int` `CUSTOM_BORDER_FEATURE_COUNT` The number of structural features of the 'Custom Border' class
`static int` `CUSTOM_CLASS` The meta object id for the '`Custom Class`' class
`static int` `CUSTOM_CLASS__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `CUSTOM_CLASS__QUALIFIED_CLASS_NAME` The feature id for the 'Qualified Class Name' attribute
`static int` `CUSTOM_CLASS_FEATURE_COUNT` The number of structural features of the 'Custom Class' class
`static int` `CUSTOM_CONNECTION` The meta object id for the '`Custom Connection`' class
`static int` `CUSTOM_CONNECTION__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `CUSTOM_CONNECTION__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `CUSTOM_CONNECTION__BORDER` The feature id for the 'Border' containment reference
`static int` `CUSTOM_CONNECTION__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `CUSTOM_CONNECTION__CUSTOM_CHILDREN` The feature id for the 'Custom Children' containment reference list
`static int` `CUSTOM_CONNECTION__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `CUSTOM_CONNECTION__FONT` The feature id for the 'Font' containment reference
`static int` `CUSTOM_CONNECTION__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `CUSTOM_CONNECTION__INSETS` The feature id for the 'Insets' containment reference
`static int` `CUSTOM_CONNECTION__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `CUSTOM_CONNECTION__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `CUSTOM_CONNECTION__LOCATION` The feature id for the 'Location' containment reference
`static int` `CUSTOM_CONNECTION__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `CUSTOM_CONNECTION__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `CUSTOM_CONNECTION__NAME` The feature id for the 'Name' attribute
`static int` `CUSTOM_CONNECTION__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `CUSTOM_CONNECTION__QUALIFIED_CLASS_NAME` The feature id for the 'Qualified Class Name' attribute
`static int` `CUSTOM_CONNECTION__SIZE` The feature id for the 'Size' containment reference
`static int` `CUSTOM_CONNECTION_FEATURE_COUNT` The number of structural features of the 'Custom Connection' class
`static int` `CUSTOM_DECORATION` The meta object id for the '`Custom Decoration`' class
`static int` `CUSTOM_DECORATION__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `CUSTOM_DECORATION__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `CUSTOM_DECORATION__BORDER` The feature id for the 'Border' containment reference
`static int` `CUSTOM_DECORATION__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `CUSTOM_DECORATION__CUSTOM_CHILDREN` The feature id for the 'Custom Children' containment reference list
`static int` `CUSTOM_DECORATION__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `CUSTOM_DECORATION__FONT` The feature id for the 'Font' containment reference
`static int` `CUSTOM_DECORATION__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `CUSTOM_DECORATION__INSETS` The feature id for the 'Insets' containment reference
`static int` `CUSTOM_DECORATION__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `CUSTOM_DECORATION__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `CUSTOM_DECORATION__LOCATION` The feature id for the 'Location' containment reference
`static int` `CUSTOM_DECORATION__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `CUSTOM_DECORATION__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `CUSTOM_DECORATION__NAME` The feature id for the 'Name' attribute
`static int` `CUSTOM_DECORATION__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `CUSTOM_DECORATION__QUALIFIED_CLASS_NAME` The feature id for the 'Qualified Class Name' attribute
`static int` `CUSTOM_DECORATION__SIZE` The feature id for the 'Size' containment reference
`static int` `CUSTOM_DECORATION_FEATURE_COUNT` The number of structural features of the 'Custom Decoration' class
`static int` `CUSTOM_FIGURE` The meta object id for the '`Custom Figure`' class
`static int` `CUSTOM_FIGURE__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `CUSTOM_FIGURE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `CUSTOM_FIGURE__BORDER` The feature id for the 'Border' containment reference
`static int` `CUSTOM_FIGURE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `CUSTOM_FIGURE__CUSTOM_CHILDREN` The feature id for the 'Custom Children' containment reference list
`static int` `CUSTOM_FIGURE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `CUSTOM_FIGURE__FONT` The feature id for the 'Font' containment reference
`static int` `CUSTOM_FIGURE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `CUSTOM_FIGURE__INSETS` The feature id for the 'Insets' containment reference
`static int` `CUSTOM_FIGURE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `CUSTOM_FIGURE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `CUSTOM_FIGURE__LOCATION` The feature id for the 'Location' containment reference
`static int` `CUSTOM_FIGURE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `CUSTOM_FIGURE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `CUSTOM_FIGURE__NAME` The feature id for the 'Name' attribute
`static int` `CUSTOM_FIGURE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `CUSTOM_FIGURE__QUALIFIED_CLASS_NAME` The feature id for the 'Qualified Class Name' attribute
`static int` `CUSTOM_FIGURE__SIZE` The feature id for the 'Size' containment reference
`static int` `CUSTOM_FIGURE_FEATURE_COUNT` The number of structural features of the 'Custom Figure' class
`static int` `CUSTOM_LAYOUT` The meta object id for the '`Custom Layout`' class
`static int` `CUSTOM_LAYOUT__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `CUSTOM_LAYOUT__QUALIFIED_CLASS_NAME` The feature id for the 'Qualified Class Name' attribute
`static int` `CUSTOM_LAYOUT_DATA` The meta object id for the '`Custom Layout Data`' class
`static int` `CUSTOM_LAYOUT_DATA__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `CUSTOM_LAYOUT_DATA__OWNER` The feature id for the 'Owner' container reference
`static int` `CUSTOM_LAYOUT_DATA__QUALIFIED_CLASS_NAME` The feature id for the 'Qualified Class Name' attribute
`static int` `CUSTOM_LAYOUT_DATA_FEATURE_COUNT` The number of structural features of the 'Custom Layout Data' class
`static int` `CUSTOM_LAYOUT_FEATURE_COUNT` The number of structural features of the 'Custom Layout' class
`static int` `DECORATION_FIGURE` The meta object id for the '`Decoration Figure`' class
`static int` `DECORATION_FIGURE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `DECORATION_FIGURE__BORDER` The feature id for the 'Border' containment reference
`static int` `DECORATION_FIGURE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `DECORATION_FIGURE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `DECORATION_FIGURE__FONT` The feature id for the 'Font' containment reference
`static int` `DECORATION_FIGURE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `DECORATION_FIGURE__INSETS` The feature id for the 'Insets' containment reference
`static int` `DECORATION_FIGURE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `DECORATION_FIGURE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `DECORATION_FIGURE__LOCATION` The feature id for the 'Location' containment reference
`static int` `DECORATION_FIGURE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `DECORATION_FIGURE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `DECORATION_FIGURE__NAME` The feature id for the 'Name' attribute
`static int` `DECORATION_FIGURE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `DECORATION_FIGURE__SIZE` The feature id for the 'Size' containment reference
`static int` `DECORATION_FIGURE_FEATURE_COUNT` The number of structural features of the 'Decoration Figure' class
`static int` `DEFAULT_SIZE_FACET` The meta object id for the '`Default Size Facet`' class
`static int` `DEFAULT_SIZE_FACET__DEFAULT_SIZE` The feature id for the 'Default Size' containment reference
`static int` `DEFAULT_SIZE_FACET_FEATURE_COUNT` The number of structural features of the 'Default Size Facet' class
`static int` `DIAGRAM_ELEMENT` The meta object id for the '`Diagram Element`' class
`static int` `DIAGRAM_ELEMENT__FACETS` The feature id for the 'Facets' containment reference list
`static int` `DIAGRAM_ELEMENT__FIGURE` The feature id for the 'Figure' reference
`static int` `DIAGRAM_ELEMENT__NAME` The feature id for the 'Name' attribute
`static int` `DIAGRAM_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Diagram Element' class
`static int` `DIAGRAM_LABEL` The meta object id for the '`Diagram Label`' class
`static int` `DIAGRAM_LABEL__ACCESSOR` The feature id for the 'Accessor' reference
`static int` `DIAGRAM_LABEL__AFFIXED_PARENT_SIDE` The feature id for the 'Affixed Parent Side' attribute
`static int` `DIAGRAM_LABEL__CONTAINER` The feature id for the 'Container' reference
`static int` `DIAGRAM_LABEL__CONTENT_PANE` The feature id for the 'Content Pane' reference
`static int` `DIAGRAM_LABEL__ELEMENT_ICON` The feature id for the 'Element Icon' attribute
`static int` `DIAGRAM_LABEL__EXTERNAL` The feature id for the 'External' attribute
`static int` `DIAGRAM_LABEL__FACETS` The feature id for the 'Facets' containment reference list
`static int` `DIAGRAM_LABEL__FIGURE` The feature id for the 'Figure' reference
`static int` `DIAGRAM_LABEL__NAME` The feature id for the 'Name' attribute
`static int` `DIAGRAM_LABEL__RESIZE_CONSTRAINT` The feature id for the 'Resize Constraint' attribute
`static int` `DIAGRAM_LABEL_FEATURE_COUNT` The number of structural features of the 'Diagram Label' class
`static int` `DIMENSION` The meta object id for the '`Dimension`' class
`static int` `DIMENSION__DX` The feature id for the 'Dx' attribute
`static int` `DIMENSION__DY` The feature id for the 'Dy' attribute
`static int` `DIMENSION_FEATURE_COUNT` The number of structural features of the 'Dimension' class
`static int` `DIRECTION` The meta object id for the '`Direction`' enum
`static GMFGraphPackage` `eINSTANCE` The singleton instance of the package
`static int` `ELLIPSE` The meta object id for the '`Ellipse`' class
`static int` `ELLIPSE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `ELLIPSE__BORDER` The feature id for the 'Border' containment reference
`static int` `ELLIPSE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `ELLIPSE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `ELLIPSE__FILL` The feature id for the 'Fill' attribute
`static int` `ELLIPSE__FONT` The feature id for the 'Font' containment reference
`static int` `ELLIPSE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `ELLIPSE__INSETS` The feature id for the 'Insets' containment reference
`static int` `ELLIPSE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `ELLIPSE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `ELLIPSE__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `ELLIPSE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `ELLIPSE__LOCATION` The feature id for the 'Location' containment reference
`static int` `ELLIPSE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `ELLIPSE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `ELLIPSE__NAME` The feature id for the 'Name' attribute
`static int` `ELLIPSE__OUTLINE` The feature id for the 'Outline' attribute
`static int` `ELLIPSE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `ELLIPSE__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `ELLIPSE__SIZE` The feature id for the 'Size' containment reference
`static int` `ELLIPSE__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `ELLIPSE__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `ELLIPSE_FEATURE_COUNT` The number of structural features of the 'Ellipse' class
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `FIGURE` The meta object id for the '`Figure`' class
`static int` `FIGURE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `FIGURE__BORDER` The feature id for the 'Border' containment reference
`static int` `FIGURE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `FIGURE__FONT` The feature id for the 'Font' containment reference
`static int` `FIGURE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `FIGURE__INSETS` The feature id for the 'Insets' containment reference
`static int` `FIGURE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `FIGURE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `FIGURE__LOCATION` The feature id for the 'Location' containment reference
`static int` `FIGURE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `FIGURE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `FIGURE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `FIGURE__SIZE` The feature id for the 'Size' containment reference
`static int` `FIGURE_ACCESSOR` The meta object id for the '`Figure Accessor`' class
`static int` `FIGURE_ACCESSOR__ACCESSOR` The feature id for the 'Accessor' attribute
`static int` `FIGURE_ACCESSOR__TYPED_FIGURE` The feature id for the 'Typed Figure' containment reference
`static int` `FIGURE_ACCESSOR_FEATURE_COUNT` The number of structural features of the 'Figure Accessor' class
`static int` `FIGURE_DESCRIPTOR` The meta object id for the '`Figure Descriptor`' class
`static int` `FIGURE_DESCRIPTOR__ACCESSORS` The feature id for the 'Accessors' containment reference list
`static int` `FIGURE_DESCRIPTOR__ACTUAL_FIGURE` The feature id for the 'Actual Figure' containment reference
`static int` `FIGURE_DESCRIPTOR__NAME` The feature id for the 'Name' attribute
`static int` `FIGURE_DESCRIPTOR_FEATURE_COUNT` The number of structural features of the 'Figure Descriptor' class
`static int` `FIGURE_FEATURE_COUNT` The number of structural features of the 'Figure' class
`static int` `FIGURE_GALLERY` The meta object id for the '`Figure Gallery`' class
`static int` `FIGURE_GALLERY__BORDERS` The feature id for the 'Borders' containment reference list
`static int` `FIGURE_GALLERY__DESCRIPTORS` The feature id for the 'Descriptors' containment reference list
`static int` `FIGURE_GALLERY__FIGURES` The feature id for the 'Figures' containment reference list
`static int` `FIGURE_GALLERY__IMPLEMENTATION_BUNDLE` The feature id for the 'Implementation Bundle' attribute
`static int` `FIGURE_GALLERY__LAYOUTS` The feature id for the 'Layouts' containment reference list
`static int` `FIGURE_GALLERY__NAME` The feature id for the 'Name' attribute
`static int` `FIGURE_GALLERY_FEATURE_COUNT` The number of structural features of the 'Figure Gallery' class
`static int` `FIGURE_REF` The meta object id for the '`Figure Ref`' class
`static int` `FIGURE_REF__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `FIGURE_REF__BORDER` The feature id for the 'Border' containment reference
`static int` `FIGURE_REF__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `FIGURE_REF__FIGURE` The feature id for the 'Figure' reference
`static int` `FIGURE_REF__FONT` The feature id for the 'Font' containment reference
`static int` `FIGURE_REF__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `FIGURE_REF__INSETS` The feature id for the 'Insets' containment reference
`static int` `FIGURE_REF__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `FIGURE_REF__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `FIGURE_REF__LOCATION` The feature id for the 'Location' containment reference
`static int` `FIGURE_REF__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `FIGURE_REF__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `FIGURE_REF__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `FIGURE_REF__SIZE` The feature id for the 'Size' containment reference
`static int` `FIGURE_REF_FEATURE_COUNT` The number of structural features of the 'Figure Ref' class
`static int` `FLOW_LAYOUT` The meta object id for the '`Flow Layout`' class
`static int` `FLOW_LAYOUT__FORCE_SINGLE_LINE` The feature id for the 'Force Single Line' attribute
`static int` `FLOW_LAYOUT__MAJOR_ALIGNMENT` The feature id for the 'Major Alignment' attribute
`static int` `FLOW_LAYOUT__MAJOR_SPACING` The feature id for the 'Major Spacing' attribute
`static int` `FLOW_LAYOUT__MATCH_MINOR_SIZE` The feature id for the 'Match Minor Size' attribute
`static int` `FLOW_LAYOUT__MINOR_ALIGNMENT` The feature id for the 'Minor Alignment' attribute
`static int` `FLOW_LAYOUT__MINOR_SPACING` The feature id for the 'Minor Spacing' attribute
`static int` `FLOW_LAYOUT__VERTICAL` The feature id for the 'Vertical' attribute
`static int` `FLOW_LAYOUT_FEATURE_COUNT` The number of structural features of the 'Flow Layout' class
`static int` `FONT` The meta object id for the '`Font`' class
`static int` `FONT_FEATURE_COUNT` The number of structural features of the 'Font' class
`static int` `FONT_STYLE` The meta object id for the '`Font Style`' enum
`static int` `GENERAL_FACET` The meta object id for the '`General Facet`' class
`static int` `GENERAL_FACET__DATA` The feature id for the 'Data' attribute
`static int` `GENERAL_FACET__IDENTIFIER` The feature id for the 'Identifier' attribute
`static int` `GENERAL_FACET_FEATURE_COUNT` The number of structural features of the 'General Facet' class
`static int` `GRADIENT_FACET` The meta object id for the '`Gradient Facet`' class
`static int` `GRADIENT_FACET__DIRECTION` The feature id for the 'Direction' attribute
`static int` `GRADIENT_FACET_FEATURE_COUNT` The number of structural features of the 'Gradient Facet' class
`static int` `GRID_LAYOUT` The meta object id for the '`Grid Layout`' class
`static int` `GRID_LAYOUT__EQUAL_WIDTH` The feature id for the 'Equal Width' attribute
`static int` `GRID_LAYOUT__MARGINS` The feature id for the 'Margins' containment reference
`static int` `GRID_LAYOUT__NUM_COLUMNS` The feature id for the 'Num Columns' attribute
`static int` `GRID_LAYOUT__SPACING` The feature id for the 'Spacing' containment reference
`static int` `GRID_LAYOUT_DATA` The meta object id for the '`Grid Layout Data`' class
`static int` `GRID_LAYOUT_DATA__GRAB_EXCESS_HORIZONTAL_SPACE` The feature id for the 'Grab Excess Horizontal Space' attribute
`static int` `GRID_LAYOUT_DATA__GRAB_EXCESS_VERTICAL_SPACE` The feature id for the 'Grab Excess Vertical Space' attribute
`static int` `GRID_LAYOUT_DATA__HORIZONTAL_ALIGNMENT` The feature id for the 'Horizontal Alignment' attribute
`static int` `GRID_LAYOUT_DATA__HORIZONTAL_INDENT` The feature id for the 'Horizontal Indent' attribute
`static int` `GRID_LAYOUT_DATA__HORIZONTAL_SPAN` The feature id for the 'Horizontal Span' attribute
`static int` `GRID_LAYOUT_DATA__OWNER` The feature id for the 'Owner' container reference
`static int` `GRID_LAYOUT_DATA__SIZE_HINT` The feature id for the 'Size Hint' containment reference
`static int` `GRID_LAYOUT_DATA__VERTICAL_ALIGNMENT` The feature id for the 'Vertical Alignment' attribute
`static int` `GRID_LAYOUT_DATA__VERTICAL_SPAN` The feature id for the 'Vertical Span' attribute
`static int` `GRID_LAYOUT_DATA_FEATURE_COUNT` The number of structural features of the 'Grid Layout Data' class
`static int` `GRID_LAYOUT_FEATURE_COUNT` The number of structural features of the 'Grid Layout' class
`static int` `IDENTITY` The meta object id for the '`Identity`' class
`static int` `IDENTITY__NAME` The feature id for the 'Name' attribute
`static int` `IDENTITY_FEATURE_COUNT` The number of structural features of the 'Identity' class
`static int` `INSETS` The meta object id for the '`Insets`' class
`static int` `INSETS__BOTTOM` The feature id for the 'Bottom' attribute
`static int` `INSETS__LEFT` The feature id for the 'Left' attribute
`static int` `INSETS__RIGHT` The feature id for the 'Right' attribute
`static int` `INSETS__TOP` The feature id for the 'Top' attribute
`static int` `INSETS_FEATURE_COUNT` The number of structural features of the 'Insets' class
`static int` `LABEL` The meta object id for the '`Label`' class
`static int` `LABEL__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `LABEL__BORDER` The feature id for the 'Border' containment reference
`static int` `LABEL__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `LABEL__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `LABEL__FONT` The feature id for the 'Font' containment reference
`static int` `LABEL__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `LABEL__INSETS` The feature id for the 'Insets' containment reference
`static int` `LABEL__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `LABEL__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `LABEL__LOCATION` The feature id for the 'Location' containment reference
`static int` `LABEL__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `LABEL__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `LABEL__NAME` The feature id for the 'Name' attribute
`static int` `LABEL__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `LABEL__SIZE` The feature id for the 'Size' containment reference
`static int` `LABEL__TEXT` The feature id for the 'Text' attribute
`static int` `LABEL_FEATURE_COUNT` The number of structural features of the 'Label' class
`static int` `LABEL_OFFSET_FACET` The meta object id for the '`Label Offset Facet`' class
`static int` `LABEL_OFFSET_FACET__X` The feature id for the 'X' attribute
`static int` `LABEL_OFFSET_FACET__Y` The feature id for the 'Y' attribute
`static int` `LABEL_OFFSET_FACET_FEATURE_COUNT` The number of structural features of the 'Label Offset Facet' class
`static int` `LABELED_CONTAINER` The meta object id for the '`Labeled Container`' class
`static int` `LABELED_CONTAINER__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `LABELED_CONTAINER__BORDER` The feature id for the 'Border' containment reference
`static int` `LABELED_CONTAINER__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `LABELED_CONTAINER__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `LABELED_CONTAINER__FONT` The feature id for the 'Font' containment reference
`static int` `LABELED_CONTAINER__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `LABELED_CONTAINER__INSETS` The feature id for the 'Insets' containment reference
`static int` `LABELED_CONTAINER__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `LABELED_CONTAINER__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `LABELED_CONTAINER__LOCATION` The feature id for the 'Location' containment reference
`static int` `LABELED_CONTAINER__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `LABELED_CONTAINER__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `LABELED_CONTAINER__NAME` The feature id for the 'Name' attribute
`static int` `LABELED_CONTAINER__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `LABELED_CONTAINER__SIZE` The feature id for the 'Size' containment reference
`static int` `LABELED_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Labeled Container' class
`static int` `LAYOUT` The meta object id for the '`Layout`' class
`static int` `LAYOUT_DATA` The meta object id for the '`Layout Data`' class
`static int` `LAYOUT_DATA__OWNER` The feature id for the 'Owner' container reference
`static int` `LAYOUT_DATA_FEATURE_COUNT` The number of structural features of the 'Layout Data' class
`static int` `LAYOUT_FEATURE_COUNT` The number of structural features of the 'Layout' class
`static int` `LAYOUT_REF` The meta object id for the '`Layout Ref`' class
`static int` `LAYOUT_REF__ACTUAL` The feature id for the 'Actual' reference
`static int` `LAYOUT_REF_FEATURE_COUNT` The number of structural features of the 'Layout Ref' class
`static int` `LAYOUTABLE` The meta object id for the '`Layoutable`' class
`static int` `LAYOUTABLE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `LAYOUTABLE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `LAYOUTABLE_FEATURE_COUNT` The number of structural features of the 'Layoutable' class
`static int` `LINE_BORDER` The meta object id for the '`Line Border`' class
`static int` `LINE_BORDER__COLOR` The feature id for the 'Color' containment reference
`static int` `LINE_BORDER__WIDTH` The feature id for the 'Width' attribute
`static int` `LINE_BORDER_FEATURE_COUNT` The number of structural features of the 'Line Border' class
`static int` `LINE_KIND` The meta object id for the '`Line Kind`' enum
`static int` `MARGIN_BORDER` The meta object id for the '`Margin Border`' class
`static int` `MARGIN_BORDER__INSETS` The feature id for the 'Insets' containment reference
`static int` `MARGIN_BORDER_FEATURE_COUNT` The number of structural features of the 'Margin Border' class
`static int` `NODE` The meta object id for the '`Node`' class
`static int` `NODE__AFFIXED_PARENT_SIDE` The feature id for the 'Affixed Parent Side' attribute
`static int` `NODE__CONTENT_PANE` The feature id for the 'Content Pane' reference
`static int` `NODE__FACETS` The feature id for the 'Facets' containment reference list
`static int` `NODE__FIGURE` The feature id for the 'Figure' reference
`static int` `NODE__NAME` The feature id for the 'Name' attribute
`static int` `NODE__RESIZE_CONSTRAINT` The feature id for the 'Resize Constraint' attribute
`static int` `NODE_FEATURE_COUNT` The number of structural features of the 'Node' class
`static int` `POINT` The meta object id for the '`Point`' class
`static int` `POINT__X` The feature id for the 'X' attribute
`static int` `POINT__Y` The feature id for the 'Y' attribute
`static int` `POINT_FEATURE_COUNT` The number of structural features of the 'Point' class
`static int` `POLYGON` The meta object id for the '`Polygon`' class
`static int` `POLYGON__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `POLYGON__BORDER` The feature id for the 'Border' containment reference
`static int` `POLYGON__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `POLYGON__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `POLYGON__FILL` The feature id for the 'Fill' attribute
`static int` `POLYGON__FONT` The feature id for the 'Font' containment reference
`static int` `POLYGON__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `POLYGON__INSETS` The feature id for the 'Insets' containment reference
`static int` `POLYGON__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `POLYGON__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `POLYGON__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `POLYGON__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `POLYGON__LOCATION` The feature id for the 'Location' containment reference
`static int` `POLYGON__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `POLYGON__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `POLYGON__NAME` The feature id for the 'Name' attribute
`static int` `POLYGON__OUTLINE` The feature id for the 'Outline' attribute
`static int` `POLYGON__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `POLYGON__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `POLYGON__SIZE` The feature id for the 'Size' containment reference
`static int` `POLYGON__TEMPLATE` The feature id for the 'Template' containment reference list
`static int` `POLYGON__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `POLYGON__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `POLYGON_DECORATION` The meta object id for the '`Polygon Decoration`' class
`static int` `POLYGON_DECORATION__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `POLYGON_DECORATION__BORDER` The feature id for the 'Border' containment reference
`static int` `POLYGON_DECORATION__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `POLYGON_DECORATION__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `POLYGON_DECORATION__FILL` The feature id for the 'Fill' attribute
`static int` `POLYGON_DECORATION__FONT` The feature id for the 'Font' containment reference
`static int` `POLYGON_DECORATION__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `POLYGON_DECORATION__INSETS` The feature id for the 'Insets' containment reference
`static int` `POLYGON_DECORATION__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `POLYGON_DECORATION__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `POLYGON_DECORATION__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `POLYGON_DECORATION__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `POLYGON_DECORATION__LOCATION` The feature id for the 'Location' containment reference
`static int` `POLYGON_DECORATION__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `POLYGON_DECORATION__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `POLYGON_DECORATION__NAME` The feature id for the 'Name' attribute
`static int` `POLYGON_DECORATION__OUTLINE` The feature id for the 'Outline' attribute
`static int` `POLYGON_DECORATION__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `POLYGON_DECORATION__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `POLYGON_DECORATION__SIZE` The feature id for the 'Size' containment reference
`static int` `POLYGON_DECORATION__TEMPLATE` The feature id for the 'Template' containment reference list
`static int` `POLYGON_DECORATION__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `POLYGON_DECORATION__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `POLYGON_DECORATION_FEATURE_COUNT` The number of structural features of the 'Polygon Decoration' class
`static int` `POLYGON_FEATURE_COUNT` The number of structural features of the 'Polygon' class
`static int` `POLYLINE` The meta object id for the '`Polyline`' class
`static int` `POLYLINE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `POLYLINE__BORDER` The feature id for the 'Border' containment reference
`static int` `POLYLINE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `POLYLINE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `POLYLINE__FILL` The feature id for the 'Fill' attribute
`static int` `POLYLINE__FONT` The feature id for the 'Font' containment reference
`static int` `POLYLINE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `POLYLINE__INSETS` The feature id for the 'Insets' containment reference
`static int` `POLYLINE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `POLYLINE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `POLYLINE__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `POLYLINE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `POLYLINE__LOCATION` The feature id for the 'Location' containment reference
`static int` `POLYLINE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `POLYLINE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `POLYLINE__NAME` The feature id for the 'Name' attribute
`static int` `POLYLINE__OUTLINE` The feature id for the 'Outline' attribute
`static int` `POLYLINE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `POLYLINE__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `POLYLINE__SIZE` The feature id for the 'Size' containment reference
`static int` `POLYLINE__TEMPLATE` The feature id for the 'Template' containment reference list
`static int` `POLYLINE__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `POLYLINE__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `POLYLINE_CONNECTION` The meta object id for the '`Polyline Connection`' class
`static int` `POLYLINE_CONNECTION__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `POLYLINE_CONNECTION__BORDER` The feature id for the 'Border' containment reference
`static int` `POLYLINE_CONNECTION__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `POLYLINE_CONNECTION__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `POLYLINE_CONNECTION__FILL` The feature id for the 'Fill' attribute
`static int` `POLYLINE_CONNECTION__FONT` The feature id for the 'Font' containment reference
`static int` `POLYLINE_CONNECTION__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `POLYLINE_CONNECTION__INSETS` The feature id for the 'Insets' containment reference
`static int` `POLYLINE_CONNECTION__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `POLYLINE_CONNECTION__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `POLYLINE_CONNECTION__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `POLYLINE_CONNECTION__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `POLYLINE_CONNECTION__LOCATION` The feature id for the 'Location' containment reference
`static int` `POLYLINE_CONNECTION__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `POLYLINE_CONNECTION__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `POLYLINE_CONNECTION__NAME` The feature id for the 'Name' attribute
`static int` `POLYLINE_CONNECTION__OUTLINE` The feature id for the 'Outline' attribute
`static int` `POLYLINE_CONNECTION__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `POLYLINE_CONNECTION__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `POLYLINE_CONNECTION__SIZE` The feature id for the 'Size' containment reference
`static int` `POLYLINE_CONNECTION__SOURCE_DECORATION` The feature id for the 'Source Decoration' reference
`static int` `POLYLINE_CONNECTION__TARGET_DECORATION` The feature id for the 'Target Decoration' reference
`static int` `POLYLINE_CONNECTION__TEMPLATE` The feature id for the 'Template' containment reference list
`static int` `POLYLINE_CONNECTION__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `POLYLINE_CONNECTION__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `POLYLINE_CONNECTION_FEATURE_COUNT` The number of structural features of the 'Polyline Connection' class
`static int` `POLYLINE_DECORATION` The meta object id for the '`Polyline Decoration`' class
`static int` `POLYLINE_DECORATION__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `POLYLINE_DECORATION__BORDER` The feature id for the 'Border' containment reference
`static int` `POLYLINE_DECORATION__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `POLYLINE_DECORATION__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `POLYLINE_DECORATION__FILL` The feature id for the 'Fill' attribute
`static int` `POLYLINE_DECORATION__FONT` The feature id for the 'Font' containment reference
`static int` `POLYLINE_DECORATION__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `POLYLINE_DECORATION__INSETS` The feature id for the 'Insets' containment reference
`static int` `POLYLINE_DECORATION__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `POLYLINE_DECORATION__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `POLYLINE_DECORATION__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `POLYLINE_DECORATION__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `POLYLINE_DECORATION__LOCATION` The feature id for the 'Location' containment reference
`static int` `POLYLINE_DECORATION__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `POLYLINE_DECORATION__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `POLYLINE_DECORATION__NAME` The feature id for the 'Name' attribute
`static int` `POLYLINE_DECORATION__OUTLINE` The feature id for the 'Outline' attribute
`static int` `POLYLINE_DECORATION__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `POLYLINE_DECORATION__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `POLYLINE_DECORATION__SIZE` The feature id for the 'Size' containment reference
`static int` `POLYLINE_DECORATION__TEMPLATE` The feature id for the 'Template' containment reference list
`static int` `POLYLINE_DECORATION__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `POLYLINE_DECORATION__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `POLYLINE_DECORATION_FEATURE_COUNT` The number of structural features of the 'Polyline Decoration' class
`static int` `POLYLINE_FEATURE_COUNT` The number of structural features of the 'Polyline' class
`static int` `REAL_FIGURE` The meta object id for the '`Real Figure`' class
`static int` `REAL_FIGURE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `REAL_FIGURE__BORDER` The feature id for the 'Border' containment reference
`static int` `REAL_FIGURE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `REAL_FIGURE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `REAL_FIGURE__FONT` The feature id for the 'Font' containment reference
`static int` `REAL_FIGURE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `REAL_FIGURE__INSETS` The feature id for the 'Insets' containment reference
`static int` `REAL_FIGURE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `REAL_FIGURE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `REAL_FIGURE__LOCATION` The feature id for the 'Location' containment reference
`static int` `REAL_FIGURE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `REAL_FIGURE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `REAL_FIGURE__NAME` The feature id for the 'Name' attribute
`static int` `REAL_FIGURE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `REAL_FIGURE__SIZE` The feature id for the 'Size' containment reference
`static int` `REAL_FIGURE_FEATURE_COUNT` The number of structural features of the 'Real Figure' class
`static int` `RECTANGLE` The meta object id for the '`Rectangle`' class
`static int` `RECTANGLE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `RECTANGLE__BORDER` The feature id for the 'Border' containment reference
`static int` `RECTANGLE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `RECTANGLE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `RECTANGLE__FILL` The feature id for the 'Fill' attribute
`static int` `RECTANGLE__FONT` The feature id for the 'Font' containment reference
`static int` `RECTANGLE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `RECTANGLE__INSETS` The feature id for the 'Insets' containment reference
`static int` `RECTANGLE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `RECTANGLE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `RECTANGLE__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `RECTANGLE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `RECTANGLE__LOCATION` The feature id for the 'Location' containment reference
`static int` `RECTANGLE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `RECTANGLE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `RECTANGLE__NAME` The feature id for the 'Name' attribute
`static int` `RECTANGLE__OUTLINE` The feature id for the 'Outline' attribute
`static int` `RECTANGLE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `RECTANGLE__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `RECTANGLE__SIZE` The feature id for the 'Size' containment reference
`static int` `RECTANGLE__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `RECTANGLE__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `RECTANGLE_FEATURE_COUNT` The number of structural features of the 'Rectangle' class
`static int` `RECTANGLE2_D` The meta object id for the '`Rectangle2 D`' class
`static int` `RECTANGLE2_D__HEIGHT` The feature id for the 'Height' attribute
`static int` `RECTANGLE2_D__WIDTH` The feature id for the 'Width' attribute
`static int` `RECTANGLE2_D__X` The feature id for the 'X' attribute
`static int` `RECTANGLE2_D__Y` The feature id for the 'Y' attribute
`static int` `RECTANGLE2_D_FEATURE_COUNT` The number of structural features of the 'Rectangle2 D' class
`static int` `RGB_COLOR` The meta object id for the '`RGB Color`' class
`static int` `RGB_COLOR__BLUE` The feature id for the 'Blue' attribute
`static int` `RGB_COLOR__GREEN` The feature id for the 'Green' attribute
`static int` `RGB_COLOR__RED` The feature id for the 'Red' attribute
`static int` `RGB_COLOR_FEATURE_COUNT` The number of structural features of the 'RGB Color' class
`static int` `ROUNDED_RECTANGLE` The meta object id for the '`Rounded Rectangle`' class
`static int` `ROUNDED_RECTANGLE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `ROUNDED_RECTANGLE__BORDER` The feature id for the 'Border' containment reference
`static int` `ROUNDED_RECTANGLE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `ROUNDED_RECTANGLE__CORNER_HEIGHT` The feature id for the 'Corner Height' attribute
`static int` `ROUNDED_RECTANGLE__CORNER_WIDTH` The feature id for the 'Corner Width' attribute
`static int` `ROUNDED_RECTANGLE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `ROUNDED_RECTANGLE__FILL` The feature id for the 'Fill' attribute
`static int` `ROUNDED_RECTANGLE__FONT` The feature id for the 'Font' containment reference
`static int` `ROUNDED_RECTANGLE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `ROUNDED_RECTANGLE__INSETS` The feature id for the 'Insets' containment reference
`static int` `ROUNDED_RECTANGLE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `ROUNDED_RECTANGLE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `ROUNDED_RECTANGLE__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `ROUNDED_RECTANGLE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `ROUNDED_RECTANGLE__LOCATION` The feature id for the 'Location' containment reference
`static int` `ROUNDED_RECTANGLE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `ROUNDED_RECTANGLE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `ROUNDED_RECTANGLE__NAME` The feature id for the 'Name' attribute
`static int` `ROUNDED_RECTANGLE__OUTLINE` The feature id for the 'Outline' attribute
`static int` `ROUNDED_RECTANGLE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `ROUNDED_RECTANGLE__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `ROUNDED_RECTANGLE__SIZE` The feature id for the 'Size' containment reference
`static int` `ROUNDED_RECTANGLE__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `ROUNDED_RECTANGLE__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `ROUNDED_RECTANGLE_FEATURE_COUNT` The number of structural features of the 'Rounded Rectangle' class
`static int` `SCALABLE_POLYGON` The meta object id for the '`Scalable Polygon`' class
`static int` `SCALABLE_POLYGON__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `SCALABLE_POLYGON__BORDER` The feature id for the 'Border' containment reference
`static int` `SCALABLE_POLYGON__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `SCALABLE_POLYGON__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `SCALABLE_POLYGON__FILL` The feature id for the 'Fill' attribute
`static int` `SCALABLE_POLYGON__FONT` The feature id for the 'Font' containment reference
`static int` `SCALABLE_POLYGON__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `SCALABLE_POLYGON__INSETS` The feature id for the 'Insets' containment reference
`static int` `SCALABLE_POLYGON__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `SCALABLE_POLYGON__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `SCALABLE_POLYGON__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `SCALABLE_POLYGON__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `SCALABLE_POLYGON__LOCATION` The feature id for the 'Location' containment reference
`static int` `SCALABLE_POLYGON__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `SCALABLE_POLYGON__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `SCALABLE_POLYGON__NAME` The feature id for the 'Name' attribute
`static int` `SCALABLE_POLYGON__OUTLINE` The feature id for the 'Outline' attribute
`static int` `SCALABLE_POLYGON__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `SCALABLE_POLYGON__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `SCALABLE_POLYGON__SIZE` The feature id for the 'Size' containment reference
`static int` `SCALABLE_POLYGON__TEMPLATE` The feature id for the 'Template' containment reference list
`static int` `SCALABLE_POLYGON__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `SCALABLE_POLYGON__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `SCALABLE_POLYGON_FEATURE_COUNT` The number of structural features of the 'Scalable Polygon' class
`static int` `SHAPE` The meta object id for the '`Shape`' class
`static int` `SHAPE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `SHAPE__BORDER` The feature id for the 'Border' containment reference
`static int` `SHAPE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `SHAPE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `SHAPE__FILL` The feature id for the 'Fill' attribute
`static int` `SHAPE__FONT` The feature id for the 'Font' containment reference
`static int` `SHAPE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `SHAPE__INSETS` The feature id for the 'Insets' containment reference
`static int` `SHAPE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `SHAPE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `SHAPE__LINE_KIND` The feature id for the 'Line Kind' attribute
`static int` `SHAPE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `SHAPE__LOCATION` The feature id for the 'Location' containment reference
`static int` `SHAPE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `SHAPE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `SHAPE__NAME` The feature id for the 'Name' attribute
`static int` `SHAPE__OUTLINE` The feature id for the 'Outline' attribute
`static int` `SHAPE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `SHAPE__RESOLVED_CHILDREN` The feature id for the 'Resolved Children' reference list
`static int` `SHAPE__SIZE` The feature id for the 'Size' containment reference
`static int` `SHAPE__XOR_FILL` The feature id for the 'Xor Fill' attribute
`static int` `SHAPE__XOR_OUTLINE` The feature id for the 'Xor Outline' attribute
`static int` `SHAPE_FEATURE_COUNT` The number of structural features of the 'Shape' class
`static int` `STACK_LAYOUT` The meta object id for the '`Stack Layout`' class
`static int` `STACK_LAYOUT_FEATURE_COUNT` The number of structural features of the 'Stack Layout' class
`static int` `SVG_FIGURE` The meta object id for the '`SVG Figure`' class
`static int` `SVG_FIGURE__AREA_OF_INTEREST` The feature id for the 'Area Of Interest' containment reference
`static int` `SVG_FIGURE__BACKGROUND_COLOR` The feature id for the 'Background Color' containment reference
`static int` `SVG_FIGURE__BORDER` The feature id for the 'Border' containment reference
`static int` `SVG_FIGURE__CHILDREN` The feature id for the 'Children' containment reference list
`static int` `SVG_FIGURE__DESCRIPTOR` The feature id for the 'Descriptor' reference
`static int` `SVG_FIGURE__DOCUMENT_URI` The feature id for the 'Document URI' attribute
`static int` `SVG_FIGURE__FONT` The feature id for the 'Font' containment reference
`static int` `SVG_FIGURE__FOREGROUND_COLOR` The feature id for the 'Foreground Color' containment reference
`static int` `SVG_FIGURE__INSETS` The feature id for the 'Insets' containment reference
`static int` `SVG_FIGURE__LAYOUT` The feature id for the 'Layout' containment reference
`static int` `SVG_FIGURE__LAYOUT_DATA` The feature id for the 'Layout Data' containment reference
`static int` `SVG_FIGURE__LOCATION` The feature id for the 'Location' containment reference
`static int` `SVG_FIGURE__MAXIMUM_SIZE` The feature id for the 'Maximum Size' containment reference
`static int` `SVG_FIGURE__MINIMUM_SIZE` The feature id for the 'Minimum Size' containment reference
`static int` `SVG_FIGURE__NAME` The feature id for the 'Name' attribute
`static int` `SVG_FIGURE__NO_CANVAS_HEIGHT` The feature id for the 'No Canvas Height' attribute
`static int` `SVG_FIGURE__NO_CANVAS_WIDTH` The feature id for the 'No Canvas Width' attribute
`static int` `SVG_FIGURE__PREFERRED_SIZE` The feature id for the 'Preferred Size' containment reference
`static int` `SVG_FIGURE__PROPERTIES` The feature id for the 'Properties' containment reference list
`static int` `SVG_FIGURE__SIZE` The feature id for the 'Size' containment reference
`static int` `SVG_FIGURE_FEATURE_COUNT` The number of structural features of the 'SVG Figure' class
`static int` `SVG_PROPERTY` The meta object id for the '`SVG Property`' class
`static int` `SVG_PROPERTY__ATTRIBUTE` The feature id for the 'Attribute' attribute
`static int` `SVG_PROPERTY__CALL_SUPER` The feature id for the 'Call Super' attribute
`static int` `SVG_PROPERTY__GETTER` The feature id for the 'Getter' attribute
`static int` `SVG_PROPERTY__QUERY` The feature id for the 'Query' attribute
`static int` `SVG_PROPERTY__SETTER` The feature id for the 'Setter' attribute
`static int` `SVG_PROPERTY__TYPE` The feature id for the 'Type' attribute
`static int` `SVG_PROPERTY_FEATURE_COUNT` The number of structural features of the 'SVG Property' class
`static int` `SVG_PROPERTY_TYPE` The meta object id for the '`SVG Property Type`' enum
`static int` `VISUAL_FACET` The meta object id for the '`Visual Facet`' class
`static int` `VISUAL_FACET_FEATURE_COUNT` The number of structural features of the 'Visual Facet' class
`static int` `XY_LAYOUT` The meta object id for the '`XY Layout`' class
`static int` `XY_LAYOUT_DATA` The meta object id for the '`XY Layout Data`' class
`static int` `XY_LAYOUT_DATA__OWNER` The feature id for the 'Owner' container reference
`static int` `XY_LAYOUT_DATA__SIZE` The feature id for the 'Size' containment reference
`static int` `XY_LAYOUT_DATA__TOP_LEFT` The feature id for the 'Top Left' containment reference
`static int` `XY_LAYOUT_DATA_FEATURE_COUNT` The number of structural features of the 'XY Layout Data' class
`static int` `XY_LAYOUT_FEATURE_COUNT` The number of structural features of the 'XY Layout' class

Method Summary
`org.eclipse.emf.ecore.EClass` `getAbstractFigure()` Returns the meta object for class '`Abstract Figure`'
`org.eclipse.emf.ecore.EClass` `getAbstractNode()` Returns the meta object for class '`Abstract Node`'
`org.eclipse.emf.ecore.EEnum` `getAlignment()` Returns the meta object for enum '`Alignment`'
`org.eclipse.emf.ecore.EAttribute` `getAlignmentFacet_Alignment()` Returns the meta object for the attribute '`Alignment`'
`org.eclipse.emf.ecore.EClass` `getAlignmentFacet()` Returns the meta object for class '`Alignment Facet`'
`org.eclipse.emf.ecore.EAttribute` `getBasicFont_FaceName()` Returns the meta object for the attribute '`Face Name`'
`org.eclipse.emf.ecore.EAttribute` `getBasicFont_Height()` Returns the meta object for the attribute '`Height`'
`org.eclipse.emf.ecore.EAttribute` `getBasicFont_Style()` Returns the meta object for the attribute '`Style`'
`org.eclipse.emf.ecore.EClass` `getBasicFont()` Returns the meta object for class '`Basic Font`'
`org.eclipse.emf.ecore.EClass` `getBorder()` Returns the meta object for class '`Border`'
`org.eclipse.emf.ecore.EReference` `getBorderLayout_Spacing()` Returns the meta object for the containment reference '`Spacing`'
`org.eclipse.emf.ecore.EClass` `getBorderLayout()` Returns the meta object for class '`Border Layout`'
`org.eclipse.emf.ecore.EAttribute` `getBorderLayoutData_Alignment()` Returns the meta object for the attribute '`Alignment`'
`org.eclipse.emf.ecore.EAttribute` `getBorderLayoutData_Vertical()` Returns the meta object for the attribute '`Vertical`'
`org.eclipse.emf.ecore.EClass` `getBorderLayoutData()` Returns the meta object for class '`Border Layout Data`'
`org.eclipse.emf.ecore.EReference` `getBorderRef_Actual()` Returns the meta object for the reference '`Actual`'
`org.eclipse.emf.ecore.EClass` `getBorderRef()` Returns the meta object for class '`Border Ref`'
`org.eclipse.emf.ecore.EReference` `getCanvas_Compartments()` Returns the meta object for the containment reference list '`Compartments`'
`org.eclipse.emf.ecore.EReference` `getCanvas_Connections()` Returns the meta object for the containment reference list '`Connections`'
`org.eclipse.emf.ecore.EReference` `getCanvas_Figures()` Returns the meta object for the containment reference list '`Figures`'
`org.eclipse.emf.ecore.EReference` `getCanvas_Labels()` Returns the meta object for the containment reference list '`Labels`'
`org.eclipse.emf.ecore.EReference` `getCanvas_Nodes()` Returns the meta object for the containment reference list '`Nodes`'
`org.eclipse.emf.ecore.EClass` `getCanvas()` Returns the meta object for class '`Canvas`'
`org.eclipse.emf.ecore.EAttribute` `getChildAccess_Accessor()` Returns the meta object for the attribute '`Accessor`'
`org.eclipse.emf.ecore.EReference` `getChildAccess_Figure()` Returns the meta object for the reference '`Figure`'
`org.eclipse.emf.ecore.EReference` `getChildAccess_Owner()` Returns the meta object for the container reference '`Owner`'
`org.eclipse.emf.ecore.EClass` `getChildAccess()` Returns the meta object for class '`Child Access`'
`org.eclipse.emf.ecore.EClass` `getColor()` Returns the meta object for class '`Color`'
`org.eclipse.emf.ecore.EEnum` `getColorConstants()` Returns the meta object for enum '`Color Constants`'
`org.eclipse.emf.ecore.EReference` `getCompartment_Accessor()` Returns the meta object for the reference '`Accessor`'
`org.eclipse.emf.ecore.EAttribute` `getCompartment_Collapsible()` Returns the meta object for the attribute '`Collapsible`'
`org.eclipse.emf.ecore.EAttribute` `getCompartment_NeedsTitle()` Returns the meta object for the attribute '`Needs Title`'
`org.eclipse.emf.ecore.EClass` `getCompartment()` Returns the meta object for class '`Compartment`'
`org.eclipse.emf.ecore.EReference` `getCompoundBorder_Inner()` Returns the meta object for the containment reference '`Inner`'
`org.eclipse.emf.ecore.EReference` `getCompoundBorder_Outer()` Returns the meta object for the containment reference '`Outer`'
`org.eclipse.emf.ecore.EClass` `getCompoundBorder()` Returns the meta object for class '`Compound Border`'
`org.eclipse.emf.ecore.EClass` `getConnection()` Returns the meta object for class '`Connection`'
`org.eclipse.emf.ecore.EClass` `getConnectionFigure()` Returns the meta object for class '`Connection Figure`'
`org.eclipse.emf.ecore.EAttribute` `getConstantColor_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` `getConstantColor()` Returns the meta object for class '`Constant Color`'
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_DirectAccess()` Returns the meta object for the attribute '`Direct Access`'
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_MultiStatementValue()` Returns the meta object for the attribute '`Multi Statement Value`'
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` `getCustomAttribute()` Returns the meta object for class '`Custom Attribute`'
`org.eclipse.emf.ecore.EClass` `getCustomBorder()` Returns the meta object for class '`Custom Border`'
`org.eclipse.emf.ecore.EReference` `getCustomClass_Attributes()` Returns the meta object for the containment reference list '`Attributes`'
`org.eclipse.emf.ecore.EAttribute` `getCustomClass_QualifiedClassName()` Returns the meta object for the attribute '`Qualified Class Name`'
`org.eclipse.emf.ecore.EClass` `getCustomClass()` Returns the meta object for class '`Custom Class`'
`org.eclipse.emf.ecore.EClass` `getCustomConnection()` Returns the meta object for class '`Custom Connection`'
`org.eclipse.emf.ecore.EClass` `getCustomDecoration()` Returns the meta object for class '`Custom Decoration`'
`org.eclipse.emf.ecore.EReference` `getCustomFigure_CustomChildren()` Returns the meta object for the containment reference list '`Custom Children`'
`org.eclipse.emf.ecore.EClass` `getCustomFigure()` Returns the meta object for class '`Custom Figure`'
`org.eclipse.emf.ecore.EClass` `getCustomLayout()` Returns the meta object for class '`Custom Layout`'
`org.eclipse.emf.ecore.EClass` `getCustomLayoutData()` Returns the meta object for class '`Custom Layout Data`'
`org.eclipse.emf.ecore.EClass` `getDecorationFigure()` Returns the meta object for class '`Decoration Figure`'
`org.eclipse.emf.ecore.EReference` `getDefaultSizeFacet_DefaultSize()` Returns the meta object for the containment reference '`Default Size`'
`org.eclipse.emf.ecore.EClass` `getDefaultSizeFacet()` Returns the meta object for class '`Default Size Facet`'
`org.eclipse.emf.ecore.EReference` `getDiagramElement_Facets()` Returns the meta object for the containment reference list '`Facets`'
`org.eclipse.emf.ecore.EReference` `getDiagramElement_Figure()` Returns the meta object for the reference '`Figure`'
`org.eclipse.emf.ecore.EClass` `getDiagramElement()` Returns the meta object for class '`Diagram Element`'
`org.eclipse.emf.ecore.EReference` `getDiagramLabel_Accessor()` Returns the meta object for the reference '`Accessor`'
`org.eclipse.emf.ecore.EReference` `getDiagramLabel_Container()` Returns the meta object for the reference '`Container`'
`org.eclipse.emf.ecore.EAttribute` `getDiagramLabel_ElementIcon()` Returns the meta object for the attribute '`Element Icon`'
`org.eclipse.emf.ecore.EAttribute` `getDiagramLabel_External()` Returns the meta object for the attribute '`External`'
`org.eclipse.emf.ecore.EClass` `getDiagramLabel()` Returns the meta object for class '`Diagram Label`'
`org.eclipse.emf.ecore.EAttribute` `getDimension_Dx()` Returns the meta object for the attribute '`Dx`'
`org.eclipse.emf.ecore.EAttribute` `getDimension_Dy()` Returns the meta object for the attribute '`Dy`'
`org.eclipse.emf.ecore.EClass` `getDimension()` Returns the meta object for class '`Dimension`'
`org.eclipse.emf.ecore.EEnum` `getDirection()` Returns the meta object for enum '`Direction`'
`org.eclipse.emf.ecore.EClass` `getEllipse()` Returns the meta object for class '`Ellipse`'
`org.eclipse.emf.ecore.EReference` `getFigure_BackgroundColor()` Returns the meta object for the containment reference '`Background Color`'
`org.eclipse.emf.ecore.EReference` `getFigure_Border()` Returns the meta object for the containment reference '`Border`'
`org.eclipse.emf.ecore.EReference` `getFigure_Descriptor()` Returns the meta object for the reference '`Descriptor`'
`org.eclipse.emf.ecore.EReference` `getFigure_Font()` Returns the meta object for the containment reference '`Font`'
`org.eclipse.emf.ecore.EReference` `getFigure_ForegroundColor()` Returns the meta object for the containment reference '`Foreground Color`'
`org.eclipse.emf.ecore.EReference` `getFigure_Insets()` Returns the meta object for the containment reference '`Insets`'
`org.eclipse.emf.ecore.EReference` `getFigure_Location()` Returns the meta object for the containment reference '`Location`'
`org.eclipse.emf.ecore.EReference` `getFigure_MaximumSize()` Returns the meta object for the containment reference '`Maximum Size`'
`org.eclipse.emf.ecore.EReference` `getFigure_MinimumSize()` Returns the meta object for the containment reference '`Minimum Size`'
`org.eclipse.emf.ecore.EReference` `getFigure_PreferredSize()` Returns the meta object for the containment reference '`Preferred Size`'
`org.eclipse.emf.ecore.EReference` `getFigure_Size()` Returns the meta object for the containment reference '`Size`'
`org.eclipse.emf.ecore.EClass` `getFigure()` Returns the meta object for class '`Figure`'
`org.eclipse.emf.ecore.EAttribute` `getFigureAccessor_Accessor()` Returns the meta object for the attribute '`Accessor`'
`org.eclipse.emf.ecore.EReference` `getFigureAccessor_TypedFigure()` Returns the meta object for the containment reference '`Typed Figure`'
`org.eclipse.emf.ecore.EClass` `getFigureAccessor()` Returns the meta object for class '`Figure Accessor`'
`org.eclipse.emf.ecore.EReference` `getFigureDescriptor_Accessors()` Returns the meta object for the containment reference list '`Accessors`'
`org.eclipse.emf.ecore.EReference` `getFigureDescriptor_ActualFigure()` Returns the meta object for the containment reference '`Actual Figure`'
`org.eclipse.emf.ecore.EClass` `getFigureDescriptor()` Returns the meta object for class '`Figure Descriptor`'
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Borders()` Returns the meta object for the containment reference list '`Borders`'
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Descriptors()` Returns the meta object for the containment reference list '`Descriptors`'
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Figures()` Returns the meta object for the containment reference list '`Figures`'
`org.eclipse.emf.ecore.EAttribute` `getFigureGallery_ImplementationBundle()` Returns the meta object for the attribute '`Implementation Bundle`'
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Layouts()` Returns the meta object for the containment reference list '`Layouts`'
`org.eclipse.emf.ecore.EClass` `getFigureGallery()` Returns the meta object for class '`Figure Gallery`'
`org.eclipse.emf.ecore.EReference` `getFigureRef_Figure()` Returns the meta object for the reference '`Figure`'
`org.eclipse.emf.ecore.EClass` `getFigureRef()` Returns the meta object for class '`Figure Ref`'
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_ForceSingleLine()` Returns the meta object for the attribute '`Force Single Line`'
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MajorAlignment()` Returns the meta object for the attribute '`Major Alignment`'
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MajorSpacing()` Returns the meta object for the attribute '`Major Spacing`'
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MatchMinorSize()` Returns the meta object for the attribute '`Match Minor Size`'
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MinorAlignment()` Returns the meta object for the attribute '`Minor Alignment`'
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MinorSpacing()` Returns the meta object for the attribute '`Minor Spacing`'
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_Vertical()` Returns the meta object for the attribute '`Vertical`'
`org.eclipse.emf.ecore.EClass` `getFlowLayout()` Returns the meta object for class '`Flow Layout`'
`org.eclipse.emf.ecore.EClass` `getFont()` Returns the meta object for class '`Font`'
`org.eclipse.emf.ecore.EEnum` `getFontStyle()` Returns the meta object for enum '`Font Style`'
`org.eclipse.emf.ecore.EAttribute` `getGeneralFacet_Data()` Returns the meta object for the attribute '`Data`'
`org.eclipse.emf.ecore.EAttribute` `getGeneralFacet_Identifier()` Returns the meta object for the attribute '`Identifier`'
`org.eclipse.emf.ecore.EClass` `getGeneralFacet()` Returns the meta object for class '`General Facet`'
`GMFGraphFactory` `getGMFGraphFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EAttribute` `getGradientFacet_Direction()` Returns the meta object for the attribute '`Direction`'
`org.eclipse.emf.ecore.EClass` `getGradientFacet()` Returns the meta object for class '`Gradient Facet`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayout_EqualWidth()` Returns the meta object for the attribute '`Equal Width`'
`org.eclipse.emf.ecore.EReference` `getGridLayout_Margins()` Returns the meta object for the containment reference '`Margins`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayout_NumColumns()` Returns the meta object for the attribute '`Num Columns`'
`org.eclipse.emf.ecore.EReference` `getGridLayout_Spacing()` Returns the meta object for the containment reference '`Spacing`'
`org.eclipse.emf.ecore.EClass` `getGridLayout()` Returns the meta object for class '`Grid Layout`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_GrabExcessHorizontalSpace()` Returns the meta object for the attribute '`Grab Excess Horizontal Space`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_GrabExcessVerticalSpace()` Returns the meta object for the attribute '`Grab Excess Vertical Space`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_HorizontalAlignment()` Returns the meta object for the attribute '`Horizontal Alignment`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_HorizontalIndent()` Returns the meta object for the attribute '`Horizontal Indent`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_HorizontalSpan()` Returns the meta object for the attribute '`Horizontal Span`'
`org.eclipse.emf.ecore.EReference` `getGridLayoutData_SizeHint()` Returns the meta object for the containment reference '`Size Hint`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_VerticalAlignment()` Returns the meta object for the attribute '`Vertical Alignment`'
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_VerticalSpan()` Returns the meta object for the attribute '`Vertical Span`'
`org.eclipse.emf.ecore.EClass` `getGridLayoutData()` Returns the meta object for class '`Grid Layout Data`'
`org.eclipse.emf.ecore.EAttribute` `getIdentity_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` `getIdentity()` Returns the meta object for class '`Identity`'
`org.eclipse.emf.ecore.EAttribute` `getInsets_Bottom()` Returns the meta object for the attribute '`Bottom`'
`org.eclipse.emf.ecore.EAttribute` `getInsets_Left()` Returns the meta object for the attribute '`Left`'
`org.eclipse.emf.ecore.EAttribute` `getInsets_Right()` Returns the meta object for the attribute '`Right`'
`org.eclipse.emf.ecore.EAttribute` `getInsets_Top()` Returns the meta object for the attribute '`Top`'
`org.eclipse.emf.ecore.EClass` `getInsets()` Returns the meta object for class '`Insets`'
`org.eclipse.emf.ecore.EAttribute` `getLabel_Text()` Returns the meta object for the attribute '`Text`'
`org.eclipse.emf.ecore.EClass` `getLabel()` Returns the meta object for class '`Label`'
`org.eclipse.emf.ecore.EClass` `getLabeledContainer()` Returns the meta object for class '`Labeled Container`'
`org.eclipse.emf.ecore.EAttribute` `getLabelOffsetFacet_X()` Returns the meta object for the attribute '`X`'
`org.eclipse.emf.ecore.EAttribute` `getLabelOffsetFacet_Y()` Returns the meta object for the attribute '`Y`'
`org.eclipse.emf.ecore.EClass` `getLabelOffsetFacet()` Returns the meta object for class '`Label Offset Facet`'
`org.eclipse.emf.ecore.EClass` `getLayout()` Returns the meta object for class '`Layout`'
`org.eclipse.emf.ecore.EReference` `getLayoutable_Layout()` Returns the meta object for the containment reference '`Layout`'
`org.eclipse.emf.ecore.EReference` `getLayoutable_LayoutData()` Returns the meta object for the containment reference '`Layout Data`'
`org.eclipse.emf.ecore.EClass` `getLayoutable()` Returns the meta object for class '`Layoutable`'
`org.eclipse.emf.ecore.EReference` `getLayoutData_Owner()` Returns the meta object for the container reference '`Owner`'
`org.eclipse.emf.ecore.EClass` `getLayoutData()` Returns the meta object for class '`Layout Data`'
`org.eclipse.emf.ecore.EReference` `getLayoutRef_Actual()` Returns the meta object for the reference '`Actual`'
`org.eclipse.emf.ecore.EClass` `getLayoutRef()` Returns the meta object for class '`Layout Ref`'
`org.eclipse.emf.ecore.EReference` `getLineBorder_Color()` Returns the meta object for the containment reference '`Color`'
`org.eclipse.emf.ecore.EAttribute` `getLineBorder_Width()` Returns the meta object for the attribute '`Width`'
`org.eclipse.emf.ecore.EClass` `getLineBorder()` Returns the meta object for class '`Line Border`'
`org.eclipse.emf.ecore.EEnum` `getLineKind()` Returns the meta object for enum '`Line Kind`'
`org.eclipse.emf.ecore.EReference` `getMarginBorder_Insets()` Returns the meta object for the containment reference '`Insets`'
`org.eclipse.emf.ecore.EClass` `getMarginBorder()` Returns the meta object for class '`Margin Border`'
`org.eclipse.emf.ecore.EAttribute` `getNode_AffixedParentSide()` Returns the meta object for the attribute '`Affixed Parent Side`'
`org.eclipse.emf.ecore.EReference` `getNode_ContentPane()` Returns the meta object for the reference '`Content Pane`'
`org.eclipse.emf.ecore.EAttribute` `getNode_ResizeConstraint()` Returns the meta object for the attribute '`Resize Constraint`'
`org.eclipse.emf.ecore.EClass` `getNode()` Returns the meta object for class '`Node`'
`org.eclipse.emf.ecore.EAttribute` `getPoint_X()` Returns the meta object for the attribute '`X`'
`org.eclipse.emf.ecore.EAttribute` `getPoint_Y()` Returns the meta object for the attribute '`Y`'
`org.eclipse.emf.ecore.EClass` `getPoint()` Returns the meta object for class '`Point`'
`org.eclipse.emf.ecore.EClass` `getPolygon()` Returns the meta object for class '`Polygon`'
`org.eclipse.emf.ecore.EClass` `getPolygonDecoration()` Returns the meta object for class '`Polygon Decoration`'
`org.eclipse.emf.ecore.EReference` `getPolyline_Template()` Returns the meta object for the containment reference list '`Template`'
`org.eclipse.emf.ecore.EClass` `getPolyline()` Returns the meta object for class '`Polyline`'
`org.eclipse.emf.ecore.EReference` `getPolylineConnection_SourceDecoration()` Returns the meta object for the reference '`Source Decoration`'
`org.eclipse.emf.ecore.EReference` `getPolylineConnection_TargetDecoration()` Returns the meta object for the reference '`Target Decoration`'
`org.eclipse.emf.ecore.EClass` `getPolylineConnection()` Returns the meta object for class '`Polyline Connection`'
`org.eclipse.emf.ecore.EClass` `getPolylineDecoration()` Returns the meta object for class '`Polyline Decoration`'
`org.eclipse.emf.ecore.EReference` `getRealFigure_Children()` Returns the meta object for the containment reference list '`Children`'
`org.eclipse.emf.ecore.EAttribute` `getRealFigure_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` `getRealFigure()` Returns the meta object for class '`Real Figure`'
`org.eclipse.emf.ecore.EClass` `getRectangle()` Returns the meta object for class '`Rectangle`'
`org.eclipse.emf.ecore.EAttribute` `getRectangle2D_Height()` Returns the meta object for the attribute '`Height`'
`org.eclipse.emf.ecore.EAttribute` `getRectangle2D_Width()` Returns the meta object for the attribute '`Width`'
`org.eclipse.emf.ecore.EAttribute` `getRectangle2D_X()` Returns the meta object for the attribute '`X`'
`org.eclipse.emf.ecore.EAttribute` `getRectangle2D_Y()` Returns the meta object for the attribute '`Y`'
`org.eclipse.emf.ecore.EClass` `getRectangle2D()` Returns the meta object for class '`Rectangle2 D`'
`org.eclipse.emf.ecore.EAttribute` `getRGBColor_Blue()` Returns the meta object for the attribute '`Blue`'
`org.eclipse.emf.ecore.EAttribute` `getRGBColor_Green()` Returns the meta object for the attribute '`Green`'
`org.eclipse.emf.ecore.EAttribute` `getRGBColor_Red()` Returns the meta object for the attribute '`Red`'
`org.eclipse.emf.ecore.EClass` `getRGBColor()` Returns the meta object for class '`RGB Color`'
`org.eclipse.emf.ecore.EAttribute` `getRoundedRectangle_CornerHeight()` Returns the meta object for the attribute '`Corner Height`'
`org.eclipse.emf.ecore.EAttribute` `getRoundedRectangle_CornerWidth()` Returns the meta object for the attribute '`Corner Width`'
`org.eclipse.emf.ecore.EClass` `getRoundedRectangle()` Returns the meta object for class '`Rounded Rectangle`'
`org.eclipse.emf.ecore.EClass` `getScalablePolygon()` Returns the meta object for class '`Scalable Polygon`'
`org.eclipse.emf.ecore.EAttribute` `getShape_Fill()` Returns the meta object for the attribute '`Fill`'
`org.eclipse.emf.ecore.EAttribute` `getShape_LineKind()` Returns the meta object for the attribute '`Line Kind`'
`org.eclipse.emf.ecore.EAttribute` `getShape_LineWidth()` Returns the meta object for the attribute '`Line Width`'
`org.eclipse.emf.ecore.EAttribute` `getShape_Outline()` Returns the meta object for the attribute '`Outline`'
`org.eclipse.emf.ecore.EReference` `getShape_ResolvedChildren()` Returns the meta object for the reference list '`Resolved Children`'
`org.eclipse.emf.ecore.EAttribute` `getShape_XorFill()` Returns the meta object for the attribute '`Xor Fill`'
`org.eclipse.emf.ecore.EAttribute` `getShape_XorOutline()` Returns the meta object for the attribute '`Xor Outline`'
`org.eclipse.emf.ecore.EClass` `getShape()` Returns the meta object for class '`Shape`'
`org.eclipse.emf.ecore.EClass` `getStackLayout()` Returns the meta object for class '`Stack Layout`'
`org.eclipse.emf.ecore.EReference` `getSVGFigure_AreaOfInterest()` Returns the meta object for the containment reference '`Area Of Interest`'
`org.eclipse.emf.ecore.EAttribute` `getSVGFigure_DocumentURI()` Returns the meta object for the attribute '`Document URI`'
`org.eclipse.emf.ecore.EAttribute` `getSVGFigure_NoCanvasHeight()` Returns the meta object for the attribute '`No Canvas Height`'
`org.eclipse.emf.ecore.EAttribute` `getSVGFigure_NoCanvasWidth()` Returns the meta object for the attribute '`No Canvas Width`'
`org.eclipse.emf.ecore.EReference` `getSVGFigure_Properties()` Returns the meta object for the containment reference list '`Properties`'
`org.eclipse.emf.ecore.EClass` `getSVGFigure()` Returns the meta object for class '`SVG Figure`'
`org.eclipse.emf.ecore.EAttribute` `getSVGProperty_Attribute()` Returns the meta object for the attribute '`Attribute`'
`org.eclipse.emf.ecore.EAttribute` `getSVGProperty_CallSuper()` Returns the meta object for the attribute '`Call Super`'
`org.eclipse.emf.ecore.EAttribute` `getSVGProperty_Getter()` Returns the meta object for the attribute '`Getter`'
`org.eclipse.emf.ecore.EAttribute` `getSVGProperty_Query()` Returns the meta object for the attribute '`Query`'
`org.eclipse.emf.ecore.EAttribute` `getSVGProperty_Setter()` Returns the meta object for the attribute '`Setter`'
`org.eclipse.emf.ecore.EAttribute` `getSVGProperty_Type()` Returns the meta object for the attribute '`Type`'
`org.eclipse.emf.ecore.EClass` `getSVGProperty()` Returns the meta object for class '`SVG Property`'
`org.eclipse.emf.ecore.EEnum` `getSVGPropertyType()` Returns the meta object for enum '`SVG Property Type`'
`org.eclipse.emf.ecore.EClass` `getVisualFacet()` Returns the meta object for class '`Visual Facet`'
`org.eclipse.emf.ecore.EClass` `getXYLayout()` Returns the meta object for class '`XY Layout`'
`org.eclipse.emf.ecore.EReference` `getXYLayoutData_Size()` Returns the meta object for the containment reference '`Size`'
`org.eclipse.emf.ecore.EReference` `getXYLayoutData_TopLeft()` Returns the meta object for the containment reference '`Top Left`'
`org.eclipse.emf.ecore.EClass` `getXYLayoutData()` Returns the meta object for class '`XY Layout Data`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  ** Generated **

### eINSTANCE

    static final GMFGraphPackage eINSTANCE

  The singleton instance of the package.

  ** Generated **

### IDENTITY

    static final int IDENTITY

  The meta object id for the '`Identity`' class.

  See Also:
    `Identity`, `GMFGraphPackageImpl.getIdentity()`, Constant Field Values
  ** Generated **

### IDENTITY__NAME

    static final int IDENTITY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IDENTITY_FEATURE_COUNT

    static final int IDENTITY_FEATURE_COUNT

  The number of structural features of the 'Identity' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS

    static final int CANVAS

  The meta object id for the '`Canvas`' class.

  See Also:
    `CanvasImpl`, `GMFGraphPackageImpl.getCanvas()`, Constant Field Values
  ** Generated **

### CANVAS__NAME

    static final int CANVAS__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS__FIGURES

    static final int CANVAS__FIGURES

  The feature id for the 'Figures' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS__NODES

    static final int CANVAS__NODES

  The feature id for the 'Nodes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS__CONNECTIONS

    static final int CANVAS__CONNECTIONS

  The feature id for the 'Connections' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS__COMPARTMENTS

    static final int CANVAS__COMPARTMENTS

  The feature id for the 'Compartments' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS__LABELS

    static final int CANVAS__LABELS

  The feature id for the 'Labels' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANVAS_FEATURE_COUNT

    static final int CANVAS_FEATURE_COUNT

  The number of structural features of the 'Canvas' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_GALLERY

    static final int FIGURE_GALLERY

  The meta object id for the '`Figure Gallery`' class.

  See Also:
    `FigureGalleryImpl`, `GMFGraphPackageImpl.getFigureGallery()`, Constant Field Values
  ** Generated **

### FIGURE_GALLERY__NAME

    static final int FIGURE_GALLERY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_GALLERY__FIGURES

    static final int FIGURE_GALLERY__FIGURES

  The feature id for the 'Figures' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_GALLERY__DESCRIPTORS

    static final int FIGURE_GALLERY__DESCRIPTORS

  The feature id for the 'Descriptors' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_GALLERY__BORDERS

    static final int FIGURE_GALLERY__BORDERS

  The feature id for the 'Borders' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_GALLERY__LAYOUTS

    static final int FIGURE_GALLERY__LAYOUTS

  The feature id for the 'Layouts' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_GALLERY__IMPLEMENTATION_BUNDLE

    static final int FIGURE_GALLERY__IMPLEMENTATION_BUNDLE

  The feature id for the 'Implementation Bundle' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_GALLERY_FEATURE_COUNT

    static final int FIGURE_GALLERY_FEATURE_COUNT

  The number of structural features of the 'Figure Gallery' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_ELEMENT

    static final int DIAGRAM_ELEMENT

  The meta object id for the '`Diagram Element`' class.

  See Also:
    `DiagramElementImpl`, `GMFGraphPackageImpl.getDiagramElement()`, Constant Field Values
  ** Generated **

### DIAGRAM_ELEMENT__NAME

    static final int DIAGRAM_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_ELEMENT__FIGURE

    static final int DIAGRAM_ELEMENT__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_ELEMENT__FACETS

    static final int DIAGRAM_ELEMENT__FACETS

  The feature id for the 'Facets' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_ELEMENT_FEATURE_COUNT

    static final int DIAGRAM_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Diagram Element' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_NODE

    static final int ABSTRACT_NODE

  The meta object id for the '`Abstract Node`' class.

  See Also:
    `AbstractNodeImpl`, `GMFGraphPackageImpl.getAbstractNode()`, Constant Field Values
  ** Generated **

### ABSTRACT_NODE__NAME

    static final int ABSTRACT_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_NODE__FIGURE

    static final int ABSTRACT_NODE__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_NODE__FACETS

    static final int ABSTRACT_NODE__FACETS

  The feature id for the 'Facets' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_NODE_FEATURE_COUNT

    static final int ABSTRACT_NODE_FEATURE_COUNT

  The number of structural features of the 'Abstract Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE

    static final int NODE

  The meta object id for the '`Node`' class.

  See Also:
    `NodeImpl`, `GMFGraphPackageImpl.getNode()`, Constant Field Values
  ** Generated **

### NODE__NAME

    static final int NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__FIGURE

    static final int NODE__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__FACETS

    static final int NODE__FACETS

  The feature id for the 'Facets' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__RESIZE_CONSTRAINT

    static final int NODE__RESIZE_CONSTRAINT

  The feature id for the 'Resize Constraint' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__AFFIXED_PARENT_SIDE

    static final int NODE__AFFIXED_PARENT_SIDE

  The feature id for the 'Affixed Parent Side' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__CONTENT_PANE

    static final int NODE__CONTENT_PANE

  The feature id for the 'Content Pane' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_FEATURE_COUNT

    static final int NODE_FEATURE_COUNT

  The number of structural features of the 'Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_ACCESS

    static final int CHILD_ACCESS

  The meta object id for the '`Child Access`' class.

  See Also:
    `ChildAccessImpl`, `GMFGraphPackageImpl.getChildAccess()`, Constant Field Values
  ** Generated **

### CONNECTION

    static final int CONNECTION

  The meta object id for the '`Connection`' class.

  See Also:
    `ConnectionImpl`, `GMFGraphPackageImpl.getConnection()`, Constant Field Values
  ** Generated **

### CONNECTION__NAME

    static final int CONNECTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION__FIGURE

    static final int CONNECTION__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION__FACETS

    static final int CONNECTION__FACETS

  The feature id for the 'Facets' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FEATURE_COUNT

    static final int CONNECTION_FEATURE_COUNT

  The number of structural features of the 'Connection' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT

    static final int COMPARTMENT

  The meta object id for the '`Compartment`' class.

  See Also:
    `CompartmentImpl`, `GMFGraphPackageImpl.getCompartment()`, Constant Field Values
  ** Generated **

### COMPARTMENT__NAME

    static final int COMPARTMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__FIGURE

    static final int COMPARTMENT__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__FACETS

    static final int COMPARTMENT__FACETS

  The feature id for the 'Facets' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__COLLAPSIBLE

    static final int COMPARTMENT__COLLAPSIBLE

  The feature id for the 'Collapsible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__NEEDS_TITLE

    static final int COMPARTMENT__NEEDS_TITLE

  The feature id for the 'Needs Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__ACCESSOR

    static final int COMPARTMENT__ACCESSOR

  The feature id for the 'Accessor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT_FEATURE_COUNT

    static final int COMPARTMENT_FEATURE_COUNT

  The number of structural features of the 'Compartment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL

    static final int DIAGRAM_LABEL

  The meta object id for the '`Diagram Label`' class.

  See Also:
    `DiagramLabelImpl`, `GMFGraphPackageImpl.getDiagramLabel()`, Constant Field Values
  ** Generated **

### DIAGRAM_LABEL__NAME

    static final int DIAGRAM_LABEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__FIGURE

    static final int DIAGRAM_LABEL__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__FACETS

    static final int DIAGRAM_LABEL__FACETS

  The feature id for the 'Facets' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__RESIZE_CONSTRAINT

    static final int DIAGRAM_LABEL__RESIZE_CONSTRAINT

  The feature id for the 'Resize Constraint' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__AFFIXED_PARENT_SIDE

    static final int DIAGRAM_LABEL__AFFIXED_PARENT_SIDE

  The feature id for the 'Affixed Parent Side' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__CONTENT_PANE

    static final int DIAGRAM_LABEL__CONTENT_PANE

  The feature id for the 'Content Pane' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__ELEMENT_ICON

    static final int DIAGRAM_LABEL__ELEMENT_ICON

  The feature id for the 'Element Icon' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__ACCESSOR

    static final int DIAGRAM_LABEL__ACCESSOR

  The feature id for the 'Accessor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__CONTAINER

    static final int DIAGRAM_LABEL__CONTAINER

  The feature id for the 'Container' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL__EXTERNAL

    static final int DIAGRAM_LABEL__EXTERNAL

  The feature id for the 'External' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LABEL_FEATURE_COUNT

    static final int DIAGRAM_LABEL_FEATURE_COUNT

  The number of structural features of the 'Diagram Label' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VISUAL_FACET

    static final int VISUAL_FACET

  The meta object id for the '`Visual Facet`' class.

  See Also:
    `VisualFacet`, `GMFGraphPackageImpl.getVisualFacet()`, Constant Field Values
  ** Generated **

### VISUAL_FACET_FEATURE_COUNT

    static final int VISUAL_FACET_FEATURE_COUNT

  The number of structural features of the 'Visual Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERAL_FACET

    static final int GENERAL_FACET

  The meta object id for the '`General Facet`' class.

  See Also:
    `GeneralFacetImpl`, `GMFGraphPackageImpl.getGeneralFacet()`, Constant Field Values
  ** Generated **

### GENERAL_FACET__IDENTIFIER

    static final int GENERAL_FACET__IDENTIFIER

  The feature id for the 'Identifier' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERAL_FACET__DATA

    static final int GENERAL_FACET__DATA

  The feature id for the 'Data' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERAL_FACET_FEATURE_COUNT

    static final int GENERAL_FACET_FEATURE_COUNT

  The number of structural features of the 'General Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ALIGNMENT_FACET

    static final int ALIGNMENT_FACET

  The meta object id for the '`Alignment Facet`' class.

  See Also:
    `AlignmentFacetImpl`, `GMFGraphPackageImpl.getAlignmentFacet()`, Constant Field Values
  ** Generated **

### ALIGNMENT_FACET__ALIGNMENT

    static final int ALIGNMENT_FACET__ALIGNMENT

  The feature id for the 'Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ALIGNMENT_FACET_FEATURE_COUNT

    static final int ALIGNMENT_FACET_FEATURE_COUNT

  The number of structural features of the 'Alignment Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRADIENT_FACET

    static final int GRADIENT_FACET

  The meta object id for the '`Gradient Facet`' class.

  See Also:
    `GradientFacetImpl`, `GMFGraphPackageImpl.getGradientFacet()`, Constant Field Values
  ** Generated **

### GRADIENT_FACET__DIRECTION

    static final int GRADIENT_FACET__DIRECTION

  The feature id for the 'Direction' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRADIENT_FACET_FEATURE_COUNT

    static final int GRADIENT_FACET_FEATURE_COUNT

  The number of structural features of the 'Gradient Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_OFFSET_FACET

    static final int LABEL_OFFSET_FACET

  The meta object id for the '`Label Offset Facet`' class.

  See Also:
    `LabelOffsetFacetImpl`, `GMFGraphPackageImpl.getLabelOffsetFacet()`, Constant Field Values
  ** Generated **

### LABEL_OFFSET_FACET__X

    static final int LABEL_OFFSET_FACET__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_OFFSET_FACET__Y

    static final int LABEL_OFFSET_FACET__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_OFFSET_FACET_FEATURE_COUNT

    static final int LABEL_OFFSET_FACET_FEATURE_COUNT

  The number of structural features of the 'Label Offset Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DEFAULT_SIZE_FACET

    static final int DEFAULT_SIZE_FACET

  The meta object id for the '`Default Size Facet`' class.

  See Also:
    `DefaultSizeFacetImpl`, `GMFGraphPackageImpl.getDefaultSizeFacet()`, Constant Field Values
  ** Generated **

### DEFAULT_SIZE_FACET__DEFAULT_SIZE

    static final int DEFAULT_SIZE_FACET__DEFAULT_SIZE

  The feature id for the 'Default Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DEFAULT_SIZE_FACET_FEATURE_COUNT

    static final int DEFAULT_SIZE_FACET_FEATURE_COUNT

  The number of structural features of the 'Default Size Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUTABLE

    static final int LAYOUTABLE

  The meta object id for the '`Layoutable`' class.

  See Also:
    `Layoutable`, `GMFGraphPackageImpl.getLayoutable()`, Constant Field Values
  ** Generated **

### LAYOUTABLE__LAYOUT_DATA

    static final int LAYOUTABLE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUTABLE__LAYOUT

    static final int LAYOUTABLE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUTABLE_FEATURE_COUNT

    static final int LAYOUTABLE_FEATURE_COUNT

  The number of structural features of the 'Layoutable' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE

    static final int FIGURE

  The meta object id for the '`Figure`' class.

  See Also:
    `Figure`, `GMFGraphPackageImpl.getFigure()`, Constant Field Values
  ** Generated **

### FIGURE__LAYOUT_DATA

    static final int FIGURE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__LAYOUT

    static final int FIGURE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__DESCRIPTOR

    static final int FIGURE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__FOREGROUND_COLOR

    static final int FIGURE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__BACKGROUND_COLOR

    static final int FIGURE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__MAXIMUM_SIZE

    static final int FIGURE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__MINIMUM_SIZE

    static final int FIGURE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__PREFERRED_SIZE

    static final int FIGURE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__FONT

    static final int FIGURE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__INSETS

    static final int FIGURE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__BORDER

    static final int FIGURE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__LOCATION

    static final int FIGURE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE__SIZE

    static final int FIGURE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_FEATURE_COUNT

    static final int FIGURE_FEATURE_COUNT

  The number of structural features of the 'Figure' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE

    static final int ABSTRACT_FIGURE

  The meta object id for the '`Abstract Figure`' class.

  See Also:
    `AbstractFigureImpl`, `GMFGraphPackageImpl.getAbstractFigure()`, Constant Field Values
  ** Generated **

### ABSTRACT_FIGURE__LAYOUT_DATA

    static final int ABSTRACT_FIGURE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__LAYOUT

    static final int ABSTRACT_FIGURE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__DESCRIPTOR

    static final int ABSTRACT_FIGURE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__FOREGROUND_COLOR

    static final int ABSTRACT_FIGURE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__BACKGROUND_COLOR

    static final int ABSTRACT_FIGURE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__MAXIMUM_SIZE

    static final int ABSTRACT_FIGURE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__MINIMUM_SIZE

    static final int ABSTRACT_FIGURE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__PREFERRED_SIZE

    static final int ABSTRACT_FIGURE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__FONT

    static final int ABSTRACT_FIGURE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__INSETS

    static final int ABSTRACT_FIGURE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__BORDER

    static final int ABSTRACT_FIGURE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__LOCATION

    static final int ABSTRACT_FIGURE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE__SIZE

    static final int ABSTRACT_FIGURE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_FIGURE_FEATURE_COUNT

    static final int ABSTRACT_FIGURE_FEATURE_COUNT

  The number of structural features of the 'Abstract Figure' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_DESCRIPTOR

    static final int FIGURE_DESCRIPTOR

  The meta object id for the '`Figure Descriptor`' class.

  See Also:
    `FigureDescriptorImpl`, `GMFGraphPackageImpl.getFigureDescriptor()`, Constant Field Values
  ** Generated **

### FIGURE_DESCRIPTOR__NAME

    static final int FIGURE_DESCRIPTOR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_DESCRIPTOR__ACTUAL_FIGURE

    static final int FIGURE_DESCRIPTOR__ACTUAL_FIGURE

  The feature id for the 'Actual Figure' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_DESCRIPTOR__ACCESSORS

    static final int FIGURE_DESCRIPTOR__ACCESSORS

  The feature id for the 'Accessors' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_DESCRIPTOR_FEATURE_COUNT

    static final int FIGURE_DESCRIPTOR_FEATURE_COUNT

  The number of structural features of the 'Figure Descriptor' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_ACCESS__OWNER

    static final int CHILD_ACCESS__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_ACCESS__ACCESSOR

    static final int CHILD_ACCESS__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_ACCESS__FIGURE

    static final int CHILD_ACCESS__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CHILD_ACCESS_FEATURE_COUNT

    static final int CHILD_ACCESS_FEATURE_COUNT

  The number of structural features of the 'Child Access' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE

    static final int REAL_FIGURE

  The meta object id for the '`Real Figure`' class.

  See Also:
    `RealFigureImpl`, `GMFGraphPackageImpl.getRealFigure()`, Constant Field Values
  ** Generated **

### REAL_FIGURE__LAYOUT_DATA

    static final int REAL_FIGURE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__LAYOUT

    static final int REAL_FIGURE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__DESCRIPTOR

    static final int REAL_FIGURE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__FOREGROUND_COLOR

    static final int REAL_FIGURE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__BACKGROUND_COLOR

    static final int REAL_FIGURE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__MAXIMUM_SIZE

    static final int REAL_FIGURE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__MINIMUM_SIZE

    static final int REAL_FIGURE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__PREFERRED_SIZE

    static final int REAL_FIGURE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__FONT

    static final int REAL_FIGURE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__INSETS

    static final int REAL_FIGURE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__BORDER

    static final int REAL_FIGURE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__LOCATION

    static final int REAL_FIGURE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__SIZE

    static final int REAL_FIGURE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__NAME

    static final int REAL_FIGURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE__CHILDREN

    static final int REAL_FIGURE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### REAL_FIGURE_FEATURE_COUNT

    static final int REAL_FIGURE_FEATURE_COUNT

  The number of structural features of the 'Real Figure' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF

    static final int FIGURE_REF

  The meta object id for the '`Figure Ref`' class.

  See Also:
    `FigureRefImpl`, `GMFGraphPackageImpl.getFigureRef()`, Constant Field Values
  ** Generated **

### FIGURE_REF__LAYOUT_DATA

    static final int FIGURE_REF__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__LAYOUT

    static final int FIGURE_REF__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__DESCRIPTOR

    static final int FIGURE_REF__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__FOREGROUND_COLOR

    static final int FIGURE_REF__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__BACKGROUND_COLOR

    static final int FIGURE_REF__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__MAXIMUM_SIZE

    static final int FIGURE_REF__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__MINIMUM_SIZE

    static final int FIGURE_REF__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__PREFERRED_SIZE

    static final int FIGURE_REF__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__FONT

    static final int FIGURE_REF__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__INSETS

    static final int FIGURE_REF__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__BORDER

    static final int FIGURE_REF__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__LOCATION

    static final int FIGURE_REF__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__SIZE

    static final int FIGURE_REF__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF__FIGURE

    static final int FIGURE_REF__FIGURE

  The feature id for the 'Figure' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_REF_FEATURE_COUNT

    static final int FIGURE_REF_FEATURE_COUNT

  The number of structural features of the 'Figure Ref' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE

    static final int CONNECTION_FIGURE

  The meta object id for the '`Connection Figure`' class.

  See Also:
    `ConnectionFigure`, `GMFGraphPackageImpl.getConnectionFigure()`, Constant Field Values
  ** Generated **

### CONNECTION_FIGURE__LAYOUT_DATA

    static final int CONNECTION_FIGURE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__LAYOUT

    static final int CONNECTION_FIGURE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__DESCRIPTOR

    static final int CONNECTION_FIGURE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__FOREGROUND_COLOR

    static final int CONNECTION_FIGURE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__BACKGROUND_COLOR

    static final int CONNECTION_FIGURE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__MAXIMUM_SIZE

    static final int CONNECTION_FIGURE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__MINIMUM_SIZE

    static final int CONNECTION_FIGURE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__PREFERRED_SIZE

    static final int CONNECTION_FIGURE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__FONT

    static final int CONNECTION_FIGURE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__INSETS

    static final int CONNECTION_FIGURE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__BORDER

    static final int CONNECTION_FIGURE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__LOCATION

    static final int CONNECTION_FIGURE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__SIZE

    static final int CONNECTION_FIGURE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__NAME

    static final int CONNECTION_FIGURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE__CHILDREN

    static final int CONNECTION_FIGURE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTION_FIGURE_FEATURE_COUNT

    static final int CONNECTION_FIGURE_FEATURE_COUNT

  The number of structural features of the 'Connection Figure' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE

    static final int DECORATION_FIGURE

  The meta object id for the '`Decoration Figure`' class.

  See Also:
    `DecorationFigure`, `GMFGraphPackageImpl.getDecorationFigure()`, Constant Field Values
  ** Generated **

### DECORATION_FIGURE__LAYOUT_DATA

    static final int DECORATION_FIGURE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__LAYOUT

    static final int DECORATION_FIGURE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__DESCRIPTOR

    static final int DECORATION_FIGURE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__FOREGROUND_COLOR

    static final int DECORATION_FIGURE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__BACKGROUND_COLOR

    static final int DECORATION_FIGURE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__MAXIMUM_SIZE

    static final int DECORATION_FIGURE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__MINIMUM_SIZE

    static final int DECORATION_FIGURE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__PREFERRED_SIZE

    static final int DECORATION_FIGURE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__FONT

    static final int DECORATION_FIGURE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__INSETS

    static final int DECORATION_FIGURE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__BORDER

    static final int DECORATION_FIGURE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__LOCATION

    static final int DECORATION_FIGURE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__SIZE

    static final int DECORATION_FIGURE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__NAME

    static final int DECORATION_FIGURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE__CHILDREN

    static final int DECORATION_FIGURE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_FIGURE_FEATURE_COUNT

    static final int DECORATION_FIGURE_FEATURE_COUNT

  The number of structural features of the 'Decoration Figure' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE

    static final int SHAPE

  The meta object id for the '`Shape`' class.

  See Also:
    `ShapeImpl`, `GMFGraphPackageImpl.getShape()`, Constant Field Values
  ** Generated **

### SHAPE__LAYOUT_DATA

    static final int SHAPE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__LAYOUT

    static final int SHAPE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__DESCRIPTOR

    static final int SHAPE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__FOREGROUND_COLOR

    static final int SHAPE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__BACKGROUND_COLOR

    static final int SHAPE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__MAXIMUM_SIZE

    static final int SHAPE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__MINIMUM_SIZE

    static final int SHAPE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__PREFERRED_SIZE

    static final int SHAPE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__FONT

    static final int SHAPE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__INSETS

    static final int SHAPE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__BORDER

    static final int SHAPE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__LOCATION

    static final int SHAPE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__SIZE

    static final int SHAPE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__NAME

    static final int SHAPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__CHILDREN

    static final int SHAPE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__OUTLINE

    static final int SHAPE__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__FILL

    static final int SHAPE__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__LINE_WIDTH

    static final int SHAPE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__LINE_KIND

    static final int SHAPE__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__XOR_FILL

    static final int SHAPE__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__XOR_OUTLINE

    static final int SHAPE__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__RESOLVED_CHILDREN

    static final int SHAPE__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_FEATURE_COUNT

    static final int SHAPE_FEATURE_COUNT

  The number of structural features of the 'Shape' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL

    static final int LABEL

  The meta object id for the '`Label`' class.

  See Also:
    `LabelImpl`, `GMFGraphPackageImpl.getLabel()`, Constant Field Values
  ** Generated **

### LABEL__LAYOUT_DATA

    static final int LABEL__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__LAYOUT

    static final int LABEL__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__DESCRIPTOR

    static final int LABEL__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__FOREGROUND_COLOR

    static final int LABEL__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__BACKGROUND_COLOR

    static final int LABEL__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__MAXIMUM_SIZE

    static final int LABEL__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__MINIMUM_SIZE

    static final int LABEL__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__PREFERRED_SIZE

    static final int LABEL__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__FONT

    static final int LABEL__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__INSETS

    static final int LABEL__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__BORDER

    static final int LABEL__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__LOCATION

    static final int LABEL__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__SIZE

    static final int LABEL__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__NAME

    static final int LABEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__CHILDREN

    static final int LABEL__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL__TEXT

    static final int LABEL__TEXT

  The feature id for the 'Text' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_FEATURE_COUNT

    static final int LABEL_FEATURE_COUNT

  The number of structural features of the 'Label' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER

    static final int LABELED_CONTAINER

  The meta object id for the '`Labeled Container`' class.

  See Also:
    `LabeledContainerImpl`, `GMFGraphPackageImpl.getLabeledContainer()`, Constant Field Values
  ** Generated **

### LABELED_CONTAINER__LAYOUT_DATA

    static final int LABELED_CONTAINER__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__LAYOUT

    static final int LABELED_CONTAINER__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__DESCRIPTOR

    static final int LABELED_CONTAINER__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__FOREGROUND_COLOR

    static final int LABELED_CONTAINER__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__BACKGROUND_COLOR

    static final int LABELED_CONTAINER__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__MAXIMUM_SIZE

    static final int LABELED_CONTAINER__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__MINIMUM_SIZE

    static final int LABELED_CONTAINER__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__PREFERRED_SIZE

    static final int LABELED_CONTAINER__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__FONT

    static final int LABELED_CONTAINER__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__INSETS

    static final int LABELED_CONTAINER__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__BORDER

    static final int LABELED_CONTAINER__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__LOCATION

    static final int LABELED_CONTAINER__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__SIZE

    static final int LABELED_CONTAINER__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__NAME

    static final int LABELED_CONTAINER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER__CHILDREN

    static final int LABELED_CONTAINER__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABELED_CONTAINER_FEATURE_COUNT

    static final int LABELED_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Labeled Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE

    static final int RECTANGLE

  The meta object id for the '`Rectangle`' class.

  See Also:
    `RectangleImpl`, `GMFGraphPackageImpl.getRectangle()`, Constant Field Values
  ** Generated **

### RECTANGLE__LAYOUT_DATA

    static final int RECTANGLE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__LAYOUT

    static final int RECTANGLE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__DESCRIPTOR

    static final int RECTANGLE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__FOREGROUND_COLOR

    static final int RECTANGLE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__BACKGROUND_COLOR

    static final int RECTANGLE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__MAXIMUM_SIZE

    static final int RECTANGLE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__MINIMUM_SIZE

    static final int RECTANGLE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__PREFERRED_SIZE

    static final int RECTANGLE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__FONT

    static final int RECTANGLE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__INSETS

    static final int RECTANGLE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__BORDER

    static final int RECTANGLE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__LOCATION

    static final int RECTANGLE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__SIZE

    static final int RECTANGLE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__NAME

    static final int RECTANGLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__CHILDREN

    static final int RECTANGLE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__OUTLINE

    static final int RECTANGLE__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__FILL

    static final int RECTANGLE__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__LINE_WIDTH

    static final int RECTANGLE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__LINE_KIND

    static final int RECTANGLE__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__XOR_FILL

    static final int RECTANGLE__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__XOR_OUTLINE

    static final int RECTANGLE__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE__RESOLVED_CHILDREN

    static final int RECTANGLE__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE_FEATURE_COUNT

    static final int RECTANGLE_FEATURE_COUNT

  The number of structural features of the 'Rectangle' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE

    static final int ROUNDED_RECTANGLE

  The meta object id for the '`Rounded Rectangle`' class.

  See Also:
    `RoundedRectangleImpl`, `GMFGraphPackageImpl.getRoundedRectangle()`, Constant Field Values
  ** Generated **

### ROUNDED_RECTANGLE__LAYOUT_DATA

    static final int ROUNDED_RECTANGLE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__LAYOUT

    static final int ROUNDED_RECTANGLE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__DESCRIPTOR

    static final int ROUNDED_RECTANGLE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__FOREGROUND_COLOR

    static final int ROUNDED_RECTANGLE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__BACKGROUND_COLOR

    static final int ROUNDED_RECTANGLE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__MAXIMUM_SIZE

    static final int ROUNDED_RECTANGLE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__MINIMUM_SIZE

    static final int ROUNDED_RECTANGLE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__PREFERRED_SIZE

    static final int ROUNDED_RECTANGLE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__FONT

    static final int ROUNDED_RECTANGLE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__INSETS

    static final int ROUNDED_RECTANGLE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__BORDER

    static final int ROUNDED_RECTANGLE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__LOCATION

    static final int ROUNDED_RECTANGLE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__SIZE

    static final int ROUNDED_RECTANGLE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__NAME

    static final int ROUNDED_RECTANGLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__CHILDREN

    static final int ROUNDED_RECTANGLE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__OUTLINE

    static final int ROUNDED_RECTANGLE__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__FILL

    static final int ROUNDED_RECTANGLE__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__LINE_WIDTH

    static final int ROUNDED_RECTANGLE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__LINE_KIND

    static final int ROUNDED_RECTANGLE__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__XOR_FILL

    static final int ROUNDED_RECTANGLE__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__XOR_OUTLINE

    static final int ROUNDED_RECTANGLE__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__RESOLVED_CHILDREN

    static final int ROUNDED_RECTANGLE__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__CORNER_WIDTH

    static final int ROUNDED_RECTANGLE__CORNER_WIDTH

  The feature id for the 'Corner Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE__CORNER_HEIGHT

    static final int ROUNDED_RECTANGLE__CORNER_HEIGHT

  The feature id for the 'Corner Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUNDED_RECTANGLE_FEATURE_COUNT

    static final int ROUNDED_RECTANGLE_FEATURE_COUNT

  The number of structural features of the 'Rounded Rectangle' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE

    static final int ELLIPSE

  The meta object id for the '`Ellipse`' class.

  See Also:
    `EllipseImpl`, `GMFGraphPackageImpl.getEllipse()`, Constant Field Values
  ** Generated **

### ELLIPSE__LAYOUT_DATA

    static final int ELLIPSE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__LAYOUT

    static final int ELLIPSE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__DESCRIPTOR

    static final int ELLIPSE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__FOREGROUND_COLOR

    static final int ELLIPSE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__BACKGROUND_COLOR

    static final int ELLIPSE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__MAXIMUM_SIZE

    static final int ELLIPSE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__MINIMUM_SIZE

    static final int ELLIPSE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__PREFERRED_SIZE

    static final int ELLIPSE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__FONT

    static final int ELLIPSE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__INSETS

    static final int ELLIPSE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__BORDER

    static final int ELLIPSE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__LOCATION

    static final int ELLIPSE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__SIZE

    static final int ELLIPSE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__NAME

    static final int ELLIPSE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__CHILDREN

    static final int ELLIPSE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__OUTLINE

    static final int ELLIPSE__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__FILL

    static final int ELLIPSE__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__LINE_WIDTH

    static final int ELLIPSE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__LINE_KIND

    static final int ELLIPSE__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__XOR_FILL

    static final int ELLIPSE__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__XOR_OUTLINE

    static final int ELLIPSE__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE__RESOLVED_CHILDREN

    static final int ELLIPSE__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELLIPSE_FEATURE_COUNT

    static final int ELLIPSE_FEATURE_COUNT

  The number of structural features of the 'Ellipse' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE

    static final int POLYLINE

  The meta object id for the '`Polyline`' class.

  See Also:
    `PolylineImpl`, `GMFGraphPackageImpl.getPolyline()`, Constant Field Values
  ** Generated **

### POLYLINE__LAYOUT_DATA

    static final int POLYLINE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__LAYOUT

    static final int POLYLINE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__DESCRIPTOR

    static final int POLYLINE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__FOREGROUND_COLOR

    static final int POLYLINE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__BACKGROUND_COLOR

    static final int POLYLINE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__MAXIMUM_SIZE

    static final int POLYLINE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__MINIMUM_SIZE

    static final int POLYLINE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__PREFERRED_SIZE

    static final int POLYLINE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__FONT

    static final int POLYLINE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__INSETS

    static final int POLYLINE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__BORDER

    static final int POLYLINE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__LOCATION

    static final int POLYLINE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__SIZE

    static final int POLYLINE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__NAME

    static final int POLYLINE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__CHILDREN

    static final int POLYLINE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__OUTLINE

    static final int POLYLINE__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__FILL

    static final int POLYLINE__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__LINE_WIDTH

    static final int POLYLINE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__LINE_KIND

    static final int POLYLINE__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__XOR_FILL

    static final int POLYLINE__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__XOR_OUTLINE

    static final int POLYLINE__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__RESOLVED_CHILDREN

    static final int POLYLINE__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE__TEMPLATE

    static final int POLYLINE__TEMPLATE

  The feature id for the 'Template' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_FEATURE_COUNT

    static final int POLYLINE_FEATURE_COUNT

  The number of structural features of the 'Polyline' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON

    static final int POLYGON

  The meta object id for the '`Polygon`' class.

  See Also:
    `PolygonImpl`, `GMFGraphPackageImpl.getPolygon()`, Constant Field Values
  ** Generated **

### POLYGON__LAYOUT_DATA

    static final int POLYGON__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__LAYOUT

    static final int POLYGON__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__DESCRIPTOR

    static final int POLYGON__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__FOREGROUND_COLOR

    static final int POLYGON__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__BACKGROUND_COLOR

    static final int POLYGON__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__MAXIMUM_SIZE

    static final int POLYGON__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__MINIMUM_SIZE

    static final int POLYGON__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__PREFERRED_SIZE

    static final int POLYGON__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__FONT

    static final int POLYGON__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__INSETS

    static final int POLYGON__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__BORDER

    static final int POLYGON__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__LOCATION

    static final int POLYGON__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__SIZE

    static final int POLYGON__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__NAME

    static final int POLYGON__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__CHILDREN

    static final int POLYGON__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__OUTLINE

    static final int POLYGON__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__FILL

    static final int POLYGON__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__LINE_WIDTH

    static final int POLYGON__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__LINE_KIND

    static final int POLYGON__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__XOR_FILL

    static final int POLYGON__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__XOR_OUTLINE

    static final int POLYGON__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__RESOLVED_CHILDREN

    static final int POLYGON__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON__TEMPLATE

    static final int POLYGON__TEMPLATE

  The feature id for the 'Template' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_FEATURE_COUNT

    static final int POLYGON_FEATURE_COUNT

  The number of structural features of the 'Polygon' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON

    static final int SCALABLE_POLYGON

  The meta object id for the '`Scalable Polygon`' class.

  See Also:
    `ScalablePolygonImpl`, `GMFGraphPackageImpl.getScalablePolygon()`, Constant Field Values
  ** Generated **

### SCALABLE_POLYGON__LAYOUT_DATA

    static final int SCALABLE_POLYGON__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__LAYOUT

    static final int SCALABLE_POLYGON__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__DESCRIPTOR

    static final int SCALABLE_POLYGON__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__FOREGROUND_COLOR

    static final int SCALABLE_POLYGON__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__BACKGROUND_COLOR

    static final int SCALABLE_POLYGON__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__MAXIMUM_SIZE

    static final int SCALABLE_POLYGON__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__MINIMUM_SIZE

    static final int SCALABLE_POLYGON__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__PREFERRED_SIZE

    static final int SCALABLE_POLYGON__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__FONT

    static final int SCALABLE_POLYGON__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__INSETS

    static final int SCALABLE_POLYGON__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__BORDER

    static final int SCALABLE_POLYGON__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__LOCATION

    static final int SCALABLE_POLYGON__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__SIZE

    static final int SCALABLE_POLYGON__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__NAME

    static final int SCALABLE_POLYGON__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__CHILDREN

    static final int SCALABLE_POLYGON__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__OUTLINE

    static final int SCALABLE_POLYGON__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__FILL

    static final int SCALABLE_POLYGON__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__LINE_WIDTH

    static final int SCALABLE_POLYGON__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__LINE_KIND

    static final int SCALABLE_POLYGON__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__XOR_FILL

    static final int SCALABLE_POLYGON__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__XOR_OUTLINE

    static final int SCALABLE_POLYGON__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__RESOLVED_CHILDREN

    static final int SCALABLE_POLYGON__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON__TEMPLATE

    static final int SCALABLE_POLYGON__TEMPLATE

  The feature id for the 'Template' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SCALABLE_POLYGON_FEATURE_COUNT

    static final int SCALABLE_POLYGON_FEATURE_COUNT

  The number of structural features of the 'Scalable Polygon' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION

    static final int POLYLINE_CONNECTION

  The meta object id for the '`Polyline Connection`' class.

  See Also:
    `PolylineConnectionImpl`, `GMFGraphPackageImpl.getPolylineConnection()`, Constant Field Values
  ** Generated **

### POLYLINE_CONNECTION__LAYOUT_DATA

    static final int POLYLINE_CONNECTION__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__LAYOUT

    static final int POLYLINE_CONNECTION__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__DESCRIPTOR

    static final int POLYLINE_CONNECTION__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__FOREGROUND_COLOR

    static final int POLYLINE_CONNECTION__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__BACKGROUND_COLOR

    static final int POLYLINE_CONNECTION__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__MAXIMUM_SIZE

    static final int POLYLINE_CONNECTION__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__MINIMUM_SIZE

    static final int POLYLINE_CONNECTION__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__PREFERRED_SIZE

    static final int POLYLINE_CONNECTION__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__FONT

    static final int POLYLINE_CONNECTION__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__INSETS

    static final int POLYLINE_CONNECTION__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__BORDER

    static final int POLYLINE_CONNECTION__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__LOCATION

    static final int POLYLINE_CONNECTION__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__SIZE

    static final int POLYLINE_CONNECTION__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__NAME

    static final int POLYLINE_CONNECTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__CHILDREN

    static final int POLYLINE_CONNECTION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__OUTLINE

    static final int POLYLINE_CONNECTION__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__FILL

    static final int POLYLINE_CONNECTION__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__LINE_WIDTH

    static final int POLYLINE_CONNECTION__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__LINE_KIND

    static final int POLYLINE_CONNECTION__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__XOR_FILL

    static final int POLYLINE_CONNECTION__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__XOR_OUTLINE

    static final int POLYLINE_CONNECTION__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__RESOLVED_CHILDREN

    static final int POLYLINE_CONNECTION__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__TEMPLATE

    static final int POLYLINE_CONNECTION__TEMPLATE

  The feature id for the 'Template' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__SOURCE_DECORATION

    static final int POLYLINE_CONNECTION__SOURCE_DECORATION

  The feature id for the 'Source Decoration' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION__TARGET_DECORATION

    static final int POLYLINE_CONNECTION__TARGET_DECORATION

  The feature id for the 'Target Decoration' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_CONNECTION_FEATURE_COUNT

    static final int POLYLINE_CONNECTION_FEATURE_COUNT

  The number of structural features of the 'Polyline Connection' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION

    static final int POLYLINE_DECORATION

  The meta object id for the '`Polyline Decoration`' class.

  See Also:
    `PolylineDecorationImpl`, `GMFGraphPackageImpl.getPolylineDecoration()`, Constant Field Values
  ** Generated **

### POLYLINE_DECORATION__LAYOUT_DATA

    static final int POLYLINE_DECORATION__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__LAYOUT

    static final int POLYLINE_DECORATION__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__DESCRIPTOR

    static final int POLYLINE_DECORATION__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__FOREGROUND_COLOR

    static final int POLYLINE_DECORATION__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__BACKGROUND_COLOR

    static final int POLYLINE_DECORATION__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__MAXIMUM_SIZE

    static final int POLYLINE_DECORATION__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__MINIMUM_SIZE

    static final int POLYLINE_DECORATION__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__PREFERRED_SIZE

    static final int POLYLINE_DECORATION__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__FONT

    static final int POLYLINE_DECORATION__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__INSETS

    static final int POLYLINE_DECORATION__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__BORDER

    static final int POLYLINE_DECORATION__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__LOCATION

    static final int POLYLINE_DECORATION__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__SIZE

    static final int POLYLINE_DECORATION__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__NAME

    static final int POLYLINE_DECORATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__CHILDREN

    static final int POLYLINE_DECORATION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__OUTLINE

    static final int POLYLINE_DECORATION__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__FILL

    static final int POLYLINE_DECORATION__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__LINE_WIDTH

    static final int POLYLINE_DECORATION__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__LINE_KIND

    static final int POLYLINE_DECORATION__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__XOR_FILL

    static final int POLYLINE_DECORATION__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__XOR_OUTLINE

    static final int POLYLINE_DECORATION__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__RESOLVED_CHILDREN

    static final int POLYLINE_DECORATION__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION__TEMPLATE

    static final int POLYLINE_DECORATION__TEMPLATE

  The feature id for the 'Template' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYLINE_DECORATION_FEATURE_COUNT

    static final int POLYLINE_DECORATION_FEATURE_COUNT

  The number of structural features of the 'Polyline Decoration' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION

    static final int POLYGON_DECORATION

  The meta object id for the '`Polygon Decoration`' class.

  See Also:
    `PolygonDecorationImpl`, `GMFGraphPackageImpl.getPolygonDecoration()`, Constant Field Values
  ** Generated **

### POLYGON_DECORATION__LAYOUT_DATA

    static final int POLYGON_DECORATION__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__LAYOUT

    static final int POLYGON_DECORATION__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__DESCRIPTOR

    static final int POLYGON_DECORATION__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__FOREGROUND_COLOR

    static final int POLYGON_DECORATION__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__BACKGROUND_COLOR

    static final int POLYGON_DECORATION__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__MAXIMUM_SIZE

    static final int POLYGON_DECORATION__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__MINIMUM_SIZE

    static final int POLYGON_DECORATION__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__PREFERRED_SIZE

    static final int POLYGON_DECORATION__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__FONT

    static final int POLYGON_DECORATION__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__INSETS

    static final int POLYGON_DECORATION__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__BORDER

    static final int POLYGON_DECORATION__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__LOCATION

    static final int POLYGON_DECORATION__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__SIZE

    static final int POLYGON_DECORATION__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__NAME

    static final int POLYGON_DECORATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__CHILDREN

    static final int POLYGON_DECORATION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__OUTLINE

    static final int POLYGON_DECORATION__OUTLINE

  The feature id for the 'Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__FILL

    static final int POLYGON_DECORATION__FILL

  The feature id for the 'Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__LINE_WIDTH

    static final int POLYGON_DECORATION__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__LINE_KIND

    static final int POLYGON_DECORATION__LINE_KIND

  The feature id for the 'Line Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__XOR_FILL

    static final int POLYGON_DECORATION__XOR_FILL

  The feature id for the 'Xor Fill' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__XOR_OUTLINE

    static final int POLYGON_DECORATION__XOR_OUTLINE

  The feature id for the 'Xor Outline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__RESOLVED_CHILDREN

    static final int POLYGON_DECORATION__RESOLVED_CHILDREN

  The feature id for the 'Resolved Children' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION__TEMPLATE

    static final int POLYGON_DECORATION__TEMPLATE

  The feature id for the 'Template' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POLYGON_DECORATION_FEATURE_COUNT

    static final int POLYGON_DECORATION_FEATURE_COUNT

  The number of structural features of the 'Polygon Decoration' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CLASS

    static final int CUSTOM_CLASS

  The meta object id for the '`Custom Class`' class.

  See Also:
    `CustomClass`, `GMFGraphPackageImpl.getCustomClass()`, Constant Field Values
  ** Generated **

### CUSTOM_CLASS__QUALIFIED_CLASS_NAME

    static final int CUSTOM_CLASS__QUALIFIED_CLASS_NAME

  The feature id for the 'Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CLASS__ATTRIBUTES

    static final int CUSTOM_CLASS__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CLASS_FEATURE_COUNT

    static final int CUSTOM_CLASS_FEATURE_COUNT

  The number of structural features of the 'Custom Class' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE

    static final int CUSTOM_FIGURE

  The meta object id for the '`Custom Figure`' class.

  See Also:
    `CustomFigureImpl`, `GMFGraphPackageImpl.getCustomFigure()`, Constant Field Values
  ** Generated **

### CUSTOM_DECORATION

    static final int CUSTOM_DECORATION

  The meta object id for the '`Custom Decoration`' class.

  See Also:
    `CustomDecorationImpl`, `GMFGraphPackageImpl.getCustomDecoration()`, Constant Field Values
  ** Generated **

### CUSTOM_CONNECTION

    static final int CUSTOM_CONNECTION

  The meta object id for the '`Custom Connection`' class.

  See Also:
    `CustomConnectionImpl`, `GMFGraphPackageImpl.getCustomConnection()`, Constant Field Values
  ** Generated **

### COLOR

    static final int COLOR

  The meta object id for the '`Color`' class.

  See Also:
    `Color`, `GMFGraphPackageImpl.getColor()`, Constant Field Values
  ** Generated **

### RGB_COLOR

    static final int RGB_COLOR

  The meta object id for the '`RGB Color`' class.

  See Also:
    `RGBColorImpl`, `GMFGraphPackageImpl.getRGBColor()`, Constant Field Values
  ** Generated **

### CONSTANT_COLOR

    static final int CONSTANT_COLOR

  The meta object id for the '`Constant Color`' class.

  See Also:
    `ConstantColorImpl`, `GMFGraphPackageImpl.getConstantColor()`, Constant Field Values
  ** Generated **

### FONT

    static final int FONT

  The meta object id for the '`Font`' class.

  See Also:
    `Font`, `GMFGraphPackageImpl.getFont()`, Constant Field Values
  ** Generated **

### BASIC_FONT

    static final int BASIC_FONT

  The meta object id for the '`Basic Font`' class.

  See Also:
    `BasicFontImpl`, `GMFGraphPackageImpl.getBasicFont()`, Constant Field Values
  ** Generated **

### FONT_STYLE

    static final int FONT_STYLE

  The meta object id for the '`Font Style`' enum.

  See Also:
    `FontStyle`, `GMFGraphPackageImpl.getFontStyle()`, Constant Field Values
  ** Generated **

### POINT

    static final int POINT

  The meta object id for the '`Point`' class.

  See Also:
    `PointImpl`, `GMFGraphPackageImpl.getPoint()`, Constant Field Values
  ** Generated **

### DIMENSION

    static final int DIMENSION

  The meta object id for the '`Dimension`' class.

  See Also:
    `DimensionImpl`, `GMFGraphPackageImpl.getDimension()`, Constant Field Values
  ** Generated **

### INSETS

    static final int INSETS

  The meta object id for the '`Insets`' class.

  See Also:
    `InsetsImpl`, `GMFGraphPackageImpl.getInsets()`, Constant Field Values
  ** Generated **

### BORDER

    static final int BORDER

  The meta object id for the '`Border`' class.

  See Also:
    `Border`, `GMFGraphPackageImpl.getBorder()`, Constant Field Values
  ** Generated **

### LINE_BORDER

    static final int LINE_BORDER

  The meta object id for the '`Line Border`' class.

  See Also:
    `LineBorderImpl`, `GMFGraphPackageImpl.getLineBorder()`, Constant Field Values
  ** Generated **

### MARGIN_BORDER

    static final int MARGIN_BORDER

  The meta object id for the '`Margin Border`' class.

  See Also:
    `MarginBorderImpl`, `GMFGraphPackageImpl.getMarginBorder()`, Constant Field Values
  ** Generated **

### COMPOUND_BORDER

    static final int COMPOUND_BORDER

  The meta object id for the '`Compound Border`' class.

  See Also:
    `CompoundBorderImpl`, `GMFGraphPackageImpl.getCompoundBorder()`, Constant Field Values
  ** Generated **

### CUSTOM_BORDER

    static final int CUSTOM_BORDER

  The meta object id for the '`Custom Border`' class.

  See Also:
    `CustomBorderImpl`, `GMFGraphPackageImpl.getCustomBorder()`, Constant Field Values
  ** Generated **

### LAYOUT_DATA

    static final int LAYOUT_DATA

  The meta object id for the '`Layout Data`' class.

  See Also:
    `LayoutData`, `GMFGraphPackageImpl.getLayoutData()`, Constant Field Values
  ** Generated **

### GRID_LAYOUT_DATA

    static final int GRID_LAYOUT_DATA

  The meta object id for the '`Grid Layout Data`' class.

  See Also:
    `GridLayoutDataImpl`, `GMFGraphPackageImpl.getGridLayoutData()`, Constant Field Values
  ** Generated **

### BORDER_LAYOUT_DATA

    static final int BORDER_LAYOUT_DATA

  The meta object id for the '`Border Layout Data`' class.

  See Also:
    `BorderLayoutDataImpl`, `GMFGraphPackageImpl.getBorderLayoutData()`, Constant Field Values
  ** Generated **

### CUSTOM_LAYOUT

    static final int CUSTOM_LAYOUT

  The meta object id for the '`Custom Layout`' class.

  See Also:
    `CustomLayoutImpl`, `GMFGraphPackageImpl.getCustomLayout()`, Constant Field Values
  ** Generated **

### LAYOUT

    static final int LAYOUT

  The meta object id for the '`Layout`' class.

  See Also:
    `Layout`, `GMFGraphPackageImpl.getLayout()`, Constant Field Values
  ** Generated **

### CUSTOM_LAYOUT_DATA

    static final int CUSTOM_LAYOUT_DATA

  The meta object id for the '`Custom Layout Data`' class.

  See Also:
    `CustomLayoutDataImpl`, `GMFGraphPackageImpl.getCustomLayoutData()`, Constant Field Values
  ** Generated **

### GRID_LAYOUT

    static final int GRID_LAYOUT

  The meta object id for the '`Grid Layout`' class.

  See Also:
    `GridLayoutImpl`, `GMFGraphPackageImpl.getGridLayout()`, Constant Field Values
  ** Generated **

### BORDER_LAYOUT

    static final int BORDER_LAYOUT

  The meta object id for the '`Border Layout`' class.

  See Also:
    `BorderLayoutImpl`, `GMFGraphPackageImpl.getBorderLayout()`, Constant Field Values
  ** Generated **

### CUSTOM_ATTRIBUTE

    static final int CUSTOM_ATTRIBUTE

  The meta object id for the '`Custom Attribute`' class.

  See Also:
    `CustomAttributeImpl`, `GMFGraphPackageImpl.getCustomAttribute()`, Constant Field Values
  ** Generated **

### CUSTOM_ATTRIBUTE__NAME

    static final int CUSTOM_ATTRIBUTE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_ATTRIBUTE__VALUE

    static final int CUSTOM_ATTRIBUTE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_ATTRIBUTE__DIRECT_ACCESS

    static final int CUSTOM_ATTRIBUTE__DIRECT_ACCESS

  The feature id for the 'Direct Access' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_ATTRIBUTE__MULTI_STATEMENT_VALUE

    static final int CUSTOM_ATTRIBUTE__MULTI_STATEMENT_VALUE

  The feature id for the 'Multi Statement Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_ATTRIBUTE_FEATURE_COUNT

    static final int CUSTOM_ATTRIBUTE_FEATURE_COUNT

  The number of structural features of the 'Custom Attribute' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_ACCESSOR

    static final int FIGURE_ACCESSOR

  The meta object id for the '`Figure Accessor`' class.

  See Also:
    `FigureAccessorImpl`, `GMFGraphPackageImpl.getFigureAccessor()`, Constant Field Values
  ** Generated **

### FIGURE_ACCESSOR__ACCESSOR

    static final int FIGURE_ACCESSOR__ACCESSOR

  The feature id for the 'Accessor' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_ACCESSOR__TYPED_FIGURE

    static final int FIGURE_ACCESSOR__TYPED_FIGURE

  The feature id for the 'Typed Figure' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_ACCESSOR_FEATURE_COUNT

    static final int FIGURE_ACCESSOR_FEATURE_COUNT

  The number of structural features of the 'Figure Accessor' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__LAYOUT_DATA

    static final int CUSTOM_FIGURE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__LAYOUT

    static final int CUSTOM_FIGURE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__DESCRIPTOR

    static final int CUSTOM_FIGURE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__FOREGROUND_COLOR

    static final int CUSTOM_FIGURE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__BACKGROUND_COLOR

    static final int CUSTOM_FIGURE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__MAXIMUM_SIZE

    static final int CUSTOM_FIGURE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__MINIMUM_SIZE

    static final int CUSTOM_FIGURE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__PREFERRED_SIZE

    static final int CUSTOM_FIGURE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__FONT

    static final int CUSTOM_FIGURE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__INSETS

    static final int CUSTOM_FIGURE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__BORDER

    static final int CUSTOM_FIGURE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__LOCATION

    static final int CUSTOM_FIGURE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__SIZE

    static final int CUSTOM_FIGURE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__NAME

    static final int CUSTOM_FIGURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__CHILDREN

    static final int CUSTOM_FIGURE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__QUALIFIED_CLASS_NAME

    static final int CUSTOM_FIGURE__QUALIFIED_CLASS_NAME

  The feature id for the 'Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__ATTRIBUTES

    static final int CUSTOM_FIGURE__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE__CUSTOM_CHILDREN

    static final int CUSTOM_FIGURE__CUSTOM_CHILDREN

  The feature id for the 'Custom Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_FIGURE_FEATURE_COUNT

    static final int CUSTOM_FIGURE_FEATURE_COUNT

  The number of structural features of the 'Custom Figure' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__LAYOUT_DATA

    static final int CUSTOM_DECORATION__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__LAYOUT

    static final int CUSTOM_DECORATION__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__DESCRIPTOR

    static final int CUSTOM_DECORATION__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__FOREGROUND_COLOR

    static final int CUSTOM_DECORATION__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__BACKGROUND_COLOR

    static final int CUSTOM_DECORATION__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__MAXIMUM_SIZE

    static final int CUSTOM_DECORATION__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__MINIMUM_SIZE

    static final int CUSTOM_DECORATION__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__PREFERRED_SIZE

    static final int CUSTOM_DECORATION__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__FONT

    static final int CUSTOM_DECORATION__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__INSETS

    static final int CUSTOM_DECORATION__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__BORDER

    static final int CUSTOM_DECORATION__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__LOCATION

    static final int CUSTOM_DECORATION__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__SIZE

    static final int CUSTOM_DECORATION__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__NAME

    static final int CUSTOM_DECORATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__CHILDREN

    static final int CUSTOM_DECORATION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__QUALIFIED_CLASS_NAME

    static final int CUSTOM_DECORATION__QUALIFIED_CLASS_NAME

  The feature id for the 'Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__ATTRIBUTES

    static final int CUSTOM_DECORATION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION__CUSTOM_CHILDREN

    static final int CUSTOM_DECORATION__CUSTOM_CHILDREN

  The feature id for the 'Custom Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_DECORATION_FEATURE_COUNT

    static final int CUSTOM_DECORATION_FEATURE_COUNT

  The number of structural features of the 'Custom Decoration' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__LAYOUT_DATA

    static final int CUSTOM_CONNECTION__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__LAYOUT

    static final int CUSTOM_CONNECTION__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__DESCRIPTOR

    static final int CUSTOM_CONNECTION__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__FOREGROUND_COLOR

    static final int CUSTOM_CONNECTION__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__BACKGROUND_COLOR

    static final int CUSTOM_CONNECTION__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__MAXIMUM_SIZE

    static final int CUSTOM_CONNECTION__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__MINIMUM_SIZE

    static final int CUSTOM_CONNECTION__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__PREFERRED_SIZE

    static final int CUSTOM_CONNECTION__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__FONT

    static final int CUSTOM_CONNECTION__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__INSETS

    static final int CUSTOM_CONNECTION__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__BORDER

    static final int CUSTOM_CONNECTION__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__LOCATION

    static final int CUSTOM_CONNECTION__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__SIZE

    static final int CUSTOM_CONNECTION__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__NAME

    static final int CUSTOM_CONNECTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__CHILDREN

    static final int CUSTOM_CONNECTION__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__QUALIFIED_CLASS_NAME

    static final int CUSTOM_CONNECTION__QUALIFIED_CLASS_NAME

  The feature id for the 'Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__ATTRIBUTES

    static final int CUSTOM_CONNECTION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION__CUSTOM_CHILDREN

    static final int CUSTOM_CONNECTION__CUSTOM_CHILDREN

  The feature id for the 'Custom Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_CONNECTION_FEATURE_COUNT

    static final int CUSTOM_CONNECTION_FEATURE_COUNT

  The number of structural features of the 'Custom Connection' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COLOR_FEATURE_COUNT

    static final int COLOR_FEATURE_COUNT

  The number of structural features of the 'Color' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RGB_COLOR__RED

    static final int RGB_COLOR__RED

  The feature id for the 'Red' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RGB_COLOR__GREEN

    static final int RGB_COLOR__GREEN

  The feature id for the 'Green' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RGB_COLOR__BLUE

    static final int RGB_COLOR__BLUE

  The feature id for the 'Blue' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RGB_COLOR_FEATURE_COUNT

    static final int RGB_COLOR_FEATURE_COUNT

  The number of structural features of the 'RGB Color' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONSTANT_COLOR__VALUE

    static final int CONSTANT_COLOR__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONSTANT_COLOR_FEATURE_COUNT

    static final int CONSTANT_COLOR_FEATURE_COUNT

  The number of structural features of the 'Constant Color' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_FEATURE_COUNT

    static final int FONT_FEATURE_COUNT

  The number of structural features of the 'Font' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_FONT__FACE_NAME

    static final int BASIC_FONT__FACE_NAME

  The feature id for the 'Face Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_FONT__HEIGHT

    static final int BASIC_FONT__HEIGHT

  The feature id for the 'Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_FONT__STYLE

    static final int BASIC_FONT__STYLE

  The feature id for the 'Style' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_FONT_FEATURE_COUNT

    static final int BASIC_FONT_FEATURE_COUNT

  The number of structural features of the 'Basic Font' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POINT__X

    static final int POINT__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POINT__Y

    static final int POINT__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POINT_FEATURE_COUNT

    static final int POINT_FEATURE_COUNT

  The number of structural features of the 'Point' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIMENSION__DX

    static final int DIMENSION__DX

  The feature id for the 'Dx' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIMENSION__DY

    static final int DIMENSION__DY

  The feature id for the 'Dy' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIMENSION_FEATURE_COUNT

    static final int DIMENSION_FEATURE_COUNT

  The number of structural features of the 'Dimension' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INSETS__TOP

    static final int INSETS__TOP

  The feature id for the 'Top' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INSETS__LEFT

    static final int INSETS__LEFT

  The feature id for the 'Left' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INSETS__BOTTOM

    static final int INSETS__BOTTOM

  The feature id for the 'Bottom' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INSETS__RIGHT

    static final int INSETS__RIGHT

  The feature id for the 'Right' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INSETS_FEATURE_COUNT

    static final int INSETS_FEATURE_COUNT

  The number of structural features of the 'Insets' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_FEATURE_COUNT

    static final int BORDER_FEATURE_COUNT

  The number of structural features of the 'Border' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_REF

    static final int BORDER_REF

  The meta object id for the '`Border Ref`' class.

  See Also:
    `BorderRefImpl`, `GMFGraphPackageImpl.getBorderRef()`, Constant Field Values
  ** Generated **

### BORDER_REF__ACTUAL

    static final int BORDER_REF__ACTUAL

  The feature id for the 'Actual' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_REF_FEATURE_COUNT

    static final int BORDER_REF_FEATURE_COUNT

  The number of structural features of the 'Border Ref' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_BORDER__COLOR

    static final int LINE_BORDER__COLOR

  The feature id for the 'Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_BORDER__WIDTH

    static final int LINE_BORDER__WIDTH

  The feature id for the 'Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_BORDER_FEATURE_COUNT

    static final int LINE_BORDER_FEATURE_COUNT

  The number of structural features of the 'Line Border' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MARGIN_BORDER__INSETS

    static final int MARGIN_BORDER__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MARGIN_BORDER_FEATURE_COUNT

    static final int MARGIN_BORDER_FEATURE_COUNT

  The number of structural features of the 'Margin Border' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOUND_BORDER__OUTER

    static final int COMPOUND_BORDER__OUTER

  The feature id for the 'Outer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOUND_BORDER__INNER

    static final int COMPOUND_BORDER__INNER

  The feature id for the 'Inner' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOUND_BORDER_FEATURE_COUNT

    static final int COMPOUND_BORDER_FEATURE_COUNT

  The number of structural features of the 'Compound Border' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_BORDER__QUALIFIED_CLASS_NAME

    static final int CUSTOM_BORDER__QUALIFIED_CLASS_NAME

  The feature id for the 'Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_BORDER__ATTRIBUTES

    static final int CUSTOM_BORDER__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_BORDER_FEATURE_COUNT

    static final int CUSTOM_BORDER_FEATURE_COUNT

  The number of structural features of the 'Custom Border' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUT_DATA__OWNER

    static final int LAYOUT_DATA__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUT_DATA_FEATURE_COUNT

    static final int LAYOUT_DATA_FEATURE_COUNT

  The number of structural features of the 'Layout Data' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_LAYOUT_DATA__OWNER

    static final int CUSTOM_LAYOUT_DATA__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_LAYOUT_DATA__QUALIFIED_CLASS_NAME

    static final int CUSTOM_LAYOUT_DATA__QUALIFIED_CLASS_NAME

  The feature id for the 'Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_LAYOUT_DATA__ATTRIBUTES

    static final int CUSTOM_LAYOUT_DATA__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_LAYOUT_DATA_FEATURE_COUNT

    static final int CUSTOM_LAYOUT_DATA_FEATURE_COUNT

  The number of structural features of the 'Custom Layout Data' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__OWNER

    static final int GRID_LAYOUT_DATA__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__GRAB_EXCESS_HORIZONTAL_SPACE

    static final int GRID_LAYOUT_DATA__GRAB_EXCESS_HORIZONTAL_SPACE

  The feature id for the 'Grab Excess Horizontal Space' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__GRAB_EXCESS_VERTICAL_SPACE

    static final int GRID_LAYOUT_DATA__GRAB_EXCESS_VERTICAL_SPACE

  The feature id for the 'Grab Excess Vertical Space' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__VERTICAL_ALIGNMENT

    static final int GRID_LAYOUT_DATA__VERTICAL_ALIGNMENT

  The feature id for the 'Vertical Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__HORIZONTAL_ALIGNMENT

    static final int GRID_LAYOUT_DATA__HORIZONTAL_ALIGNMENT

  The feature id for the 'Horizontal Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__VERTICAL_SPAN

    static final int GRID_LAYOUT_DATA__VERTICAL_SPAN

  The feature id for the 'Vertical Span' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__HORIZONTAL_SPAN

    static final int GRID_LAYOUT_DATA__HORIZONTAL_SPAN

  The feature id for the 'Horizontal Span' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__HORIZONTAL_INDENT

    static final int GRID_LAYOUT_DATA__HORIZONTAL_INDENT

  The feature id for the 'Horizontal Indent' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA__SIZE_HINT

    static final int GRID_LAYOUT_DATA__SIZE_HINT

  The feature id for the 'Size Hint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_DATA_FEATURE_COUNT

    static final int GRID_LAYOUT_DATA_FEATURE_COUNT

  The number of structural features of the 'Grid Layout Data' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_LAYOUT_DATA__OWNER

    static final int BORDER_LAYOUT_DATA__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_LAYOUT_DATA__ALIGNMENT

    static final int BORDER_LAYOUT_DATA__ALIGNMENT

  The feature id for the 'Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_LAYOUT_DATA__VERTICAL

    static final int BORDER_LAYOUT_DATA__VERTICAL

  The feature id for the 'Vertical' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_LAYOUT_DATA_FEATURE_COUNT

    static final int BORDER_LAYOUT_DATA_FEATURE_COUNT

  The number of structural features of the 'Border Layout Data' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUT_FEATURE_COUNT

    static final int LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Layout' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUT_REF

    static final int LAYOUT_REF

  The meta object id for the '`Layout Ref`' class.

  See Also:
    `LayoutRefImpl`, `GMFGraphPackageImpl.getLayoutRef()`, Constant Field Values
  ** Generated **

### LAYOUT_REF__ACTUAL

    static final int LAYOUT_REF__ACTUAL

  The feature id for the 'Actual' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUT_REF_FEATURE_COUNT

    static final int LAYOUT_REF_FEATURE_COUNT

  The number of structural features of the 'Layout Ref' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_LAYOUT__QUALIFIED_CLASS_NAME

    static final int CUSTOM_LAYOUT__QUALIFIED_CLASS_NAME

  The feature id for the 'Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_LAYOUT__ATTRIBUTES

    static final int CUSTOM_LAYOUT__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CUSTOM_LAYOUT_FEATURE_COUNT

    static final int CUSTOM_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Custom Layout' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT__NUM_COLUMNS

    static final int GRID_LAYOUT__NUM_COLUMNS

  The feature id for the 'Num Columns' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT__EQUAL_WIDTH

    static final int GRID_LAYOUT__EQUAL_WIDTH

  The feature id for the 'Equal Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT__MARGINS

    static final int GRID_LAYOUT__MARGINS

  The feature id for the 'Margins' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT__SPACING

    static final int GRID_LAYOUT__SPACING

  The feature id for the 'Spacing' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GRID_LAYOUT_FEATURE_COUNT

    static final int GRID_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Grid Layout' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_LAYOUT__SPACING

    static final int BORDER_LAYOUT__SPACING

  The feature id for the 'Spacing' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BORDER_LAYOUT_FEATURE_COUNT

    static final int BORDER_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Border Layout' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT

    static final int FLOW_LAYOUT

  The meta object id for the '`Flow Layout`' class.

  See Also:
    `FlowLayoutImpl`, `GMFGraphPackageImpl.getFlowLayout()`, Constant Field Values
  ** Generated **

### FLOW_LAYOUT__VERTICAL

    static final int FLOW_LAYOUT__VERTICAL

  The feature id for the 'Vertical' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT__MATCH_MINOR_SIZE

    static final int FLOW_LAYOUT__MATCH_MINOR_SIZE

  The feature id for the 'Match Minor Size' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT__FORCE_SINGLE_LINE

    static final int FLOW_LAYOUT__FORCE_SINGLE_LINE

  The feature id for the 'Force Single Line' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT__MAJOR_ALIGNMENT

    static final int FLOW_LAYOUT__MAJOR_ALIGNMENT

  The feature id for the 'Major Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT__MINOR_ALIGNMENT

    static final int FLOW_LAYOUT__MINOR_ALIGNMENT

  The feature id for the 'Minor Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT__MAJOR_SPACING

    static final int FLOW_LAYOUT__MAJOR_SPACING

  The feature id for the 'Major Spacing' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT__MINOR_SPACING

    static final int FLOW_LAYOUT__MINOR_SPACING

  The feature id for the 'Minor Spacing' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FLOW_LAYOUT_FEATURE_COUNT

    static final int FLOW_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Flow Layout' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### XY_LAYOUT

    static final int XY_LAYOUT

  The meta object id for the '`XY Layout`' class.

  See Also:
    `XYLayoutImpl`, `GMFGraphPackageImpl.getXYLayout()`, Constant Field Values
  ** Generated **

### XY_LAYOUT_FEATURE_COUNT

    static final int XY_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'XY Layout' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### XY_LAYOUT_DATA

    static final int XY_LAYOUT_DATA

  The meta object id for the '`XY Layout Data`' class.

  See Also:
    `XYLayoutDataImpl`, `GMFGraphPackageImpl.getXYLayoutData()`, Constant Field Values
  ** Generated **

### XY_LAYOUT_DATA__OWNER

    static final int XY_LAYOUT_DATA__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### XY_LAYOUT_DATA__TOP_LEFT

    static final int XY_LAYOUT_DATA__TOP_LEFT

  The feature id for the 'Top Left' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### XY_LAYOUT_DATA__SIZE

    static final int XY_LAYOUT_DATA__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### XY_LAYOUT_DATA_FEATURE_COUNT

    static final int XY_LAYOUT_DATA_FEATURE_COUNT

  The number of structural features of the 'XY Layout Data' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STACK_LAYOUT

    static final int STACK_LAYOUT

  The meta object id for the '`Stack Layout`' class.

  See Also:
    `StackLayoutImpl`, `GMFGraphPackageImpl.getStackLayout()`, Constant Field Values
  ** Generated **

### STACK_LAYOUT_FEATURE_COUNT

    static final int STACK_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Stack Layout' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE

    static final int SVG_FIGURE

  The meta object id for the '`SVG Figure`' class.

  See Also:
    `SVGFigureImpl`, `GMFGraphPackageImpl.getSVGFigure()`, Constant Field Values
  ** Generated **

### SVG_FIGURE__LAYOUT_DATA

    static final int SVG_FIGURE__LAYOUT_DATA

  The feature id for the 'Layout Data' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__LAYOUT

    static final int SVG_FIGURE__LAYOUT

  The feature id for the 'Layout' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__DESCRIPTOR

    static final int SVG_FIGURE__DESCRIPTOR

  The feature id for the 'Descriptor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__FOREGROUND_COLOR

    static final int SVG_FIGURE__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__BACKGROUND_COLOR

    static final int SVG_FIGURE__BACKGROUND_COLOR

  The feature id for the 'Background Color' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__MAXIMUM_SIZE

    static final int SVG_FIGURE__MAXIMUM_SIZE

  The feature id for the 'Maximum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__MINIMUM_SIZE

    static final int SVG_FIGURE__MINIMUM_SIZE

  The feature id for the 'Minimum Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__PREFERRED_SIZE

    static final int SVG_FIGURE__PREFERRED_SIZE

  The feature id for the 'Preferred Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__FONT

    static final int SVG_FIGURE__FONT

  The feature id for the 'Font' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__INSETS

    static final int SVG_FIGURE__INSETS

  The feature id for the 'Insets' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__BORDER

    static final int SVG_FIGURE__BORDER

  The feature id for the 'Border' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__LOCATION

    static final int SVG_FIGURE__LOCATION

  The feature id for the 'Location' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__SIZE

    static final int SVG_FIGURE__SIZE

  The feature id for the 'Size' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__NAME

    static final int SVG_FIGURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__CHILDREN

    static final int SVG_FIGURE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__DOCUMENT_URI

    static final int SVG_FIGURE__DOCUMENT_URI

  The feature id for the 'Document URI' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__PROPERTIES

    static final int SVG_FIGURE__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__AREA_OF_INTEREST

    static final int SVG_FIGURE__AREA_OF_INTEREST

  The feature id for the 'Area Of Interest' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__NO_CANVAS_WIDTH

    static final int SVG_FIGURE__NO_CANVAS_WIDTH

  The feature id for the 'No Canvas Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE__NO_CANVAS_HEIGHT

    static final int SVG_FIGURE__NO_CANVAS_HEIGHT

  The feature id for the 'No Canvas Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_FIGURE_FEATURE_COUNT

    static final int SVG_FIGURE_FEATURE_COUNT

  The number of structural features of the 'SVG Figure' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_PROPERTY

    static final int SVG_PROPERTY

  The meta object id for the '`SVG Property`' class.

  See Also:
    `SVGPropertyImpl`, `GMFGraphPackageImpl.getSVGProperty()`, Constant Field Values
  ** Generated **

### SVG_PROPERTY__QUERY

    static final int SVG_PROPERTY__QUERY

  The feature id for the 'Query' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_PROPERTY__ATTRIBUTE

    static final int SVG_PROPERTY__ATTRIBUTE

  The feature id for the 'Attribute' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_PROPERTY__TYPE

    static final int SVG_PROPERTY__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_PROPERTY__GETTER

    static final int SVG_PROPERTY__GETTER

  The feature id for the 'Getter' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_PROPERTY__SETTER

    static final int SVG_PROPERTY__SETTER

  The feature id for the 'Setter' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_PROPERTY__CALL_SUPER

    static final int SVG_PROPERTY__CALL_SUPER

  The feature id for the 'Call Super' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SVG_PROPERTY_FEATURE_COUNT

    static final int SVG_PROPERTY_FEATURE_COUNT

  The number of structural features of the 'SVG Property' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE2_D

    static final int RECTANGLE2_D

  The meta object id for the '`Rectangle2 D`' class.

  See Also:
    `Rectangle2DImpl`, `GMFGraphPackageImpl.getRectangle2D()`, Constant Field Values
  ** Generated **

### RECTANGLE2_D__X

    static final int RECTANGLE2_D__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE2_D__Y

    static final int RECTANGLE2_D__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE2_D__WIDTH

    static final int RECTANGLE2_D__WIDTH

  The feature id for the 'Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE2_D__HEIGHT

    static final int RECTANGLE2_D__HEIGHT

  The feature id for the 'Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RECTANGLE2_D_FEATURE_COUNT

    static final int RECTANGLE2_D_FEATURE_COUNT

  The number of structural features of the 'Rectangle2 D' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COLOR_CONSTANTS

    static final int COLOR_CONSTANTS

  The meta object id for the '`Color Constants`' enum.

  See Also:
    `ColorConstants`, `GMFGraphPackageImpl.getColorConstants()`, Constant Field Values
  ** Generated **

### DIRECTION

    static final int DIRECTION

  The meta object id for the '`Direction`' enum.

  See Also:
    `Direction`, `GMFGraphPackageImpl.getDirection()`, Constant Field Values
  ** Generated **

### LINE_KIND

    static final int LINE_KIND

  The meta object id for the '`Line Kind`' enum.

  See Also:
    `LineKind`, `GMFGraphPackageImpl.getLineKind()`, Constant Field Values
  ** Generated **

### ALIGNMENT

    static final int ALIGNMENT

  The meta object id for the '`Alignment`' enum.

  See Also:
    `Alignment`, `GMFGraphPackageImpl.getAlignment()`, Constant Field Values
  ** Generated **

### SVG_PROPERTY_TYPE

    static final int SVG_PROPERTY_TYPE

  The meta object id for the '`SVG Property Type`' enum.

  See Also:
    `SVGPropertyType`, `GMFGraphPackageImpl.getSVGPropertyType()`, Constant Field Values
  ** Generated **

Method Detail

### getCanvas

    org.eclipse.emf.ecore.EClass getCanvas()

  Returns the meta object for class '`Canvas`'.

  Returns:
    the meta object for class 'Canvas'.
  See Also:
    `Canvas`
  ** Generated **

### getCanvas_Figures

    org.eclipse.emf.ecore.EReference getCanvas_Figures()

  Returns the meta object for the containment reference list '`Figures`'.

  Returns:
    the meta object for the containment reference list 'Figures'.
  See Also:
    `Canvas.getFigures()`, `getCanvas()`
  ** Generated **

### getCanvas_Nodes

    org.eclipse.emf.ecore.EReference getCanvas_Nodes()

  Returns the meta object for the containment reference list '`Nodes`'.

  Returns:
    the meta object for the containment reference list 'Nodes'.
  See Also:
    `Canvas.getNodes()`, `getCanvas()`
  ** Generated **

### getCanvas_Connections

    org.eclipse.emf.ecore.EReference getCanvas_Connections()

  Returns the meta object for the containment reference list '`Connections`'.

  Returns:
    the meta object for the containment reference list 'Connections'.
  See Also:
    `Canvas.getConnections()`, `getCanvas()`
  ** Generated **

### getCanvas_Compartments

    org.eclipse.emf.ecore.EReference getCanvas_Compartments()

  Returns the meta object for the containment reference list '`Compartments`'.

  Returns:
    the meta object for the containment reference list 'Compartments'.
  See Also:
    `Canvas.getCompartments()`, `getCanvas()`
  ** Generated **

### getCanvas_Labels

    org.eclipse.emf.ecore.EReference getCanvas_Labels()

  Returns the meta object for the containment reference list '`Labels`'.

  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `Canvas.getLabels()`, `getCanvas()`
  ** Generated **

### getFigureGallery

    org.eclipse.emf.ecore.EClass getFigureGallery()

  Returns the meta object for class '`Figure Gallery`'.

  Returns:
    the meta object for class 'Figure Gallery'.
  See Also:
    `FigureGallery`
  ** Generated **

### getFigureGallery_Figures

    org.eclipse.emf.ecore.EReference getFigureGallery_Figures()

  Returns the meta object for the containment reference list '`Figures`'.

  Returns:
    the meta object for the containment reference list 'Figures'.
  See Also:
    `FigureGallery.getFigures()`, `getFigureGallery()`
  ** Generated **

### getFigureGallery_Descriptors

    org.eclipse.emf.ecore.EReference getFigureGallery_Descriptors()

  Returns the meta object for the containment reference list '`Descriptors`'.

  Returns:
    the meta object for the containment reference list 'Descriptors'.
  See Also:
    `FigureGallery.getDescriptors()`, `getFigureGallery()`
  ** Generated **

### getFigureGallery_Borders

    org.eclipse.emf.ecore.EReference getFigureGallery_Borders()

  Returns the meta object for the containment reference list '`Borders`'.

  Returns:
    the meta object for the containment reference list 'Borders'.
  See Also:
    `FigureGallery.getBorders()`, `getFigureGallery()`
  ** Generated **

### getFigureGallery_Layouts

    org.eclipse.emf.ecore.EReference getFigureGallery_Layouts()

  Returns the meta object for the containment reference list '`Layouts`'.

  Returns:
    the meta object for the containment reference list 'Layouts'.
  See Also:
    `FigureGallery.getLayouts()`, `getFigureGallery()`
  ** Generated **

### getFigureGallery_ImplementationBundle

    org.eclipse.emf.ecore.EAttribute getFigureGallery_ImplementationBundle()

  Returns the meta object for the attribute '`Implementation Bundle`'.

  Returns:
    the meta object for the attribute 'Implementation Bundle'.
  See Also:
    `FigureGallery.getImplementationBundle()`, `getFigureGallery()`
  ** Generated **

### getIdentity

    org.eclipse.emf.ecore.EClass getIdentity()

  Returns the meta object for class '`Identity`'.

  Returns:
    the meta object for class 'Identity'.
  See Also:
    `Identity`
  ** Generated **

### getIdentity_Name

    org.eclipse.emf.ecore.EAttribute getIdentity_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Identity.getName()`, `getIdentity()`
  ** Generated **

### getDiagramElement

    org.eclipse.emf.ecore.EClass getDiagramElement()

  Returns the meta object for class '`Diagram Element`'.

  Returns:
    the meta object for class 'Diagram Element'.
  See Also:
    `DiagramElement`
  ** Generated **

### getDiagramElement_Figure

    org.eclipse.emf.ecore.EReference getDiagramElement_Figure()

  Returns the meta object for the reference '`Figure`'.

  Returns:
    the meta object for the reference 'Figure'.
  See Also:
    `DiagramElement.getFigure()`, `getDiagramElement()`
  ** Generated **

### getDiagramElement_Facets

    org.eclipse.emf.ecore.EReference getDiagramElement_Facets()

  Returns the meta object for the containment reference list '`Facets`'.

  Returns:
    the meta object for the containment reference list 'Facets'.
  See Also:
    `DiagramElement.getFacets()`, `getDiagramElement()`
  ** Generated **

### getAbstractNode

    org.eclipse.emf.ecore.EClass getAbstractNode()

  Returns the meta object for class '`Abstract Node`'.

  Returns:
    the meta object for class 'Abstract Node'.
  See Also:
    `AbstractNode`
  ** Generated **

### getNode

    org.eclipse.emf.ecore.EClass getNode()

  Returns the meta object for class '`Node`'.

  Returns:
    the meta object for class 'Node'.
  See Also:
    `Node`
  ** Generated **

### getNode_ResizeConstraint

    org.eclipse.emf.ecore.EAttribute getNode_ResizeConstraint()

  Returns the meta object for the attribute '`Resize Constraint`'.

  Returns:
    the meta object for the attribute 'Resize Constraint'.
  See Also:
    `Node.getResizeConstraint()`, `getNode()`
  ** Generated **

### getNode_AffixedParentSide

    org.eclipse.emf.ecore.EAttribute getNode_AffixedParentSide()

  Returns the meta object for the attribute '`Affixed Parent Side`'.

  Returns:
    the meta object for the attribute 'Affixed Parent Side'.
  See Also:
    `Node.getAffixedParentSide()`, `getNode()`
  ** Generated **

### getNode_ContentPane

    org.eclipse.emf.ecore.EReference getNode_ContentPane()

  Returns the meta object for the reference '`Content Pane`'.

  Returns:
    the meta object for the reference 'Content Pane'.
  See Also:
    `Node.getContentPane()`, `getNode()`
  ** Generated **

### getChildAccess

    org.eclipse.emf.ecore.EClass getChildAccess()

  Returns the meta object for class '`Child Access`'.

  Returns:
    the meta object for class 'Child Access'.
  See Also:
    `ChildAccess`
  ** Generated **

### getChildAccess_Owner

    org.eclipse.emf.ecore.EReference getChildAccess_Owner()

  Returns the meta object for the container reference '`Owner`'.

  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `ChildAccess.getOwner()`, `getChildAccess()`
  ** Generated **

### getChildAccess_Accessor

    org.eclipse.emf.ecore.EAttribute getChildAccess_Accessor()

  Returns the meta object for the attribute '`Accessor`'.

  Returns:
    the meta object for the attribute 'Accessor'.
  See Also:
    `ChildAccess.getAccessor()`, `getChildAccess()`
  ** Generated **

### getChildAccess_Figure

    org.eclipse.emf.ecore.EReference getChildAccess_Figure()

  Returns the meta object for the reference '`Figure`'.

  Returns:
    the meta object for the reference 'Figure'.
  See Also:
    `ChildAccess.getFigure()`, `getChildAccess()`
  ** Generated **

### getRealFigure

    org.eclipse.emf.ecore.EClass getRealFigure()

  Returns the meta object for class '`Real Figure`'.

  Returns:
    the meta object for class 'Real Figure'.
  See Also:
    `RealFigure`
  ** Generated **

### getRealFigure_Name

    org.eclipse.emf.ecore.EAttribute getRealFigure_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `RealFigure.getName()`, `getRealFigure()`
  ** Generated **

### getRealFigure_Children

    org.eclipse.emf.ecore.EReference getRealFigure_Children()

  Returns the meta object for the containment reference list '`Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `RealFigure.getChildren()`, `getRealFigure()`
  ** Generated **

### getConnection

    org.eclipse.emf.ecore.EClass getConnection()

  Returns the meta object for class '`Connection`'.

  Returns:
    the meta object for class 'Connection'.
  See Also:
    `Connection`
  ** Generated **

### getCompartment

    org.eclipse.emf.ecore.EClass getCompartment()

  Returns the meta object for class '`Compartment`'.

  Returns:
    the meta object for class 'Compartment'.
  See Also:
    `Compartment`
  ** Generated **

### getCompartment_Collapsible

    org.eclipse.emf.ecore.EAttribute getCompartment_Collapsible()

  Returns the meta object for the attribute '`Collapsible`'.

  Returns:
    the meta object for the attribute 'Collapsible'.
  See Also:
    `Compartment.isCollapsible()`, `getCompartment()`
  ** Generated **

### getCompartment_NeedsTitle

    org.eclipse.emf.ecore.EAttribute getCompartment_NeedsTitle()

  Returns the meta object for the attribute '`Needs Title`'.

  Returns:
    the meta object for the attribute 'Needs Title'.
  See Also:
    `Compartment.isNeedsTitle()`, `getCompartment()`
  ** Generated **

### getCompartment_Accessor

    org.eclipse.emf.ecore.EReference getCompartment_Accessor()

  Returns the meta object for the reference '`Accessor`'.

  Returns:
    the meta object for the reference 'Accessor'.
  See Also:
    `Compartment.getAccessor()`, `getCompartment()`
  ** Generated **

### getDiagramLabel

    org.eclipse.emf.ecore.EClass getDiagramLabel()

  Returns the meta object for class '`Diagram Label`'.

  Returns:
    the meta object for class 'Diagram Label'.
  See Also:
    `DiagramLabel`
  ** Generated **

### getDiagramLabel_ElementIcon

    org.eclipse.emf.ecore.EAttribute getDiagramLabel_ElementIcon()

  Returns the meta object for the attribute '`Element Icon`'.

  Returns:
    the meta object for the attribute 'Element Icon'.
  See Also:
    `DiagramLabel.isElementIcon()`, `getDiagramLabel()`
  ** Generated **

### getDiagramLabel_Accessor

    org.eclipse.emf.ecore.EReference getDiagramLabel_Accessor()

  Returns the meta object for the reference '`Accessor`'.

  Returns:
    the meta object for the reference 'Accessor'.
  See Also:
    `DiagramLabel.getAccessor()`, `getDiagramLabel()`
  ** Generated **

### getDiagramLabel_Container

    org.eclipse.emf.ecore.EReference getDiagramLabel_Container()

  Returns the meta object for the reference '`Container`'.

  Returns:
    the meta object for the reference 'Container'.
  See Also:
    `DiagramLabel.getContainer()`, `getDiagramLabel()`
  ** Generated **

### getDiagramLabel_External

    org.eclipse.emf.ecore.EAttribute getDiagramLabel_External()

  Returns the meta object for the attribute '`External`'.

  Returns:
    the meta object for the attribute 'External'.
  See Also:
    `DiagramLabel.isExternal()`, `getDiagramLabel()`
  ** Generated **

### getVisualFacet

    org.eclipse.emf.ecore.EClass getVisualFacet()

  Returns the meta object for class '`Visual Facet`'.

  Returns:
    the meta object for class 'Visual Facet'.
  See Also:
    `VisualFacet`
  ** Generated **

### getGeneralFacet

    org.eclipse.emf.ecore.EClass getGeneralFacet()

  Returns the meta object for class '`General Facet`'.

  Returns:
    the meta object for class 'General Facet'.
  See Also:
    `GeneralFacet`
  ** Generated **

### getGeneralFacet_Identifier

    org.eclipse.emf.ecore.EAttribute getGeneralFacet_Identifier()

  Returns the meta object for the attribute '`Identifier`'.

  Returns:
    the meta object for the attribute 'Identifier'.
  See Also:
    `GeneralFacet.getIdentifier()`, `getGeneralFacet()`
  ** Generated **

### getGeneralFacet_Data

    org.eclipse.emf.ecore.EAttribute getGeneralFacet_Data()

  Returns the meta object for the attribute '`Data`'.

  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `GeneralFacet.getData()`, `getGeneralFacet()`
  ** Generated **

### getAlignmentFacet

    org.eclipse.emf.ecore.EClass getAlignmentFacet()

  Returns the meta object for class '`Alignment Facet`'.

  Returns:
    the meta object for class 'Alignment Facet'.
  See Also:
    `AlignmentFacet`
  ** Generated **

### getAlignmentFacet_Alignment

    org.eclipse.emf.ecore.EAttribute getAlignmentFacet_Alignment()

  Returns the meta object for the attribute '`Alignment`'.

  Returns:
    the meta object for the attribute 'Alignment'.
  See Also:
    `AlignmentFacet.getAlignment()`, `getAlignmentFacet()`
  ** Generated **

### getGradientFacet

    org.eclipse.emf.ecore.EClass getGradientFacet()

  Returns the meta object for class '`Gradient Facet`'.

  Returns:
    the meta object for class 'Gradient Facet'.
  See Also:
    `GradientFacet`
  ** Generated **

### getGradientFacet_Direction

    org.eclipse.emf.ecore.EAttribute getGradientFacet_Direction()

  Returns the meta object for the attribute '`Direction`'.

  Returns:
    the meta object for the attribute 'Direction'.
  See Also:
    `GradientFacet.getDirection()`, `getGradientFacet()`
  ** Generated **

### getLabelOffsetFacet

    org.eclipse.emf.ecore.EClass getLabelOffsetFacet()

  Returns the meta object for class '`Label Offset Facet`'.

  Returns:
    the meta object for class 'Label Offset Facet'.
  See Also:
    `LabelOffsetFacet`
  ** Generated **

### getLabelOffsetFacet_X

    org.eclipse.emf.ecore.EAttribute getLabelOffsetFacet_X()

  Returns the meta object for the attribute '`X`'.

  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `LabelOffsetFacet.getX()`, `getLabelOffsetFacet()`
  ** Generated **

### getLabelOffsetFacet_Y

    org.eclipse.emf.ecore.EAttribute getLabelOffsetFacet_Y()

  Returns the meta object for the attribute '`Y`'.

  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `LabelOffsetFacet.getY()`, `getLabelOffsetFacet()`
  ** Generated **

### getDefaultSizeFacet

    org.eclipse.emf.ecore.EClass getDefaultSizeFacet()

  Returns the meta object for class '`Default Size Facet`'.

  Returns:
    the meta object for class 'Default Size Facet'.
  See Also:
    `DefaultSizeFacet`
  ** Generated **

### getDefaultSizeFacet_DefaultSize

    org.eclipse.emf.ecore.EReference getDefaultSizeFacet_DefaultSize()

  Returns the meta object for the containment reference '`Default Size`'.

  Returns:
    the meta object for the containment reference 'Default Size'.
  See Also:
    `DefaultSizeFacet.getDefaultSize()`, `getDefaultSizeFacet()`
  ** Generated **

### getFigure

    org.eclipse.emf.ecore.EClass getFigure()

  Returns the meta object for class '`Figure`'.

  Returns:
    the meta object for class 'Figure'.
  See Also:
    `Figure`
  ** Generated **

### getFigure_Descriptor

    org.eclipse.emf.ecore.EReference getFigure_Descriptor()

  Returns the meta object for the reference '`Descriptor`'.

  Returns:
    the meta object for the reference 'Descriptor'.
  See Also:
    `Figure.getDescriptor()`, `getFigure()`
  ** Generated **

### getFigure_ForegroundColor

    org.eclipse.emf.ecore.EReference getFigure_ForegroundColor()

  Returns the meta object for the containment reference '`Foreground Color`'.

  Returns:
    the meta object for the containment reference 'Foreground Color'.
  See Also:
    `Figure.getForegroundColor()`, `getFigure()`
  ** Generated **

### getFigure_BackgroundColor

    org.eclipse.emf.ecore.EReference getFigure_BackgroundColor()

  Returns the meta object for the containment reference '`Background Color`'.

  Returns:
    the meta object for the containment reference 'Background Color'.
  See Also:
    `Figure.getBackgroundColor()`, `getFigure()`
  ** Generated **

### getFigure_MaximumSize

    org.eclipse.emf.ecore.EReference getFigure_MaximumSize()

  Returns the meta object for the containment reference '`Maximum Size`'.

  Returns:
    the meta object for the containment reference 'Maximum Size'.
  See Also:
    `Figure.getMaximumSize()`, `getFigure()`
  ** Generated **

### getFigure_MinimumSize

    org.eclipse.emf.ecore.EReference getFigure_MinimumSize()

  Returns the meta object for the containment reference '`Minimum Size`'.

  Returns:
    the meta object for the containment reference 'Minimum Size'.
  See Also:
    `Figure.getMinimumSize()`, `getFigure()`
  ** Generated **

### getFigure_PreferredSize

    org.eclipse.emf.ecore.EReference getFigure_PreferredSize()

  Returns the meta object for the containment reference '`Preferred Size`'.

  Returns:
    the meta object for the containment reference 'Preferred Size'.
  See Also:
    `Figure.getPreferredSize()`, `getFigure()`
  ** Generated **

### getFigure_Font

    org.eclipse.emf.ecore.EReference getFigure_Font()

  Returns the meta object for the containment reference '`Font`'.

  Returns:
    the meta object for the containment reference 'Font'.
  See Also:
    `Figure.getFont()`, `getFigure()`
  ** Generated **

### getFigure_Insets

    org.eclipse.emf.ecore.EReference getFigure_Insets()

  Returns the meta object for the containment reference '`Insets`'.

  Returns:
    the meta object for the containment reference 'Insets'.
  See Also:
    `Figure.getInsets()`, `getFigure()`
  ** Generated **

### getFigure_Border

    org.eclipse.emf.ecore.EReference getFigure_Border()

  Returns the meta object for the containment reference '`Border`'.

  Returns:
    the meta object for the containment reference 'Border'.
  See Also:
    `Figure.getBorder()`, `getFigure()`
  ** Generated **

### getFigure_Location

    org.eclipse.emf.ecore.EReference getFigure_Location()

  Returns the meta object for the containment reference '`Location`'.

  Returns:
    the meta object for the containment reference 'Location'.
  See Also:
    `Figure.getLocation()`, `getFigure()`
  ** Generated **

### getFigure_Size

    org.eclipse.emf.ecore.EReference getFigure_Size()

  Returns the meta object for the containment reference '`Size`'.

  Returns:
    the meta object for the containment reference 'Size'.
  See Also:
    `Figure.getSize()`, `getFigure()`
  ** Generated **

### getFigureDescriptor

    org.eclipse.emf.ecore.EClass getFigureDescriptor()

  Returns the meta object for class '`Figure Descriptor`'.

  Returns:
    the meta object for class 'Figure Descriptor'.
  See Also:
    `FigureDescriptor`
  ** Generated **

### getFigureDescriptor_ActualFigure

    org.eclipse.emf.ecore.EReference getFigureDescriptor_ActualFigure()

  Returns the meta object for the containment reference '`Actual Figure`'.

  Returns:
    the meta object for the containment reference 'Actual Figure'.
  See Also:
    `FigureDescriptor.getActualFigure()`, `getFigureDescriptor()`
  ** Generated **

### getFigureDescriptor_Accessors

    org.eclipse.emf.ecore.EReference getFigureDescriptor_Accessors()

  Returns the meta object for the containment reference list '`Accessors`'.

  Returns:
    the meta object for the containment reference list 'Accessors'.
  See Also:
    `FigureDescriptor.getAccessors()`, `getFigureDescriptor()`
  ** Generated **

### getAbstractFigure

    org.eclipse.emf.ecore.EClass getAbstractFigure()

  Returns the meta object for class '`Abstract Figure`'.

  Returns:
    the meta object for class 'Abstract Figure'.
  See Also:
    `AbstractFigure`
  ** Generated **

### getFigureRef

    org.eclipse.emf.ecore.EClass getFigureRef()

  Returns the meta object for class '`Figure Ref`'.

  Returns:
    the meta object for class 'Figure Ref'.
  See Also:
    `FigureRef`
  ** Generated **

### getFigureRef_Figure

    org.eclipse.emf.ecore.EReference getFigureRef_Figure()

  Returns the meta object for the reference '`Figure`'.

  Returns:
    the meta object for the reference 'Figure'.
  See Also:
    `FigureRef.getFigure()`, `getFigureRef()`
  ** Generated **

### getConnectionFigure

    org.eclipse.emf.ecore.EClass getConnectionFigure()

  Returns the meta object for class '`Connection Figure`'.

  Returns:
    the meta object for class 'Connection Figure'.
  See Also:
    `ConnectionFigure`
  ** Generated **

### getDecorationFigure

    org.eclipse.emf.ecore.EClass getDecorationFigure()

  Returns the meta object for class '`Decoration Figure`'.

  Returns:
    the meta object for class 'Decoration Figure'.
  See Also:
    `DecorationFigure`
  ** Generated **

### getShape

    org.eclipse.emf.ecore.EClass getShape()

  Returns the meta object for class '`Shape`'.

  Returns:
    the meta object for class 'Shape'.
  See Also:
    `Shape`
  ** Generated **

### getShape_Outline

    org.eclipse.emf.ecore.EAttribute getShape_Outline()

  Returns the meta object for the attribute '`Outline`'.

  Returns:
    the meta object for the attribute 'Outline'.
  See Also:
    `Shape.isOutline()`, `getShape()`
  ** Generated **

### getShape_Fill

    org.eclipse.emf.ecore.EAttribute getShape_Fill()

  Returns the meta object for the attribute '`Fill`'.

  Returns:
    the meta object for the attribute 'Fill'.
  See Also:
    `Shape.isFill()`, `getShape()`
  ** Generated **

### getShape_LineWidth

    org.eclipse.emf.ecore.EAttribute getShape_LineWidth()

  Returns the meta object for the attribute '`Line Width`'.

  Returns:
    the meta object for the attribute 'Line Width'.
  See Also:
    `Shape.getLineWidth()`, `getShape()`
  ** Generated **

### getShape_LineKind

    org.eclipse.emf.ecore.EAttribute getShape_LineKind()

  Returns the meta object for the attribute '`Line Kind`'.

  Returns:
    the meta object for the attribute 'Line Kind'.
  See Also:
    `Shape.getLineKind()`, `getShape()`
  ** Generated **

### getShape_XorFill

    org.eclipse.emf.ecore.EAttribute getShape_XorFill()

  Returns the meta object for the attribute '`Xor Fill`'.

  Returns:
    the meta object for the attribute 'Xor Fill'.
  See Also:
    `Shape.isXorFill()`, `getShape()`
  ** Generated **

### getShape_XorOutline

    org.eclipse.emf.ecore.EAttribute getShape_XorOutline()

  Returns the meta object for the attribute '`Xor Outline`'.

  Returns:
    the meta object for the attribute 'Xor Outline'.
  See Also:
    `Shape.isXorOutline()`, `getShape()`
  ** Generated **

### getShape_ResolvedChildren

    org.eclipse.emf.ecore.EReference getShape_ResolvedChildren()

  Returns the meta object for the reference list '`Resolved Children`'.

  Returns:
    the meta object for the reference list 'Resolved Children'.
  See Also:
    `Shape.getResolvedChildren()`, `getShape()`
  ** Generated **

### getLabel

    org.eclipse.emf.ecore.EClass getLabel()

  Returns the meta object for class '`Label`'.

  Returns:
    the meta object for class 'Label'.
  See Also:
    `Label`
  ** Generated **

### getLabel_Text

    org.eclipse.emf.ecore.EAttribute getLabel_Text()

  Returns the meta object for the attribute '`Text`'.

  Returns:
    the meta object for the attribute 'Text'.
  See Also:
    `Label.getText()`, `getLabel()`
  ** Generated **

### getLabeledContainer

    org.eclipse.emf.ecore.EClass getLabeledContainer()

  Returns the meta object for class '`Labeled Container`'.

  Returns:
    the meta object for class 'Labeled Container'.
  See Also:
    `LabeledContainer`
  ** Generated **

### getRectangle

    org.eclipse.emf.ecore.EClass getRectangle()

  Returns the meta object for class '`Rectangle`'.

  Returns:
    the meta object for class 'Rectangle'.
  See Also:
    `Rectangle`
  ** Generated **

### getRoundedRectangle

    org.eclipse.emf.ecore.EClass getRoundedRectangle()

  Returns the meta object for class '`Rounded Rectangle`'.

  Returns:
    the meta object for class 'Rounded Rectangle'.
  See Also:
    `RoundedRectangle`
  ** Generated **

### getRoundedRectangle_CornerWidth

    org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerWidth()

  Returns the meta object for the attribute '`Corner Width`'.

  Returns:
    the meta object for the attribute 'Corner Width'.
  See Also:
    `RoundedRectangle.getCornerWidth()`, `getRoundedRectangle()`
  ** Generated **

### getRoundedRectangle_CornerHeight

    org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerHeight()

  Returns the meta object for the attribute '`Corner Height`'.

  Returns:
    the meta object for the attribute 'Corner Height'.
  See Also:
    `RoundedRectangle.getCornerHeight()`, `getRoundedRectangle()`
  ** Generated **

### getEllipse

    org.eclipse.emf.ecore.EClass getEllipse()

  Returns the meta object for class '`Ellipse`'.

  Returns:
    the meta object for class 'Ellipse'.
  See Also:
    `Ellipse`
  ** Generated **

### getPolyline

    org.eclipse.emf.ecore.EClass getPolyline()

  Returns the meta object for class '`Polyline`'.

  Returns:
    the meta object for class 'Polyline'.
  See Also:
    `Polyline`
  ** Generated **

### getPolyline_Template

    org.eclipse.emf.ecore.EReference getPolyline_Template()

  Returns the meta object for the containment reference list '`Template`'.

  Returns:
    the meta object for the containment reference list 'Template'.
  See Also:
    `Polyline.getTemplate()`, `getPolyline()`
  ** Generated **

### getPolygon

    org.eclipse.emf.ecore.EClass getPolygon()

  Returns the meta object for class '`Polygon`'.

  Returns:
    the meta object for class 'Polygon'.
  See Also:
    `Polygon`
  ** Generated **

### getScalablePolygon

    org.eclipse.emf.ecore.EClass getScalablePolygon()

  Returns the meta object for class '`Scalable Polygon`'.

  Returns:
    the meta object for class 'Scalable Polygon'.
  See Also:
    `ScalablePolygon`
  ** Generated **

### getPolylineConnection

    org.eclipse.emf.ecore.EClass getPolylineConnection()

  Returns the meta object for class '`Polyline Connection`'.

  Returns:
    the meta object for class 'Polyline Connection'.
  See Also:
    `PolylineConnection`
  ** Generated **

### getPolylineConnection_SourceDecoration

    org.eclipse.emf.ecore.EReference getPolylineConnection_SourceDecoration()

  Returns the meta object for the reference '`Source Decoration`'.

  Returns:
    the meta object for the reference 'Source Decoration'.
  See Also:
    `PolylineConnection.getSourceDecoration()`, `getPolylineConnection()`
  ** Generated **

### getPolylineConnection_TargetDecoration

    org.eclipse.emf.ecore.EReference getPolylineConnection_TargetDecoration()

  Returns the meta object for the reference '`Target Decoration`'.

  Returns:
    the meta object for the reference 'Target Decoration'.
  See Also:
    `PolylineConnection.getTargetDecoration()`, `getPolylineConnection()`
  ** Generated **

### getPolylineDecoration

    org.eclipse.emf.ecore.EClass getPolylineDecoration()

  Returns the meta object for class '`Polyline Decoration`'.

  Returns:
    the meta object for class 'Polyline Decoration'.
  See Also:
    `PolylineDecoration`
  ** Generated **

### getPolygonDecoration

    org.eclipse.emf.ecore.EClass getPolygonDecoration()

  Returns the meta object for class '`Polygon Decoration`'.

  Returns:
    the meta object for class 'Polygon Decoration'.
  See Also:
    `PolygonDecoration`
  ** Generated **

### getCustomClass

    org.eclipse.emf.ecore.EClass getCustomClass()

  Returns the meta object for class '`Custom Class`'.

  Returns:
    the meta object for class 'Custom Class'.
  See Also:
    `CustomClass`
  ** Generated **

### getCustomClass_QualifiedClassName

    org.eclipse.emf.ecore.EAttribute getCustomClass_QualifiedClassName()

  Returns the meta object for the attribute '`Qualified Class Name`'.

  Returns:
    the meta object for the attribute 'Qualified Class Name'.
  See Also:
    `CustomClass.getQualifiedClassName()`, `getCustomClass()`
  ** Generated **

### getCustomClass_Attributes

    org.eclipse.emf.ecore.EReference getCustomClass_Attributes()

  Returns the meta object for the containment reference list '`Attributes`'.

  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `CustomClass.getAttributes()`, `getCustomClass()`
  ** Generated **

### getCustomFigure

    org.eclipse.emf.ecore.EClass getCustomFigure()

  Returns the meta object for class '`Custom Figure`'.

  Returns:
    the meta object for class 'Custom Figure'.
  See Also:
    `CustomFigure`
  ** Generated **

### getCustomFigure_CustomChildren

    org.eclipse.emf.ecore.EReference getCustomFigure_CustomChildren()

  Returns the meta object for the containment reference list '`Custom Children`'.

  Returns:
    the meta object for the containment reference list 'Custom Children'.
  See Also:
    `CustomFigure.getCustomChildren()`, `getCustomFigure()`
  ** Generated **

### getCustomDecoration

    org.eclipse.emf.ecore.EClass getCustomDecoration()

  Returns the meta object for class '`Custom Decoration`'.

  Returns:
    the meta object for class 'Custom Decoration'.
  See Also:
    `CustomDecoration`
  ** Generated **

### getCustomConnection

    org.eclipse.emf.ecore.EClass getCustomConnection()

  Returns the meta object for class '`Custom Connection`'.

  Returns:
    the meta object for class 'Custom Connection'.
  See Also:
    `CustomConnection`
  ** Generated **

### getColor

    org.eclipse.emf.ecore.EClass getColor()

  Returns the meta object for class '`Color`'.

  Returns:
    the meta object for class 'Color'.
  See Also:
    `Color`
  ** Generated **

### getRGBColor

    org.eclipse.emf.ecore.EClass getRGBColor()

  Returns the meta object for class '`RGB Color`'.

  Returns:
    the meta object for class 'RGB Color'.
  See Also:
    `RGBColor`
  ** Generated **

### getRGBColor_Red

    org.eclipse.emf.ecore.EAttribute getRGBColor_Red()

  Returns the meta object for the attribute '`Red`'.

  Returns:
    the meta object for the attribute 'Red'.
  See Also:
    `RGBColor.getRed()`, `getRGBColor()`
  ** Generated **

### getRGBColor_Green

    org.eclipse.emf.ecore.EAttribute getRGBColor_Green()

  Returns the meta object for the attribute '`Green`'.

  Returns:
    the meta object for the attribute 'Green'.
  See Also:
    `RGBColor.getGreen()`, `getRGBColor()`
  ** Generated **

### getRGBColor_Blue

    org.eclipse.emf.ecore.EAttribute getRGBColor_Blue()

  Returns the meta object for the attribute '`Blue`'.

  Returns:
    the meta object for the attribute 'Blue'.
  See Also:
    `RGBColor.getBlue()`, `getRGBColor()`
  ** Generated **

### getConstantColor

    org.eclipse.emf.ecore.EClass getConstantColor()

  Returns the meta object for class '`Constant Color`'.

  Returns:
    the meta object for class 'Constant Color'.
  See Also:
    `ConstantColor`
  ** Generated **

### getConstantColor_Value

    org.eclipse.emf.ecore.EAttribute getConstantColor_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ConstantColor.getValue()`, `getConstantColor()`
  ** Generated **

### getFont

    org.eclipse.emf.ecore.EClass getFont()

  Returns the meta object for class '`Font`'.

  Returns:
    the meta object for class 'Font'.
  See Also:
    `Font`
  ** Generated **

### getBasicFont

    org.eclipse.emf.ecore.EClass getBasicFont()

  Returns the meta object for class '`Basic Font`'.

  Returns:
    the meta object for class 'Basic Font'.
  See Also:
    `BasicFont`
  ** Generated **

### getBasicFont_FaceName

    org.eclipse.emf.ecore.EAttribute getBasicFont_FaceName()

  Returns the meta object for the attribute '`Face Name`'.

  Returns:
    the meta object for the attribute 'Face Name'.
  See Also:
    `BasicFont.getFaceName()`, `getBasicFont()`
  ** Generated **

### getBasicFont_Height

    org.eclipse.emf.ecore.EAttribute getBasicFont_Height()

  Returns the meta object for the attribute '`Height`'.

  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `BasicFont.getHeight()`, `getBasicFont()`
  ** Generated **

### getBasicFont_Style

    org.eclipse.emf.ecore.EAttribute getBasicFont_Style()

  Returns the meta object for the attribute '`Style`'.

  Returns:
    the meta object for the attribute 'Style'.
  See Also:
    `BasicFont.getStyle()`, `getBasicFont()`
  ** Generated **

### getFontStyle

    org.eclipse.emf.ecore.EEnum getFontStyle()

  Returns the meta object for enum '`Font Style`'.

  Returns:
    the meta object for enum 'Font Style'.
  See Also:
    `FontStyle`
  ** Generated **

### getPoint

    org.eclipse.emf.ecore.EClass getPoint()

  Returns the meta object for class '`Point`'.

  Returns:
    the meta object for class 'Point'.
  See Also:
    `Point`
  ** Generated **

### getPoint_X

    org.eclipse.emf.ecore.EAttribute getPoint_X()

  Returns the meta object for the attribute '`X`'.

  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `Point.getX()`, `getPoint()`
  ** Generated **

### getPoint_Y

    org.eclipse.emf.ecore.EAttribute getPoint_Y()

  Returns the meta object for the attribute '`Y`'.

  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `Point.getY()`, `getPoint()`
  ** Generated **

### getDimension

    org.eclipse.emf.ecore.EClass getDimension()

  Returns the meta object for class '`Dimension`'.

  Returns:
    the meta object for class 'Dimension'.
  See Also:
    `Dimension`
  ** Generated **

### getDimension_Dx

    org.eclipse.emf.ecore.EAttribute getDimension_Dx()

  Returns the meta object for the attribute '`Dx`'.

  Returns:
    the meta object for the attribute 'Dx'.
  See Also:
    `Dimension.getDx()`, `getDimension()`
  ** Generated **

### getDimension_Dy

    org.eclipse.emf.ecore.EAttribute getDimension_Dy()

  Returns the meta object for the attribute '`Dy`'.

  Returns:
    the meta object for the attribute 'Dy'.
  See Also:
    `Dimension.getDy()`, `getDimension()`
  ** Generated **

### getInsets

    org.eclipse.emf.ecore.EClass getInsets()

  Returns the meta object for class '`Insets`'.

  Returns:
    the meta object for class 'Insets'.
  See Also:
    `Insets`
  ** Generated **

### getInsets_Top

    org.eclipse.emf.ecore.EAttribute getInsets_Top()

  Returns the meta object for the attribute '`Top`'.

  Returns:
    the meta object for the attribute 'Top'.
  See Also:
    `Insets.getTop()`, `getInsets()`
  ** Generated **

### getInsets_Left

    org.eclipse.emf.ecore.EAttribute getInsets_Left()

  Returns the meta object for the attribute '`Left`'.

  Returns:
    the meta object for the attribute 'Left'.
  See Also:
    `Insets.getLeft()`, `getInsets()`
  ** Generated **

### getInsets_Bottom

    org.eclipse.emf.ecore.EAttribute getInsets_Bottom()

  Returns the meta object for the attribute '`Bottom`'.

  Returns:
    the meta object for the attribute 'Bottom'.
  See Also:
    `Insets.getBottom()`, `getInsets()`
  ** Generated **

### getInsets_Right

    org.eclipse.emf.ecore.EAttribute getInsets_Right()

  Returns the meta object for the attribute '`Right`'.

  Returns:
    the meta object for the attribute 'Right'.
  See Also:
    `Insets.getRight()`, `getInsets()`
  ** Generated **

### getBorder

    org.eclipse.emf.ecore.EClass getBorder()

  Returns the meta object for class '`Border`'.

  Returns:
    the meta object for class 'Border'.
  See Also:
    `Border`
  ** Generated **

### getBorderRef

    org.eclipse.emf.ecore.EClass getBorderRef()

  Returns the meta object for class '`Border Ref`'.

  Returns:
    the meta object for class 'Border Ref'.
  See Also:
    `BorderRef`
  ** Generated **

### getBorderRef_Actual

    org.eclipse.emf.ecore.EReference getBorderRef_Actual()

  Returns the meta object for the reference '`Actual`'.

  Returns:
    the meta object for the reference 'Actual'.
  See Also:
    `BorderRef.getActual()`, `getBorderRef()`
  ** Generated **

### getLineBorder

    org.eclipse.emf.ecore.EClass getLineBorder()

  Returns the meta object for class '`Line Border`'.

  Returns:
    the meta object for class 'Line Border'.
  See Also:
    `LineBorder`
  ** Generated **

### getLineBorder_Color

    org.eclipse.emf.ecore.EReference getLineBorder_Color()

  Returns the meta object for the containment reference '`Color`'.

  Returns:
    the meta object for the containment reference 'Color'.
  See Also:
    `LineBorder.getColor()`, `getLineBorder()`
  ** Generated **

### getLineBorder_Width

    org.eclipse.emf.ecore.EAttribute getLineBorder_Width()

  Returns the meta object for the attribute '`Width`'.

  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `LineBorder.getWidth()`, `getLineBorder()`
  ** Generated **

### getMarginBorder

    org.eclipse.emf.ecore.EClass getMarginBorder()

  Returns the meta object for class '`Margin Border`'.

  Returns:
    the meta object for class 'Margin Border'.
  See Also:
    `MarginBorder`
  ** Generated **

### getMarginBorder_Insets

    org.eclipse.emf.ecore.EReference getMarginBorder_Insets()

  Returns the meta object for the containment reference '`Insets`'.

  Returns:
    the meta object for the containment reference 'Insets'.
  See Also:
    `MarginBorder.getInsets()`, `getMarginBorder()`
  ** Generated **

### getCompoundBorder

    org.eclipse.emf.ecore.EClass getCompoundBorder()

  Returns the meta object for class '`Compound Border`'.

  Returns:
    the meta object for class 'Compound Border'.
  See Also:
    `CompoundBorder`
  ** Generated **

### getCompoundBorder_Outer

    org.eclipse.emf.ecore.EReference getCompoundBorder_Outer()

  Returns the meta object for the containment reference '`Outer`'.

  Returns:
    the meta object for the containment reference 'Outer'.
  See Also:
    `CompoundBorder.getOuter()`, `getCompoundBorder()`
  ** Generated **

### getCompoundBorder_Inner

    org.eclipse.emf.ecore.EReference getCompoundBorder_Inner()

  Returns the meta object for the containment reference '`Inner`'.

  Returns:
    the meta object for the containment reference 'Inner'.
  See Also:
    `CompoundBorder.getInner()`, `getCompoundBorder()`
  ** Generated **

### getCustomBorder

    org.eclipse.emf.ecore.EClass getCustomBorder()

  Returns the meta object for class '`Custom Border`'.

  Returns:
    the meta object for class 'Custom Border'.
  See Also:
    `CustomBorder`
  ** Generated **

### getLayoutData

    org.eclipse.emf.ecore.EClass getLayoutData()

  Returns the meta object for class '`Layout Data`'.

  Returns:
    the meta object for class 'Layout Data'.
  See Also:
    `LayoutData`
  ** Generated **

### getLayoutData_Owner

    org.eclipse.emf.ecore.EReference getLayoutData_Owner()

  Returns the meta object for the container reference '`Owner`'.

  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `LayoutData.getOwner()`, `getLayoutData()`
  ** Generated **

### getCustomLayoutData

    org.eclipse.emf.ecore.EClass getCustomLayoutData()

  Returns the meta object for class '`Custom Layout Data`'.

  Returns:
    the meta object for class 'Custom Layout Data'.
  See Also:
    `CustomLayoutData`
  ** Generated **

### getGridLayoutData

    org.eclipse.emf.ecore.EClass getGridLayoutData()

  Returns the meta object for class '`Grid Layout Data`'.

  Returns:
    the meta object for class 'Grid Layout Data'.
  See Also:
    `GridLayoutData`
  ** Generated **

### getGridLayoutData_GrabExcessHorizontalSpace

    org.eclipse.emf.ecore.EAttribute getGridLayoutData_GrabExcessHorizontalSpace()

  Returns the meta object for the attribute '`Grab Excess Horizontal Space`'.

  Returns:
    the meta object for the attribute 'Grab Excess Horizontal Space'.
  See Also:
    `GridLayoutData.isGrabExcessHorizontalSpace()`, `getGridLayoutData()`
  ** Generated **

### getGridLayoutData_GrabExcessVerticalSpace

    org.eclipse.emf.ecore.EAttribute getGridLayoutData_GrabExcessVerticalSpace()

  Returns the meta object for the attribute '`Grab Excess Vertical Space`'.

  Returns:
    the meta object for the attribute 'Grab Excess Vertical Space'.
  See Also:
    `GridLayoutData.isGrabExcessVerticalSpace()`, `getGridLayoutData()`
  ** Generated **

### getGridLayoutData_VerticalAlignment

    org.eclipse.emf.ecore.EAttribute getGridLayoutData_VerticalAlignment()

  Returns the meta object for the attribute '`Vertical Alignment`'.

  Returns:
    the meta object for the attribute 'Vertical Alignment'.
  See Also:
    `GridLayoutData.getVerticalAlignment()`, `getGridLayoutData()`
  ** Generated **

### getGridLayoutData_HorizontalAlignment

    org.eclipse.emf.ecore.EAttribute getGridLayoutData_HorizontalAlignment()

  Returns the meta object for the attribute '`Horizontal Alignment`'.

  Returns:
    the meta object for the attribute 'Horizontal Alignment'.
  See Also:
    `GridLayoutData.getHorizontalAlignment()`, `getGridLayoutData()`
  ** Generated **

### getGridLayoutData_VerticalSpan

    org.eclipse.emf.ecore.EAttribute getGridLayoutData_VerticalSpan()

  Returns the meta object for the attribute '`Vertical Span`'.

  Returns:
    the meta object for the attribute 'Vertical Span'.
  See Also:
    `GridLayoutData.getVerticalSpan()`, `getGridLayoutData()`
  ** Generated **

### getGridLayoutData_HorizontalSpan

    org.eclipse.emf.ecore.EAttribute getGridLayoutData_HorizontalSpan()

  Returns the meta object for the attribute '`Horizontal Span`'.

  Returns:
    the meta object for the attribute 'Horizontal Span'.
  See Also:
    `GridLayoutData.getHorizontalSpan()`, `getGridLayoutData()`
  ** Generated **

### getGridLayoutData_HorizontalIndent

    org.eclipse.emf.ecore.EAttribute getGridLayoutData_HorizontalIndent()

  Returns the meta object for the attribute '`Horizontal Indent`'.

  Returns:
    the meta object for the attribute 'Horizontal Indent'.
  See Also:
    `GridLayoutData.getHorizontalIndent()`, `getGridLayoutData()`
  ** Generated **

### getGridLayoutData_SizeHint

    org.eclipse.emf.ecore.EReference getGridLayoutData_SizeHint()

  Returns the meta object for the containment reference '`Size Hint`'.

  Returns:
    the meta object for the containment reference 'Size Hint'.
  See Also:
    `GridLayoutData.getSizeHint()`, `getGridLayoutData()`
  ** Generated **

### getBorderLayoutData

    org.eclipse.emf.ecore.EClass getBorderLayoutData()

  Returns the meta object for class '`Border Layout Data`'.

  Returns:
    the meta object for class 'Border Layout Data'.
  See Also:
    `BorderLayoutData`
  ** Generated **

### getBorderLayoutData_Alignment

    org.eclipse.emf.ecore.EAttribute getBorderLayoutData_Alignment()

  Returns the meta object for the attribute '`Alignment`'.

  Returns:
    the meta object for the attribute 'Alignment'.
  See Also:
    `BorderLayoutData.getAlignment()`, `getBorderLayoutData()`
  ** Generated **

### getBorderLayoutData_Vertical

    org.eclipse.emf.ecore.EAttribute getBorderLayoutData_Vertical()

  Returns the meta object for the attribute '`Vertical`'.

  Returns:
    the meta object for the attribute 'Vertical'.
  See Also:
    `BorderLayoutData.isVertical()`, `getBorderLayoutData()`
  ** Generated **

### getLayoutable

    org.eclipse.emf.ecore.EClass getLayoutable()

  Returns the meta object for class '`Layoutable`'.

  Returns:
    the meta object for class 'Layoutable'.
  See Also:
    `Layoutable`
  ** Generated **

### getLayoutable_LayoutData

    org.eclipse.emf.ecore.EReference getLayoutable_LayoutData()

  Returns the meta object for the containment reference '`Layout Data`'.

  Returns:
    the meta object for the containment reference 'Layout Data'.
  See Also:
    `Layoutable.getLayoutData()`, `getLayoutable()`
  ** Generated **

### getLayoutable_Layout

    org.eclipse.emf.ecore.EReference getLayoutable_Layout()

  Returns the meta object for the containment reference '`Layout`'.

  Returns:
    the meta object for the containment reference 'Layout'.
  See Also:
    `Layoutable.getLayout()`, `getLayoutable()`
  ** Generated **

### getLayout

    org.eclipse.emf.ecore.EClass getLayout()

  Returns the meta object for class '`Layout`'.

  Returns:
    the meta object for class 'Layout'.
  See Also:
    `Layout`
  ** Generated **

### getLayoutRef

    org.eclipse.emf.ecore.EClass getLayoutRef()

  Returns the meta object for class '`Layout Ref`'.

  Returns:
    the meta object for class 'Layout Ref'.
  See Also:
    `LayoutRef`
  ** Generated **

### getLayoutRef_Actual

    org.eclipse.emf.ecore.EReference getLayoutRef_Actual()

  Returns the meta object for the reference '`Actual`'.

  Returns:
    the meta object for the reference 'Actual'.
  See Also:
    `LayoutRef.getActual()`, `getLayoutRef()`
  ** Generated **

### getCustomLayout

    org.eclipse.emf.ecore.EClass getCustomLayout()

  Returns the meta object for class '`Custom Layout`'.

  Returns:
    the meta object for class 'Custom Layout'.
  See Also:
    `CustomLayout`
  ** Generated **

### getGridLayout

    org.eclipse.emf.ecore.EClass getGridLayout()

  Returns the meta object for class '`Grid Layout`'.

  Returns:
    the meta object for class 'Grid Layout'.
  See Also:
    `GridLayout`
  ** Generated **

### getGridLayout_NumColumns

    org.eclipse.emf.ecore.EAttribute getGridLayout_NumColumns()

  Returns the meta object for the attribute '`Num Columns`'.

  Returns:
    the meta object for the attribute 'Num Columns'.
  See Also:
    `GridLayout.getNumColumns()`, `getGridLayout()`
  ** Generated **

### getGridLayout_EqualWidth

    org.eclipse.emf.ecore.EAttribute getGridLayout_EqualWidth()

  Returns the meta object for the attribute '`Equal Width`'.

  Returns:
    the meta object for the attribute 'Equal Width'.
  See Also:
    `GridLayout.isEqualWidth()`, `getGridLayout()`
  ** Generated **

### getGridLayout_Margins

    org.eclipse.emf.ecore.EReference getGridLayout_Margins()

  Returns the meta object for the containment reference '`Margins`'.

  Returns:
    the meta object for the containment reference 'Margins'.
  See Also:
    `GridLayout.getMargins()`, `getGridLayout()`
  ** Generated **

### getGridLayout_Spacing

    org.eclipse.emf.ecore.EReference getGridLayout_Spacing()

  Returns the meta object for the containment reference '`Spacing`'.

  Returns:
    the meta object for the containment reference 'Spacing'.
  See Also:
    `GridLayout.getSpacing()`, `getGridLayout()`
  ** Generated **

### getBorderLayout

    org.eclipse.emf.ecore.EClass getBorderLayout()

  Returns the meta object for class '`Border Layout`'.

  Returns:
    the meta object for class 'Border Layout'.
  See Also:
    `BorderLayout`
  ** Generated **

### getBorderLayout_Spacing

    org.eclipse.emf.ecore.EReference getBorderLayout_Spacing()

  Returns the meta object for the containment reference '`Spacing`'.

  Returns:
    the meta object for the containment reference 'Spacing'.
  See Also:
    `BorderLayout.getSpacing()`, `getBorderLayout()`
  ** Generated **

### getCustomAttribute

    org.eclipse.emf.ecore.EClass getCustomAttribute()

  Returns the meta object for class '`Custom Attribute`'.

  Returns:
    the meta object for class 'Custom Attribute'.
  See Also:
    `CustomAttribute`
  ** Generated **

### getCustomAttribute_Name

    org.eclipse.emf.ecore.EAttribute getCustomAttribute_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `CustomAttribute.getName()`, `getCustomAttribute()`
  ** Generated **

### getCustomAttribute_Value

    org.eclipse.emf.ecore.EAttribute getCustomAttribute_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `CustomAttribute.getValue()`, `getCustomAttribute()`
  ** Generated **

### getCustomAttribute_DirectAccess

    org.eclipse.emf.ecore.EAttribute getCustomAttribute_DirectAccess()

  Returns the meta object for the attribute '`Direct Access`'.

  Returns:
    the meta object for the attribute 'Direct Access'.
  See Also:
    `CustomAttribute.isDirectAccess()`, `getCustomAttribute()`
  ** Generated **

### getCustomAttribute_MultiStatementValue

    org.eclipse.emf.ecore.EAttribute getCustomAttribute_MultiStatementValue()

  Returns the meta object for the attribute '`Multi Statement Value`'.

  Returns:
    the meta object for the attribute 'Multi Statement Value'.
  See Also:
    `CustomAttribute.isMultiStatementValue()`, `getCustomAttribute()`
  ** Generated **

### getFigureAccessor

    org.eclipse.emf.ecore.EClass getFigureAccessor()

  Returns the meta object for class '`Figure Accessor`'.

  Returns:
    the meta object for class 'Figure Accessor'.
  See Also:
    `FigureAccessor`
  ** Generated **

### getFigureAccessor_Accessor

    org.eclipse.emf.ecore.EAttribute getFigureAccessor_Accessor()

  Returns the meta object for the attribute '`Accessor`'.

  Returns:
    the meta object for the attribute 'Accessor'.
  See Also:
    `FigureAccessor.getAccessor()`, `getFigureAccessor()`
  ** Generated **

### getFigureAccessor_TypedFigure

    org.eclipse.emf.ecore.EReference getFigureAccessor_TypedFigure()

  Returns the meta object for the containment reference '`Typed Figure`'.

  Returns:
    the meta object for the containment reference 'Typed Figure'.
  See Also:
    `FigureAccessor.getTypedFigure()`, `getFigureAccessor()`
  ** Generated **

### getFlowLayout

    org.eclipse.emf.ecore.EClass getFlowLayout()

  Returns the meta object for class '`Flow Layout`'.

  Returns:
    the meta object for class 'Flow Layout'.
  See Also:
    `FlowLayout`
  ** Generated **

### getFlowLayout_Vertical

    org.eclipse.emf.ecore.EAttribute getFlowLayout_Vertical()

  Returns the meta object for the attribute '`Vertical`'.

  Returns:
    the meta object for the attribute 'Vertical'.
  See Also:
    `FlowLayout.isVertical()`, `getFlowLayout()`
  ** Generated **

### getFlowLayout_MatchMinorSize

    org.eclipse.emf.ecore.EAttribute getFlowLayout_MatchMinorSize()

  Returns the meta object for the attribute '`Match Minor Size`'.

  Returns:
    the meta object for the attribute 'Match Minor Size'.
  See Also:
    `FlowLayout.isMatchMinorSize()`, `getFlowLayout()`
  ** Generated **

### getFlowLayout_ForceSingleLine

    org.eclipse.emf.ecore.EAttribute getFlowLayout_ForceSingleLine()

  Returns the meta object for the attribute '`Force Single Line`'.

  Returns:
    the meta object for the attribute 'Force Single Line'.
  See Also:
    `FlowLayout.isForceSingleLine()`, `getFlowLayout()`
  ** Generated **

### getFlowLayout_MajorAlignment

    org.eclipse.emf.ecore.EAttribute getFlowLayout_MajorAlignment()

  Returns the meta object for the attribute '`Major Alignment`'.

  Returns:
    the meta object for the attribute 'Major Alignment'.
  See Also:
    `FlowLayout.getMajorAlignment()`, `getFlowLayout()`
  ** Generated **

### getFlowLayout_MinorAlignment

    org.eclipse.emf.ecore.EAttribute getFlowLayout_MinorAlignment()

  Returns the meta object for the attribute '`Minor Alignment`'.

  Returns:
    the meta object for the attribute 'Minor Alignment'.
  See Also:
    `FlowLayout.getMinorAlignment()`, `getFlowLayout()`
  ** Generated **

### getFlowLayout_MajorSpacing

    org.eclipse.emf.ecore.EAttribute getFlowLayout_MajorSpacing()

  Returns the meta object for the attribute '`Major Spacing`'.

  Returns:
    the meta object for the attribute 'Major Spacing'.
  See Also:
    `FlowLayout.getMajorSpacing()`, `getFlowLayout()`
  ** Generated **

### getFlowLayout_MinorSpacing

    org.eclipse.emf.ecore.EAttribute getFlowLayout_MinorSpacing()

  Returns the meta object for the attribute '`Minor Spacing`'.

  Returns:
    the meta object for the attribute 'Minor Spacing'.
  See Also:
    `FlowLayout.getMinorSpacing()`, `getFlowLayout()`
  ** Generated **

### getXYLayout

    org.eclipse.emf.ecore.EClass getXYLayout()

  Returns the meta object for class '`XY Layout`'.

  Returns:
    the meta object for class 'XY Layout'.
  See Also:
    `XYLayout`
  ** Generated **

### getXYLayoutData

    org.eclipse.emf.ecore.EClass getXYLayoutData()

  Returns the meta object for class '`XY Layout Data`'.

  Returns:
    the meta object for class 'XY Layout Data'.
  See Also:
    `XYLayoutData`
  ** Generated **

### getXYLayoutData_TopLeft

    org.eclipse.emf.ecore.EReference getXYLayoutData_TopLeft()

  Returns the meta object for the containment reference '`Top Left`'.

  Returns:
    the meta object for the containment reference 'Top Left'.
  See Also:
    `XYLayoutData.getTopLeft()`, `getXYLayoutData()`
  ** Generated **

### getXYLayoutData_Size

    org.eclipse.emf.ecore.EReference getXYLayoutData_Size()

  Returns the meta object for the containment reference '`Size`'.

  Returns:
    the meta object for the containment reference 'Size'.
  See Also:
    `XYLayoutData.getSize()`, `getXYLayoutData()`
  ** Generated **

### getStackLayout

    org.eclipse.emf.ecore.EClass getStackLayout()

  Returns the meta object for class '`Stack Layout`'.

  Returns:
    the meta object for class 'Stack Layout'.
  See Also:
    `StackLayout`
  ** Generated **

### getSVGFigure

    org.eclipse.emf.ecore.EClass getSVGFigure()

  Returns the meta object for class '`SVG Figure`'.

  Returns:
    the meta object for class 'SVG Figure'.
  See Also:
    `SVGFigure`
  ** Generated **

### getSVGFigure_DocumentURI

    org.eclipse.emf.ecore.EAttribute getSVGFigure_DocumentURI()

  Returns the meta object for the attribute '`Document URI`'.

  Returns:
    the meta object for the attribute 'Document URI'.
  See Also:
    `SVGFigure.getDocumentURI()`, `getSVGFigure()`
  ** Generated **

### getSVGFigure_Properties

    org.eclipse.emf.ecore.EReference getSVGFigure_Properties()

  Returns the meta object for the containment reference list '`Properties`'.

  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `SVGFigure.getProperties()`, `getSVGFigure()`
  ** Generated **

### getSVGFigure_AreaOfInterest

    org.eclipse.emf.ecore.EReference getSVGFigure_AreaOfInterest()

  Returns the meta object for the containment reference '`Area Of Interest`'.

  Returns:
    the meta object for the containment reference 'Area Of Interest'.
  See Also:
    `SVGFigure.getAreaOfInterest()`, `getSVGFigure()`
  ** Generated **

### getSVGFigure_NoCanvasWidth

    org.eclipse.emf.ecore.EAttribute getSVGFigure_NoCanvasWidth()

  Returns the meta object for the attribute '`No Canvas Width`'.

  Returns:
    the meta object for the attribute 'No Canvas Width'.
  See Also:
    `SVGFigure.isNoCanvasWidth()`, `getSVGFigure()`
  ** Generated **

### getSVGFigure_NoCanvasHeight

    org.eclipse.emf.ecore.EAttribute getSVGFigure_NoCanvasHeight()

  Returns the meta object for the attribute '`No Canvas Height`'.

  Returns:
    the meta object for the attribute 'No Canvas Height'.
  See Also:
    `SVGFigure.isNoCanvasHeight()`, `getSVGFigure()`
  ** Generated **

### getSVGProperty

    org.eclipse.emf.ecore.EClass getSVGProperty()

  Returns the meta object for class '`SVG Property`'.

  Returns:
    the meta object for class 'SVG Property'.
  See Also:
    `SVGProperty`
  ** Generated **

### getSVGProperty_Query

    org.eclipse.emf.ecore.EAttribute getSVGProperty_Query()

  Returns the meta object for the attribute '`Query`'.

  Returns:
    the meta object for the attribute 'Query'.
  See Also:
    `SVGProperty.getQuery()`, `getSVGProperty()`
  ** Generated **

### getSVGProperty_Attribute

    org.eclipse.emf.ecore.EAttribute getSVGProperty_Attribute()

  Returns the meta object for the attribute '`Attribute`'.

  Returns:
    the meta object for the attribute 'Attribute'.
  See Also:
    `SVGProperty.getAttribute()`, `getSVGProperty()`
  ** Generated **

### getSVGProperty_Type

    org.eclipse.emf.ecore.EAttribute getSVGProperty_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `SVGProperty.getType()`, `getSVGProperty()`
  ** Generated **

### getSVGProperty_Getter

    org.eclipse.emf.ecore.EAttribute getSVGProperty_Getter()

  Returns the meta object for the attribute '`Getter`'.

  Returns:
    the meta object for the attribute 'Getter'.
  See Also:
    `SVGProperty.getGetter()`, `getSVGProperty()`
  ** Generated **

### getSVGProperty_Setter

    org.eclipse.emf.ecore.EAttribute getSVGProperty_Setter()

  Returns the meta object for the attribute '`Setter`'.

  Returns:
    the meta object for the attribute 'Setter'.
  See Also:
    `SVGProperty.getSetter()`, `getSVGProperty()`
  ** Generated **

### getSVGProperty_CallSuper

    org.eclipse.emf.ecore.EAttribute getSVGProperty_CallSuper()

  Returns the meta object for the attribute '`Call Super`'.

  Returns:
    the meta object for the attribute 'Call Super'.
  See Also:
    `SVGProperty.isCallSuper()`, `getSVGProperty()`
  ** Generated **

### getRectangle2D

    org.eclipse.emf.ecore.EClass getRectangle2D()

  Returns the meta object for class '`Rectangle2 D`'.

  Returns:
    the meta object for class 'Rectangle2 D'.
  See Also:
    `Rectangle2D`
  ** Generated **

### getRectangle2D_X

    org.eclipse.emf.ecore.EAttribute getRectangle2D_X()

  Returns the meta object for the attribute '`X`'.

  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `Rectangle2D.getX()`, `getRectangle2D()`
  ** Generated **

### getRectangle2D_Y

    org.eclipse.emf.ecore.EAttribute getRectangle2D_Y()

  Returns the meta object for the attribute '`Y`'.

  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `Rectangle2D.getY()`, `getRectangle2D()`
  ** Generated **

### getRectangle2D_Width

    org.eclipse.emf.ecore.EAttribute getRectangle2D_Width()

  Returns the meta object for the attribute '`Width`'.

  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `Rectangle2D.getWidth()`, `getRectangle2D()`
  ** Generated **

### getRectangle2D_Height

    org.eclipse.emf.ecore.EAttribute getRectangle2D_Height()

  Returns the meta object for the attribute '`Height`'.

  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `Rectangle2D.getHeight()`, `getRectangle2D()`
  ** Generated **

### getColorConstants

    org.eclipse.emf.ecore.EEnum getColorConstants()

  Returns the meta object for enum '`Color Constants`'.

  Returns:
    the meta object for enum 'Color Constants'.
  See Also:
    `ColorConstants`
  ** Generated **

### getDirection

    org.eclipse.emf.ecore.EEnum getDirection()

  Returns the meta object for enum '`Direction`'.

  Returns:
    the meta object for enum 'Direction'.
  See Also:
    `Direction`
  ** Generated **

### getLineKind

    org.eclipse.emf.ecore.EEnum getLineKind()

  Returns the meta object for enum '`Line Kind`'.

  Returns:
    the meta object for enum 'Line Kind'.
  See Also:
    `LineKind`
  ** Generated **

### getAlignment

    org.eclipse.emf.ecore.EEnum getAlignment()

  Returns the meta object for enum '`Alignment`'.

  Returns:
    the meta object for enum 'Alignment'.
  See Also:
    `Alignment`
  ** Generated **

### getSVGPropertyType

    org.eclipse.emf.ecore.EEnum getSVGPropertyType()

  Returns the meta object for enum '`SVG Property Type`'.

  Returns:
    the meta object for enum 'SVG Property Type'.
  See Also:
    `SVGPropertyType`
  ** Generated **

### getGMFGraphFactory

    GMFGraphFactory getGMFGraphFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.